searchData={"items":[{"type":"module","title":"WeChat","doc":"WeChat SDK for Elixir","ref":"WeChat.html"},{"type":"module","title":"定义 Client 模块 - WeChat","doc":"","ref":"WeChat.html#module-%E5%AE%9A%E4%B9%89-client-%E6%A8%A1%E5%9D%97"},{"type":"module","title":"公众号(默认) - WeChat","doc":"defmodule YourApp.WeChatAppCodeName do\n      @moduledoc \"CodeName\"\n      use WeChat,\n        appid: \"wx-appid\",\n        appsecret: \"appsecret\"\n    end","ref":"WeChat.html#module-%E5%85%AC%E4%BC%97%E5%8F%B7-%E9%BB%98%E8%AE%A4"},{"type":"module","title":"小程序 - WeChat","doc":"defmodule YourApp.WeChatAppCodeName do\n      @moduledoc \"CodeName\"\n      use WeChat,\n        app_type: :mini_program,\n        appid: \"wx-appid\",\n        appsecret: \"appsecret\"\n    end","ref":"WeChat.html#module-%E5%B0%8F%E7%A8%8B%E5%BA%8F"},{"type":"module","title":"第三方应用 - WeChat","doc":"defmodule YourApp.WeChatAppCodeName do\n      @moduledoc \"CodeName\"\n      use WeChat,\n        by_component?: true,\n        app_type: :official_account | :mini_program, # 默认为 :official_account\n        appid: \"wx-appid\",\n        component_appid: \"wx-third-appid\", # 第三方 appid\n    end","ref":"WeChat.html#module-%E7%AC%AC%E4%B8%89%E6%96%B9%E5%BA%94%E7%94%A8"},{"type":"module","title":"定义参数说明 - WeChat","doc":"请看 `t:options/0`","ref":"WeChat.html#module-%E5%AE%9A%E4%B9%89%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"module","title":"接口调用 - WeChat","doc":"支持两种方式调用:\n\n- 调用 `client` 方法:\n\n  `YourApp.WeChatAppCodeName.Material.batch_get_material(:image, 2)`\n\n- 原生调用方法\n\n  `WeChat.Material.batch_get_material(YourApp.WeChatAppCodeName, :image, 2)`","ref":"WeChat.html#module-%E6%8E%A5%E5%8F%A3%E8%B0%83%E7%94%A8"},{"type":"module","title":"企业微信 - WeChat","doc":"详情请看 `WeChat.Work`","ref":"WeChat.html#module-%E4%BC%81%E4%B8%9A%E5%BE%AE%E4%BF%A1"},{"type":"module","title":"微信支付 - WeChat","doc":"详情请看 `WeChat.Pay`","ref":"WeChat.html#module-%E5%BE%AE%E4%BF%A1%E6%94%AF%E4%BB%98"},{"type":"function","title":"WeChat.add_to_refresher/2","doc":"将 client 添加到刷新器","ref":"WeChat.html#add_to_refresher/2"},{"type":"function","title":"WeChat.build_client/2","doc":"动态构建 client","ref":"WeChat.html#build_client/2"},{"type":"function","title":"WeChat.get_client/1","doc":"通过 `appid` 或者 `code_name` 获取 `client`","ref":"WeChat.html#get_client/1"},{"type":"function","title":"WeChat.get_client_agent/2","doc":"","ref":"WeChat.html#get_client_agent/2"},{"type":"function","title":"WeChat.refresher/0","doc":"刷新器\n  \n默认为 `WeChat.Refresher.Default`","ref":"WeChat.html#refresher/0"},{"type":"function","title":"WeChat.start_client/2","doc":"动态启动 client","ref":"WeChat.html#start_client/2"},{"type":"type","title":"WeChat.app_type/0","doc":"`client` 的应用类型\n\n- `:official_account`: 公众号\n- `:mini_program`: 小程序","ref":"WeChat.html#t:app_type/0"},{"type":"type","title":"WeChat.appid/0","doc":"公众号/小程序 应用id","ref":"WeChat.html#t:appid/0"},{"type":"type","title":"WeChat.appsecret/0","doc":"应用秘钥","ref":"WeChat.html#t:appsecret/0"},{"type":"type","title":"WeChat.by_component?/0","doc":"是否第三方平台开发","ref":"WeChat.html#t:by_component?/0"},{"type":"type","title":"WeChat.client/0","doc":"","ref":"WeChat.html#t:client/0"},{"type":"type","title":"WeChat.code_name/0","doc":"公众号/小程序 应用代码","ref":"WeChat.html#t:code_name/0"},{"type":"type","title":"WeChat.component_appid/0","doc":"第三方平台应用id","ref":"WeChat.html#t:component_appid/0"},{"type":"type","title":"WeChat.component_appsecret/0","doc":"第三方平台应用秘钥","ref":"WeChat.html#t:component_appsecret/0"},{"type":"type","title":"WeChat.env_option/0","doc":"","ref":"WeChat.html#t:env_option/0"},{"type":"type","title":"WeChat.err_code/0","doc":"错误码","ref":"WeChat.html#t:err_code/0"},{"type":"type","title":"WeChat.err_msg/0","doc":"错误信息","ref":"WeChat.html#t:err_msg/0"},{"type":"type","title":"WeChat.openid/0","doc":"OpenID 普通用户的标识，对当前公众号唯一\n\n加密后的微信号，每个用户对每个公众号的 `OpenID` 是唯一的。对于不同公众号，同一用户的 `OpenID` 不同\n\n[Docs Link](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Get_users_basic_information_UnionID.html){:target=\"_blank\"}","ref":"WeChat.html#t:openid/0"},{"type":"type","title":"WeChat.openid_list/0","doc":"","ref":"WeChat.html#t:openid_list/0"},{"type":"type","title":"WeChat.options/0","doc":"参数","ref":"WeChat.html#t:options/0"},{"type":"type","title":"参数说明 - WeChat.options/0","doc":"- `appid`: `t:appid/0` - 必填\n- `app_type`: `t:app_type/0`\n- `code_name`: `t:code_name/0`, 如不指定，默认为模块名最后一个名称的全小写格式\n- `by_component?`: `t:by_component?/0`\n- `server_role`: `t:server_role/0`\n- `storage`: `t:WeChat.Storage.Adapter.t/0`\n- `appsecret`: `t:appsecret/0` - 仅在 `by_component?` 设定为 `false` 时才有效\n- `component_appid`: `t:component_appid/0` - 仅在 `by_component?` 设定为 `true` 时才有效\n- `component_appsecret`: `t:component_appsecret/0` - 仅在 `by_component?` 设定为 `true` 时才有效\n- `encoding_aes_key`: `t:WeChat.ServerMessage.Encryptor.encoding_aes_key/0` - 在编译时会自动将 `encoding_aes_key` 转换为 `aes_key`\n- `token`: `t:token/0`\n- `requester`: 请求客户端 - `t:module/0`\n- `gen_sub_module?`: 是否生成子模块，默认生成\n- `sub_modules`: 指定生成子模块的列表","ref":"WeChat.html#t:options/0-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"type","title":"默认参数: - WeChat.options/0","doc":"- `server_role`: `:client`\n- `by_component?`: `false`\n- `app_type`: `:official_account`\n- `storage`: `WeChat.Storage.File`\n- `requester`: `WeChat.Requester`\n- `gen_sub_module?`: true","ref":"WeChat.html#t:options/0-%E9%BB%98%E8%AE%A4%E5%8F%82%E6%95%B0"},{"type":"type","title":"WeChat.requester/0","doc":"","ref":"WeChat.html#t:requester/0"},{"type":"type","title":"WeChat.response/0","doc":"","ref":"WeChat.html#t:response/0"},{"type":"type","title":"WeChat.server_role/0","doc":"服务器角色\n\n`:client`: 默认，主动刷新 `AccessToken`\n`:hub`: 中控服务器，主动刷新 `AccessToken`\n`:hub_client`: 逻辑服务器，从 `hub` 获取 `AccessToken`","ref":"WeChat.html#t:server_role/0"},{"type":"type","title":"WeChat.start_options/0","doc":"","ref":"WeChat.html#t:start_options/0"},{"type":"type","title":"WeChat.token/0","doc":"服务器配置里的 `token` 值，在接收消息时用于校验签名","ref":"WeChat.html#t:token/0"},{"type":"type","title":"WeChat.unionid/0","doc":"UnionID 不同应用下的唯一ID\n\n同一用户，对同一个微信开放平台下的不同应用，`UnionID` 是相同的\n\n[Docs Link](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Get_users_basic_information_UnionID.html){:target=\"_blank\"}","ref":"WeChat.html#t:unionid/0"},{"type":"module","title":"WeChat.Setup","doc":"Setup WeChat clients","ref":"WeChat.Setup.html"},{"type":"function","title":"WeChat.Setup.setup_client/2","doc":"","ref":"WeChat.Setup.html#setup_client/2"},{"type":"function","title":"WeChat.Setup.setup_clients/1","doc":"","ref":"WeChat.Setup.html#setup_clients/1"},{"type":"function","title":"WeChat.Setup.setup_work_agent/3","doc":"","ref":"WeChat.Setup.html#setup_work_agent/3"},{"type":"function","title":"WeChat.Setup.setup_work_client/2","doc":"","ref":"WeChat.Setup.html#setup_work_client/2"},{"type":"type","title":"WeChat.Setup.options/0","doc":"","ref":"WeChat.Setup.html#t:options/0"},{"type":"type","title":"WeChat.Setup.work_options/0","doc":"","ref":"WeChat.Setup.html#t:work_options/0"},{"type":"module","title":"WeChat.User","doc":"用户管理","ref":"WeChat.User.html"},{"type":"function","title":"WeChat.User.batch_get_user_info/2","doc":"批量获取用户基本信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Get_users_basic_information_UnionID.html){:target=\"_blank\"}","ref":"WeChat.User.html#batch_get_user_info/2"},{"type":"function","title":"WeChat.User.get_users/1","doc":"获取用户列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Getting_a_User_List.html){:target=\"_blank\"}","ref":"WeChat.User.html#get_users/1"},{"type":"function","title":"WeChat.User.get_users/2","doc":"获取用户列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Getting_a_User_List.html){:target=\"_blank\"}","ref":"WeChat.User.html#get_users/2"},{"type":"function","title":"WeChat.User.stream_get_user/1","doc":"获取用户列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Getting_a_User_List.html){:target=\"_blank\"}","ref":"WeChat.User.html#stream_get_user/1"},{"type":"function","title":"WeChat.User.update_remark/3","doc":"设置用户备注名 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Configuring_user_notes.html){:target=\"_blank\"}","ref":"WeChat.User.html#update_remark/3"},{"type":"function","title":"WeChat.User.user_info/2","doc":"获取用户基本信息(UnionID机制) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Get_users_basic_information_UnionID.html#UinonId){:target=\"_blank\"}","ref":"WeChat.User.html#user_info/2"},{"type":"function","title":"WeChat.User.user_info/3","doc":"获取用户基本信息(UnionID机制) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Get_users_basic_information_UnionID.html#UinonId){:target=\"_blank\"}","ref":"WeChat.User.html#user_info/3"},{"type":"type","title":"WeChat.User.lang/0","doc":"国家地区语言\n  * `\"zh_CN\"` - 简体\n  * `\"zh_TW\"` - 繁体\n  * `\"en\"` - 英语","ref":"WeChat.User.html#t:lang/0"},{"type":"type","title":"WeChat.User.nickname/0","doc":"昵称","ref":"WeChat.User.html#t:nickname/0"},{"type":"type","title":"WeChat.User.remark/0","doc":"公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注","ref":"WeChat.User.html#t:remark/0"},{"type":"type","title":"WeChat.User.username/0","doc":"微信号","ref":"WeChat.User.html#t:username/0"},{"type":"type","title":"WeChat.User.username_list/0","doc":"微信号列表","ref":"WeChat.User.html#t:username_list/0"},{"type":"module","title":"WeChat.UserBlacklist","doc":"黑名单管理\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Manage_blacklist.html){:target=\"_blank\"}","ref":"WeChat.UserBlacklist.html"},{"type":"function","title":"WeChat.UserBlacklist.batch_blacklist/2","doc":"拉黑用户 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Manage_blacklist.html#2){:target=\"_blank\"}","ref":"WeChat.UserBlacklist.html#batch_blacklist/2"},{"type":"function","title":"WeChat.UserBlacklist.batch_unblacklist/2","doc":"取消拉黑用户 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Manage_blacklist.html#3){:target=\"_blank\"}","ref":"WeChat.UserBlacklist.html#batch_unblacklist/2"},{"type":"function","title":"WeChat.UserBlacklist.get_black_list/1","doc":"获取公众号的黑名单列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Manage_blacklist.html#1){:target=\"_blank\"}","ref":"WeChat.UserBlacklist.html#get_black_list/1"},{"type":"function","title":"WeChat.UserBlacklist.get_black_list/2","doc":"获取公众号的黑名单列表 - 翻页 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/Manage_blacklist.html#1){:target=\"_blank\"}","ref":"WeChat.UserBlacklist.html#get_black_list/2"},{"type":"module","title":"WeChat.UserTag","doc":"标签管理\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html){:target=\"_blank\"}","ref":"WeChat.UserTag.html"},{"type":"function","title":"WeChat.UserTag.batch_tagging_users/3","doc":"批量为用户打标签 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html){:target=\"_blank\"}","ref":"WeChat.UserTag.html#batch_tagging_users/3"},{"type":"function","title":"WeChat.UserTag.batch_untagging_users/3","doc":"批量为用户取消标签 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html){:target=\"_blank\"}","ref":"WeChat.UserTag.html#batch_untagging_users/3"},{"type":"function","title":"WeChat.UserTag.create/2","doc":"创建标签 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html#1){:target=\"_blank\"}","ref":"WeChat.UserTag.html#create/2"},{"type":"function","title":"WeChat.UserTag.delete/2","doc":"删除标签 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html#4){:target=\"_blank\"}","ref":"WeChat.UserTag.html#delete/2"},{"type":"function","title":"WeChat.UserTag.get/1","doc":"获取公众号已创建的标签 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html#2){:target=\"_blank\"}","ref":"WeChat.UserTag.html#get/1"},{"type":"function","title":"WeChat.UserTag.get_tag_users/2","doc":"获取标签下粉丝列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html#5){:target=\"_blank\"}","ref":"WeChat.UserTag.html#get_tag_users/2"},{"type":"function","title":"WeChat.UserTag.get_tag_users/3","doc":"获取标签下粉丝列表 - 翻页 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html#5){:target=\"_blank\"}","ref":"WeChat.UserTag.html#get_tag_users/3"},{"type":"function","title":"WeChat.UserTag.get_user_tags/2","doc":"获取用户身上的标签列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html){:target=\"_blank\"}","ref":"WeChat.UserTag.html#get_user_tags/2"},{"type":"function","title":"WeChat.UserTag.update/3","doc":"编辑标签 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/User_Management/User_Tag_Management.html#3){:target=\"_blank\"}","ref":"WeChat.UserTag.html#update/3"},{"type":"type","title":"WeChat.UserTag.tag_id/0","doc":"","ref":"WeChat.UserTag.html#t:tag_id/0"},{"type":"type","title":"WeChat.UserTag.tag_name/0","doc":"","ref":"WeChat.UserTag.html#t:tag_name/0"},{"type":"module","title":"WeChat.DraftBox","doc":"草稿箱","ref":"WeChat.DraftBox.html"},{"type":"function","title":"WeChat.DraftBox.add/2","doc":"新建草稿 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Draft_Box/Add_draft.html){:target=\"_blank\"}\n\n开发者可新增常用的素材到草稿箱中进行使用。上传到草稿箱中的素材被群发或发布后，该素材将从草稿箱中移除。新增草稿可在公众平台官网-草稿箱中查看和管理。","ref":"WeChat.DraftBox.html#add/2"},{"type":"function","title":"WeChat.DraftBox.batch_get/4","doc":"获取草稿列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Draft_Box/Get_draft_list.html){:target=\"_blank\"}\n\n新增草稿之后，开发者可以获取草稿的列表。","ref":"WeChat.DraftBox.html#batch_get/4"},{"type":"function","title":"参数说明 - WeChat.DraftBox.batch_get/4","doc":"* offset: 从全部素材的该偏移位置开始返回，0表示从第一个素材 返回\n  * count:  返回素材的数量，取值在1到20之间\n  * no_content: 是否返回 content 字段","ref":"WeChat.DraftBox.html#batch_get/4-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.DraftBox.count/1","doc":"获取草稿总数 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Draft_Box/Count_drafts.html){:target=\"_blank\"}\n\n开发者可以根据本接口来获取草稿的总数。此接口只统计数量，不返回草稿的具体内容。","ref":"WeChat.DraftBox.html#count/1"},{"type":"function","title":"WeChat.DraftBox.delete/2","doc":"删除草稿 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Draft_Box/Delete_draft.html){:target=\"_blank\"}\n\n新增草稿后，开发者可以根据本接口来删除不再需要的草稿，节省空间。**此操作无法撤销，请谨慎操作。**","ref":"WeChat.DraftBox.html#delete/2"},{"type":"function","title":"WeChat.DraftBox.get/2","doc":"获取草稿 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Draft_Box/Get_draft.html){:target=\"_blank\"}\n\n新增草稿后，开发者可以根据草稿指定的字段来下载草稿。","ref":"WeChat.DraftBox.html#get/2"},{"type":"function","title":"WeChat.DraftBox.stream_get/3","doc":"获取草稿列表(stream) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Draft_Box/Get_draft_list.html){:target=\"_blank\"}\n\n新增草稿之后，开发者可以获取草稿的列表。","ref":"WeChat.DraftBox.html#stream_get/3"},{"type":"function","title":"参数说明 - WeChat.DraftBox.stream_get/3","doc":"* count:  返回素材的数量，取值在1到20之间\n  * no_content: 是否返回 content 字段","ref":"WeChat.DraftBox.html#stream_get/3-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.DraftBox.update/4","doc":"修改草稿 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Draft_Box/Update_draft.html){:target=\"_blank\"}\n\n开发者可通过本接口对草稿进行修改。","ref":"WeChat.DraftBox.html#update/4"},{"type":"type","title":"WeChat.DraftBox.media_id/0","doc":"草稿箱的media_id","ref":"WeChat.DraftBox.html#t:media_id/0"},{"type":"module","title":"WeChat.Material","doc":"素材管理","ref":"WeChat.Material.html"},{"type":"function","title":"WeChat.Material.add_material/3","doc":"新增其他类型永久素材 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Adding_Permanent_Assets.html#新增其他类型永久素材){:target=\"_blank\"}\n\n请注意：图片素材将进入公众平台官网素材管理模块中的默认分组。","ref":"WeChat.Material.html#add_material/3"},{"type":"function","title":"WeChat.Material.add_material/4","doc":"新增其他类型永久素材(binary) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Adding_Permanent_Assets.html#新增其他类型永久素材){:target=\"_blank\"}\n\n请注意：图片素材将进入公众平台官网素材管理模块中的默认分组。","ref":"WeChat.Material.html#add_material/4"},{"type":"function","title":"WeChat.Material.add_news/2","doc":"新增永久图文素材 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Adding_Permanent_Assets.html#新增永久图文素材){:target=\"_blank\"}\n\n对于常用的素材，开发者可通过本接口上传到微信服务器，永久使用。新增的永久素材也可以在公众平台官网素材管理模块中查询管理。","ref":"WeChat.Material.html#add_news/2"},{"type":"function","title":"WeChat.Material.add_video_material/4","doc":"新增其他类型永久素材 - 视频 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Adding_Permanent_Assets.html#新增其他类型永久素材){:target=\"_blank\"}\n\n请注意：图片素材将进入公众平台官网素材管理模块中的默认分组。","ref":"WeChat.Material.html#add_video_material/4"},{"type":"function","title":"WeChat.Material.add_video_material/5","doc":"新增其他类型永久素材(binary) - 视频 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Adding_Permanent_Assets.html#新增其他类型永久素材){:target=\"_blank\"}\n\n请注意：图片素材将进入公众平台官网素材管理模块中的默认分组。","ref":"WeChat.Material.html#add_video_material/5"},{"type":"function","title":"WeChat.Material.batch_get_material/4","doc":"获取素材列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Get_materials_list.html){:target=\"_blank\"}\n\n在新增了永久素材后，开发者可以分类型获取永久素材的列表。\n\n请注意：\n\n- 获取永久素材的列表，也包含公众号在公众平台官网素材管理模块中新建的图文消息、语音、视频等素材\n- 临时素材无法通过本接口获取\n- 调用该接口需https协议","ref":"WeChat.Material.html#batch_get_material/4"},{"type":"function","title":"参数说明 - WeChat.Material.batch_get_material/4","doc":"* type:   素材的类型，图片（image）、视频（video）、语音 （voice）、图文（news）\n  * offset: 从全部素材的该偏移位置开始返回，0表示从第一个素材 返回\n  * count:  返回素材的数量，取值在1到20之间","ref":"WeChat.Material.html#batch_get_material/4-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.Material.del_material/2","doc":"删除永久素材 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Deleting_Permanent_Assets.html){:target=\"_blank\"}\n\n在新增了永久素材后，开发者可以根据本接口来删除不再需要的永久素材，节省空间。\n\n请注意：\n\n- 请谨慎操作本接口，因为它可以删除公众号在公众平台官网素材管理模块中新建的图文消息、语音、视频等素材（但需要先通过获取素材列表来获知素材的media_id）\n- 临时素材无法通过本接口删除\n- 调用该接口需https协议","ref":"WeChat.Material.html#del_material/2"},{"type":"function","title":"WeChat.Material.get_material/2","doc":"获取永久素材 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Getting_Permanent_Assets.html){:target=\"_blank\"}\n\n在新增了永久素材后，开发者可以根据media_id通过本接口下载永久素材。公众号在公众平台官网素材管理模块中新建的永久素材，\n可通过\"获取素材列表\"获知素材的media_id。\n\n请注意：临时素材无法通过本接口获取","ref":"WeChat.Material.html#get_material/2"},{"type":"function","title":"WeChat.Material.get_material_count/1","doc":"获取素材总数 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Get_the_total_of_all_materials.html){:target=\"_blank\"}\n\n开发者可以根据本接口来获取永久素材的列表，需要时也可保存到本地。\n\n请注意：\n\n- 永久素材的总数，也会计算公众平台官网素材管理中的素材\n- 图片和图文消息素材（包括单图文和多图文）的总数上限为100000，其他素材的总数上限为1000\n- 调用该接口需https协议","ref":"WeChat.Material.html#get_material_count/1"},{"type":"function","title":"WeChat.Material.get_media/2","doc":"获取临时素材 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Get_temporary_materials.html){:target=\"_blank\"}\n\n公众号可以使用本接口获取临时素材（即下载临时的多媒体文件）。","ref":"WeChat.Material.html#get_media/2"},{"type":"function","title":"WeChat.Material.stream_get_material/3","doc":"获取素材列表(stream) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Get_materials_list.html){:target=\"_blank\"}\n\n在新增了永久素材后，开发者可以分类型获取永久素材的列表。\n\n请注意：\n\n- 获取永久素材的列表，也包含公众号在公众平台官网素材管理模块中新建的图文消息、语音、视频等素材\n- 临时素材无法通过本接口获取\n- 调用该接口需https协议","ref":"WeChat.Material.html#stream_get_material/3"},{"type":"function","title":"参数说明 - WeChat.Material.stream_get_material/3","doc":"* type:   素材的类型，图片（image）、视频（video）、语音 （voice）、图文（news）\n  * count:  返回素材的数量，取值在1到20之间","ref":"WeChat.Material.html#stream_get_material/3-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.Material.update_news/4","doc":"修改永久图文素材 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Editing_Permanent_Rich_Media_Assets.html){:target=\"_blank\"}\n\n开发者可以通过本接口对永久图文素材进行修改。\n\n请注意：\n\n- 也可以在公众平台官网素材管理模块中保存的图文消息（永久图文素材）\n- 调用该接口需https协议","ref":"WeChat.Material.html#update_news/4"},{"type":"function","title":"WeChat.Material.upload_image/2","doc":"上传图文消息内的图片获取URL -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Adding_Permanent_Assets.html#上传图文消息内的图片获取URL){:target=\"_blank\"}\n\n本接口所上传的图片不占用公众号的素材库中图片数量的100000个的限制。图片仅支持jpg/png格式，大小必须在1MB以下。","ref":"WeChat.Material.html#upload_image/2"},{"type":"function","title":"WeChat.Material.upload_image/3","doc":"上传图文消息内的图片获取URL(binary) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/Adding_Permanent_Assets.html#上传图文消息内的图片获取URL){:target=\"_blank\"}\n\n本接口所上传的图片不占用公众号的素材库中图片数量的100000个的限制。图片仅支持jpg/png格式，大小必须在1MB以下。","ref":"WeChat.Material.html#upload_image/3"},{"type":"function","title":"WeChat.Material.upload_media/3","doc":"新增临时素材(文件路径) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/New_temporary_materials.html){:target=\"_blank\"}\n\n公众号经常有需要用到一些临时性的多媒体素材的场景，例如在使用接口特别是发送消息时，对多媒体文件、多媒体消息的获取和调用等操作，\n是通过media_id来进行的。素材管理接口对所有认证的订阅号和服务号开放。通过本接口，公众号可以新增临时素材（即上传临时多媒体文件）。","ref":"WeChat.Material.html#upload_media/3"},{"type":"function","title":"WeChat.Material.upload_media/4","doc":"新增临时素材(文件内容) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/New_temporary_materials.html){:target=\"_blank\"}\n\n公众号经常有需要用到一些临时性的多媒体素材的场景，例如在使用接口特别是发送消息时，对多媒体文件、多媒体消息的获取和调用等操作，\n是通过media_id来进行的。素材管理接口对所有认证的订阅号和服务号开放。通过本接口，公众号可以新增临时素材（即上传临时多媒体文件）。","ref":"WeChat.Material.html#upload_media/4"},{"type":"function","title":"WeChat.Material.upload_news/2","doc":"上传图文消息素材 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#1){:target=\"_blank\"}","ref":"WeChat.Material.html#upload_news/2"},{"type":"function","title":"WeChat.Material.upload_video/4","doc":"获取批量推送类型为 `mpvideo` 时要求的 `media_id` -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#2){:target=\"_blank\"}\n\n原 `media_id` 需通过 [素材管理] -> [新增素材] 来得到","ref":"WeChat.Material.html#upload_video/4"},{"type":"type","title":"WeChat.Material.article/0","doc":"文章","ref":"WeChat.Material.html#t:article/0"},{"type":"type","title":"WeChat.Material.articles/0","doc":"文章列表","ref":"WeChat.Material.html#t:articles/0"},{"type":"type","title":"WeChat.Material.material_count/0","doc":"素材的数量","ref":"WeChat.Material.html#t:material_count/0"},{"type":"type","title":"WeChat.Material.material_type/0","doc":"素材的类型\n  * `image` - 图片\n  * `video` - 视频\n  * `voice` - 语音\n  * `news`  - 图文\n  * `thumb`  - 缩略图\n\nsupport type\n  * String.t :: [\"image\", \"video\", \"voice\", \"news\"]\n  * atom :: [:image, :video, :voice, :news]","ref":"WeChat.Material.html#t:material_type/0"},{"type":"type","title":"WeChat.Material.media_id/0","doc":"媒体文件ID","ref":"WeChat.Material.html#t:media_id/0"},{"type":"module","title":"WeChat.Material.Article","doc":"文章","ref":"WeChat.Material.Article.html"},{"type":"type","title":"WeChat.Material.Article.author/0","doc":"作者","ref":"WeChat.Material.Article.html#t:author/0"},{"type":"type","title":"WeChat.Material.Article.content/0","doc":"图文消息的具体内容","ref":"WeChat.Material.Article.html#t:content/0"},{"type":"type","title":"WeChat.Material.Article.content_source_url/0","doc":"图文消息的原文地址，即点击“阅读原文”后的URL","ref":"WeChat.Material.Article.html#t:content_source_url/0"},{"type":"type","title":"WeChat.Material.Article.digest/0","doc":"图文消息的摘要","ref":"WeChat.Material.Article.html#t:digest/0"},{"type":"type","title":"WeChat.Material.Article.need_open_comment/0","doc":"是否打开评论\n\n- `0`: 不打开\n- `1`: 打开","ref":"WeChat.Material.Article.html#t:need_open_comment/0"},{"type":"type","title":"WeChat.Material.Article.only_fans_can_comment/0","doc":"是否粉丝才可评论\n\n- `0`: 所有人可评论\n- `1`: 粉丝才可评论","ref":"WeChat.Material.Article.html#t:only_fans_can_comment/0"},{"type":"type","title":"WeChat.Material.Article.show_cover_pic/0","doc":"是否显示封面\n\n- `0`: 不显示\n- `1`: 显示","ref":"WeChat.Material.Article.html#t:show_cover_pic/0"},{"type":"type","title":"WeChat.Material.Article.t/0","doc":"| argument            | 是否必须 | 说明 |\n| ------------------- | ------ | --- |\n| title               | 是 | 标题 |\n| thumb_media_id      | 是 | 图文消息的封面图片素材id |\n| author              | 否 | 作者 |\n| digest              | 否 | 图文消息的摘要，仅有单图文消息才有摘要，多图文此处为空。如果本字段为没有填写，则默认抓取正文前64个字。 |\n| content             | 是 | 图文消息的具体内容，支持HTML标签，必须少于2万字符，小于1M，且此处会去除JS,涉及图片url必须来源 \"上传图文消息内的图片获取URL\"接口获取。外部图片url将被过滤。 |\n| content_source_url  | 否 | 图文消息的原文地址，即点击“阅读原文”后的URL |\n| show_cover_pic      | 否 | 是否显示封面，1为显示，0为不显示 |\n| need_open_comment   | 否 | Uint32 是否打开评论，0不打开，1打开 |\n| only_fans_can_comment | 否 | Uint32 是否粉丝才可评论，0所有人可评论，1粉丝才可评论 |","ref":"WeChat.Material.Article.html#t:t/0"},{"type":"type","title":"WeChat.Material.Article.thumb_media_id/0","doc":"图文消息的封面图片素材id\n\n请通过接口 新增临时素材(`WeChat.Material.upload_media/3`) 获取","ref":"WeChat.Material.Article.html#t:thumb_media_id/0"},{"type":"type","title":"WeChat.Material.Article.title/0","doc":"图文消息的标题","ref":"WeChat.Material.Article.html#t:title/0"},{"type":"module","title":"WeChat.Publish","doc":"发布能力","ref":"WeChat.Publish.html"},{"type":"function","title":"WeChat.Publish.batch_get/4","doc":"获取成功发布列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Publish/Get_publication_records.html){:target=\"_blank\"}\n\n开发者可以获取已成功发布的消息列表。","ref":"WeChat.Publish.html#batch_get/4"},{"type":"function","title":"参数说明 - WeChat.Publish.batch_get/4","doc":"* offset: 从全部素材的该偏移位置开始返回，0表示从第一个素材 返回\n  * count:  返回素材的数量，取值在1到20之间\n  * no_content: 是否返回 content 字段","ref":"WeChat.Publish.html#batch_get/4-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.Publish.delete/3","doc":"删除发布 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Publish/Delete_posts.html){:target=\"_blank\"}\n\n开发者可以尝试通过下面的发布状态轮询接口获知发布情况。","ref":"WeChat.Publish.html#delete/3"},{"type":"function","title":"参数说明 - WeChat.Publish.delete/3","doc":"* index: 要删除的文章在图文消息中的位置，第一篇编号为1，该字段不填或填0会删除全部文章","ref":"WeChat.Publish.html#delete/3-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.Publish.get_article/2","doc":"通过 article_id 获取已发布文章 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Publish/Get_article_from_id.html){:target=\"_blank\"}\n\n开发者可以通过 article_id 获取已发布的图文信息。","ref":"WeChat.Publish.html#get_article/2"},{"type":"function","title":"WeChat.Publish.get_status/2","doc":"发布状态轮询接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Publish/Get_status.html){:target=\"_blank\"}\n\n开发者可以尝试通过下面的发布状态轮询接口获知发布情况。","ref":"WeChat.Publish.html#get_status/2"},{"type":"function","title":"WeChat.Publish.publish/2","doc":"发布接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Publish/Publish.html){:target=\"_blank\"}\n\n开发者需要先将图文素材以草稿的形式保存（见“草稿箱/新建草稿”，如需从已保存的草稿中选择，见“草稿箱/获取草稿列表”），选择要发布的草稿 media_id 进行发布","ref":"WeChat.Publish.html#publish/2"},{"type":"function","title":"WeChat.Publish.stream_get/3","doc":"获取成功发布列表(stream) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Publish/Get_publication_records.html){:target=\"_blank\"}\n\n开发者可以获取已成功发布的消息列表。","ref":"WeChat.Publish.html#stream_get/3"},{"type":"function","title":"参数说明 - WeChat.Publish.stream_get/3","doc":"* count:  返回素材的数量，取值在1到20之间\n  * no_content: 是否返回 content 字段","ref":"WeChat.Publish.html#stream_get/3-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"type","title":"WeChat.Publish.article_id/0","doc":"成功发布时返回的 article_id","ref":"WeChat.Publish.html#t:article_id/0"},{"type":"type","title":"WeChat.Publish.publish_id/0","doc":"发布任务的id","ref":"WeChat.Publish.html#t:publish_id/0"},{"type":"module","title":"WeChat.BatchSends","doc":"消息管理 - 群发接口和原创效验\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html){:target=\"_blank\"}\n\n在公众平台网站上，为订阅号提供了每天一条的群发权限，为服务号提供每月（自然月）`4` 条的群发权限。\n而对于某些具备开发能力的公众号运营者，可以通过高级群发接口，实现更灵活的群发能力。\n\n请注意：\n\n1. 对于认证订阅号，群发接口每天可成功调用 `1` 次，此次群发可选择发送给全部用户或某个标签；\n2. 对于认证服务号虽然开发者使用高级群发接口的每日调用限制为 `100` 次，但是用户每月只能接收 `4` 条，无论在公众平台网站上，还是使用接口群发，\n用户每月只能接收 `4` 条群发消息，多于 `4` 条的群发将对该用户发送失败；\n3. 开发者可以使用预览接口校对消息样式和排版，通过预览接口可发送编辑好的消息给指定用户校验效果；\n4. 群发过程中，微信后台会自动进行图文消息原创校验，请提前设置好相关参数(`send_ignore` 等)；\n5. 开发者可以主动设置 `clientmsgid` 来避免重复推送。\n6. 群发接口每分钟限制请求 `60` 次，超过限制的请求会被拒绝。\n7. 图文消息正文中插入自己帐号和其他公众号已群发文章链接的能力。\n8. 对于已开启API群发保护的账号，群发全部用户时需要等待管理员进行确认，如管理员拒绝或30分钟内没有确认，该次群发失败。\n用户可通过“设置-安全中心-风险操作保护”中关闭API群发保护功能。\n\n群发图文消息的过程如下：\n\n1. 首先，预先将图文消息中需要用到的图片，使用上传图文消息内图片接口，上传成功并获得图片 URL；\n2. 上传图文消息素材，需要用到图片时，请使用上一步获取的图片 URL；\n3. 使用对用户标签的群发，或对 `OpenID` 列表的群发，将图文消息群发出去，群发时微信会进行原创校验，并返回群发操作结果；\n4. 在上述过程中，如果需要，还可以预览图文消息、查询群发状态，或删除已群发的消息等。\n\n群发图片、文本等其他消息类型的过程如下：\n\n1. 如果是群发文本消息，则直接根据下面的接口说明进行群发即可；\n2. 如果是群发图片、视频等消息，则需要预先通过素材管理接口准备好 `mediaID`。\n\n关于群发时使用 `is_to_all` 为 `true` 使其进入公众号在微信客户端的历史消息列表：\n\n1. 使用 `is_to_all` 为 `true` 且成功群发，会使得此次群发进入历史消息列表。\n2. 为防止异常，认证订阅号在一天内，只能使用 `is_to_all` 为true进行群发一次，或者在公众平台官网群发（不管本次群发是对全体还是对某个分组）一次。\n以避免一天内有2条群发进入历史消息列表。\n3. 类似地，服务号在一个月内，使用 `is_to_all` 为 `true` 群发的次数，加上公众平台官网群发（不管本次群发是对全体还是对某个分组）的次数，最多只能是 `4` 次。\n4. 设置 `is_to_all` 为 `false` 时是可以多次群发的，但每个用户只会收到最多4条，且这些群发不会进入历史消息列表。\n另外，请开发者注意，本接口中所有使用到 `media_id` 的地方，现在都可以使用素材管理中的永久素材 `media_id` 了。\n请但注意，使用同一个素材群发出去的链接是一样的，这意味着，删除某一次群发，会导致整个链接失效。","ref":"WeChat.BatchSends.html"},{"type":"module","title":"群发前的原创校验 - WeChat.BatchSends","doc":"群发接口新增原创校验流程\n\n开发者调用群发接口进行图文消息的群发时，微信会将开发者准备群发的文章，与公众平台原创库中的文章进行比较，校验结果分为以下几种：\n\n  - 当前准备群发的文章，未命中原创库中的文章，则可以群发。\n  - 当前准备群发的文章，已命中原创库中的文章，则：\n\n    - 若原创作者允许转载该文章，则可以进行群发。群发时，会自动替换成原文的样式，且会自动将文章注明为转载并显示来源。\n\n      若希望修改原文内容或样式，或群发时不显示转载来源，可自行与原创公众号作者联系并获得授权之后再进行群发。\n\n    - 若原创作者禁止转载该文章，则不能进行群发。\n\n      若希望转载该篇文章，可自行与原创公众号作者联系并获得授权之后再进行群发。\n\n群发操作的相关返回码，可以参考全局返回码说明文档。","ref":"WeChat.BatchSends.html#module-%E7%BE%A4%E5%8F%91%E5%89%8D%E7%9A%84%E5%8E%9F%E5%88%9B%E6%A0%A1%E9%AA%8C"},{"type":"function","title":"WeChat.BatchSends.batch_send_by_list/2","doc":"根据OpenID列表群发【订阅号不可用，服务号认证后可用】 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#3){:target=\"_blank\"}","ref":"WeChat.BatchSends.html#batch_send_by_list/2"},{"type":"function","title":"WeChat.BatchSends.batch_send_by_tag/2","doc":"根据标签进行群发【订阅号与服务号认证后均可用】 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#2){:target=\"_blank\"}","ref":"WeChat.BatchSends.html#batch_send_by_tag/2"},{"type":"function","title":"WeChat.BatchSends.delete/3","doc":"删除群发【订阅号与服务号认证后均可用】 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#4){:target=\"_blank\"}\n\n群发之后，随时可以通过该接口删除群发。","ref":"WeChat.BatchSends.html#delete/3"},{"type":"function","title":"请注意 - WeChat.BatchSends.delete/3","doc":"1. 只有已经发送成功的消息才能删除\n2. 删除消息是将消息的图文详情页失效，已经收到的用户，还是能在其本地看到消息卡片。\n3. 删除群发消息只能删除图文消息和视频消息，其他类型的消息一经发送，无法删除。\n4. 如果多次群发发送的是一个图文消息，那么删除其中一次群发，就会删除掉这个图文消息也，导致所有群发都失效","ref":"WeChat.BatchSends.html#delete/3-%E8%AF%B7%E6%B3%A8%E6%84%8F"},{"type":"function","title":"WeChat.BatchSends.delete_by_url/2","doc":"删除群发【订阅号与服务号认证后均可用】 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#4){:target=\"_blank\"}\n\n群发之后，随时可以通过该接口删除群发。","ref":"WeChat.BatchSends.html#delete_by_url/2"},{"type":"function","title":"WeChat.BatchSends.get/2","doc":"查询群发消息发送状态【订阅号与服务号认证后均可用】 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#5){:target=\"_blank\"}\n\n开发者可通过该接口发送消息给指定用户，在手机端查看消息的样式和排版。\n\n为了满足第三方平台开发者的需求，在保留对openID预览能力的同时，增加了对指定微信号发送预览的能力，但该能力每日调用次数有限制（100次），请勿滥用。","ref":"WeChat.BatchSends.html#get/2"},{"type":"function","title":"WeChat.BatchSends.get_speed/1","doc":"群发速度 - 获取 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#9){:target=\"_blank\"}","ref":"WeChat.BatchSends.html#get_speed/1"},{"type":"function","title":"WeChat.BatchSends.preview/2","doc":"预览接口【订阅号与服务号认证后均可用】 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#5){:target=\"_blank\"}\n\n开发者可通过该接口发送消息给指定用户，在手机端查看消息的样式和排版。\n\n为了满足第三方平台开发者的需求，在保留对openID预览能力的同时，增加了对指定微信号发送预览的能力，但该能力每日调用次数有限制（100次），请勿滥用。","ref":"WeChat.BatchSends.html#preview/2"},{"type":"function","title":"WeChat.BatchSends.set_speed/2","doc":"群发速度 - 设置 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Batch_Sends_and_Originality_Checks.html#9){:target=\"_blank\"}\n\n群发速度的级别，是一个0到4的整数，数字越大表示群发速度越慢。\n\nspeed 与 realspeed 的关系如下：\n\n| speed | realspeed |\n| ----- | --------- |\n| 0 | 80w/分钟 |\n| 1 | 60w/分钟 |\n| 2 | 45w/分钟 |\n| 3 | 30w/分钟 |\n| 4 | 10w/分钟 |","ref":"WeChat.BatchSends.html#set_speed/2"},{"type":"type","title":"WeChat.BatchSends.article_idx/0","doc":"要删除的文章在图文消息中的位置\n\n第一篇编号为1，该字段不填或填0会删除全部文章","ref":"WeChat.BatchSends.html#t:article_idx/0"},{"type":"type","title":"WeChat.BatchSends.batch_send_by_list_body/0","doc":"","ref":"WeChat.BatchSends.html#t:batch_send_by_list_body/0"},{"type":"type","title":"WeChat.BatchSends.batch_send_by_tag_body/0","doc":"","ref":"WeChat.BatchSends.html#t:batch_send_by_tag_body/0"},{"type":"type","title":"WeChat.BatchSends.card_object/0","doc":"卡券消息 - `wxcard`","ref":"WeChat.BatchSends.html#t:card_object/0"},{"type":"type","title":"WeChat.BatchSends.filter/0","doc":"用于设定图文消息的接收者","ref":"WeChat.BatchSends.html#t:filter/0"},{"type":"type","title":"WeChat.BatchSends.image_object/0","doc":"图片 - `image`\n\n`media_id` 请从 素材管理 -> 新增素材（`WeChat.Material.add_material/3`） 接口中获取","ref":"WeChat.BatchSends.html#t:image_object/0"},{"type":"type","title":"WeChat.BatchSends.is_to_all/0","doc":"用于设定是否向全部用户发送\n\n值为true或false，选择true该消息群发给所有用户\n选择false可根据tag_id发送给指定群组的用户","ref":"WeChat.BatchSends.html#t:is_to_all/0"},{"type":"type","title":"WeChat.BatchSends.msg_id/0","doc":"消息发送任务的ID","ref":"WeChat.BatchSends.html#t:msg_id/0"},{"type":"type","title":"WeChat.BatchSends.msg_type/0","doc":"群发的消息类型\n\n- 图文消息: `mpnews`\n- 文本消息: `text`\n- 语音: `voice`\n- 音乐: `music`\n- 图片: `image`\n- 视频: `video`\n- 卡券: `wxcard`","ref":"WeChat.BatchSends.html#t:msg_type/0"},{"type":"type","title":"WeChat.BatchSends.news_object/0","doc":"图文消息 - `mpnews`\n\n`media_id` 请从 上传图文消息素材（`WeChat.Material.upload_news/2`） 接口中获取","ref":"WeChat.BatchSends.html#t:news_object/0"},{"type":"type","title":"WeChat.BatchSends.object/0","doc":"","ref":"WeChat.BatchSends.html#t:object/0"},{"type":"type","title":"WeChat.BatchSends.openid_list/0","doc":"图文消息的接收者，\n\n一串OpenID列表，OpenID最少2个，最多10000个","ref":"WeChat.BatchSends.html#t:openid_list/0"},{"type":"type","title":"WeChat.BatchSends.preview_body/0","doc":"","ref":"WeChat.BatchSends.html#t:preview_body/0"},{"type":"type","title":"WeChat.BatchSends.recommend/0","doc":"推荐语，不填则默认为“分享图片”","ref":"WeChat.BatchSends.html#t:recommend/0"},{"type":"type","title":"WeChat.BatchSends.send_ignore_reprint/0","doc":"图文消息被判定为转载时，是否继续群发\n\n- 当 `send_ignore_reprint` 参数设置为1时，文章被判定为转载时，且原创文允许转载时，将继续进行群发操作。\n- 当 `send_ignore_reprint` 参数设置为0时，文章被判定为转载时，将停止群发操作。\n\n默认为: `0`","ref":"WeChat.BatchSends.html#t:send_ignore_reprint/0"},{"type":"type","title":"WeChat.BatchSends.tag_id/0","doc":"群发到的标签的tag_id\n\n参见用户管理中用户分组接口，若is_to_all值为true，可不填写tag_id","ref":"WeChat.BatchSends.html#t:tag_id/0"},{"type":"type","title":"WeChat.BatchSends.text_object/0","doc":"文本 - `text`","ref":"WeChat.BatchSends.html#t:text_object/0"},{"type":"type","title":"WeChat.BatchSends.url/0","doc":"","ref":"WeChat.BatchSends.html#t:url/0"},{"type":"type","title":"WeChat.BatchSends.video_object/0","doc":"视频 - `mpvideo`\n\n`media_id` 请从 `WeChat.Material.upload_video/4` 接口中获取","ref":"WeChat.BatchSends.html#t:video_object/0"},{"type":"type","title":"WeChat.BatchSends.voice_object/0","doc":"语音/音频 - `voice`\n\n`media_id` 请从 素材管理 -> 新增素材（`WeChat.Material.add_material/3`） 接口中获取","ref":"WeChat.BatchSends.html#t:voice_object/0"},{"type":"module","title":"WeChat.CustomMessage","doc":"消息管理 - 客服消息\n\n同时支持 公众号 & 小程序\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html"},{"type":"function","title":"WeChat.CustomMessage.send_article/3","doc":"客服消息接口 - 发送图文消息 by ArticleID (点击跳转到图文消息页面) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}\n\n使用通过 “发布” 系列接口得到的 article_id","ref":"WeChat.CustomMessage.html#send_article/3"},{"type":"function","title":"WeChat.CustomMessage.send_card/3","doc":"客服消息接口 - 发送卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_card/3"},{"type":"function","title":"WeChat.CustomMessage.send_image/3","doc":"客服消息接口 - 发送图片消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_image/3"},{"type":"function","title":"WeChat.CustomMessage.send_menu/3","doc":"客服消息接口 - 发送菜单消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_menu/3"},{"type":"function","title":"Example - WeChat.CustomMessage.send_menu/3","doc":"```elixir\nWeChat.CustomMessage.send_menu(client, openid, {\n  head_content: \"您对本次服务是否满意呢?\",\n  list: [\n    {\n      id: \"101\",\n      content: \"满意\"\n    },\n    {\n      id: \"102\",\n      content: \"不满意\"\n    }\n  ],\n  tail_content: \"欢迎再次光临\"\n})\n```","ref":"WeChat.CustomMessage.html#send_menu/3-example"},{"type":"function","title":"WeChat.CustomMessage.send_mini_program_page/3","doc":"客服消息接口 - 发送小程序卡片(要求小程序与公众号已关联) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_mini_program_page/3"},{"type":"function","title":"Example - WeChat.CustomMessage.send_mini_program_page/3","doc":"```elixir\nWeChat.CustomMessage.send_mini_program_page(client, openid, {\n  title:    \"title\",\n  appid:    \"appid\",\n  pagepath: \"pagepath\",\n  thumb_media_id: \"thumb_media_id\"\n})\n```","ref":"WeChat.CustomMessage.html#send_mini_program_page/3-example"},{"type":"function","title":"WeChat.CustomMessage.send_mp_news/3","doc":"客服消息接口 - 发送图文消息(点击跳转到图文消息页面) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_mp_news/3"},{"type":"function","title":"WeChat.CustomMessage.send_msg/2","doc":"客服消息接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_msg/2"},{"type":"function","title":"WeChat.CustomMessage.send_music/3","doc":"客服消息接口 - 发送音乐消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_music/3"},{"type":"function","title":"Example - WeChat.CustomMessage.send_music/3","doc":"```elixir\nWeChat.CustomMessage.send_music(client, openid, {\n  title:          \"MUSIC_TITLE\",\n  description:    \"MUSIC_DESCRIPTION\",\n  musicurl:       \"MUSIC_URL\",\n  hqmusicurl:     \"HQ_MUSIC_URL\",\n  thumb_media_id: \"THUMB_MEDIA_ID\"\n})\n```","ref":"WeChat.CustomMessage.html#send_music/3-example"},{"type":"function","title":"WeChat.CustomMessage.send_news/3","doc":"客服消息接口 - 发送图文消息(点击跳转到外链) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_news/3"},{"type":"function","title":"WeChat.CustomMessage.send_news/6","doc":"客服消息接口 - 发送图文消息(点击跳转到外链) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_news/6"},{"type":"function","title":"Example - WeChat.CustomMessage.send_news/6","doc":"```elixir\nWeChat.CustomMessage.send_news(client, openid, {\n  title:        \"Happy Day\",\n  description:  \"Is Really A Happy Day\",\n  url:          \"URL\",\n  picurl:       \"PIC_URL\"\n})\n```","ref":"WeChat.CustomMessage.html#send_news/6-example"},{"type":"function","title":"WeChat.CustomMessage.send_text/3","doc":"客服消息接口 - 发送文本消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}\n\n发送文本消息时，支持插入跳小程序的文字链\n\n```html\n文本内容 点击跳小程序 \n```\n\n说明：\n\n- `data-miniprogram-appid` 项，填写小程序 `appid`，则表示该链接跳小程序；\n- `data-miniprogram-path` 项，填写小程序路径，路径与 `app.json` 中保持一致，可带参数；\n- 对于不支持 `data-miniprogram-appid` 项的客户端版本，如果有 `herf` 项，则仍然保持跳 `href` 中的网页链接；\n- `data-miniprogram-appid` 对应的小程序必须与公众号有绑定关系。","ref":"WeChat.CustomMessage.html#send_text/3"},{"type":"function","title":"WeChat.CustomMessage.send_text/4","doc":"客服消息接口 - 发送文本消息 - by某个客服帐号 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_text/4"},{"type":"function","title":"WeChat.CustomMessage.send_video/3","doc":"客服消息接口 - 发送视频消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_video/3"},{"type":"function","title":"Example - WeChat.CustomMessage.send_video/3","doc":"```elixir\nWeChat.CustomMessage.send_video(client, openid, {\n  media_id:         \"MEDIA_ID\",\n  thumb_media_id:   \"MEDIA_ID\",\n  title:            \"TITLE\",\n  description:      \"DESCRIPTION\"\n})\n```","ref":"WeChat.CustomMessage.html#send_video/3-example"},{"type":"function","title":"WeChat.CustomMessage.send_voice/3","doc":"客服消息接口 - 发送语音消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#7){:target=\"_blank\"}","ref":"WeChat.CustomMessage.html#send_voice/3"},{"type":"function","title":"WeChat.CustomMessage.typing/3","doc":"客服输入状态 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#8){:target=\"_blank\"}\n\n开发者可通过调用“客服输入状态”接口，返回客服当前输入状态给用户。\n\n此接口需要客服消息接口权限。\n\n- 如果不满足发送客服消息的触发条件，则无法下发输入状态。\n- 下发输入状态，需要客服之前30秒内跟用户有过消息交互。\n- 在输入状态中（持续15s），不可重复下发输入态。\n- 在输入状态中，如果向用户下发消息，会同时取消输入状态。","ref":"WeChat.CustomMessage.html#typing/3"},{"type":"type","title":"WeChat.CustomMessage.content/0","doc":"","ref":"WeChat.CustomMessage.html#t:content/0"},{"type":"type","title":"WeChat.CustomMessage.description/0","doc":"","ref":"WeChat.CustomMessage.html#t:description/0"},{"type":"type","title":"WeChat.CustomMessage.pic_url/0","doc":"","ref":"WeChat.CustomMessage.html#t:pic_url/0"},{"type":"type","title":"WeChat.CustomMessage.template_id/0","doc":"","ref":"WeChat.CustomMessage.html#t:template_id/0"},{"type":"type","title":"WeChat.CustomMessage.title/0","doc":"","ref":"WeChat.CustomMessage.html#t:title/0"},{"type":"type","title":"WeChat.CustomMessage.url/0","doc":"","ref":"WeChat.CustomMessage.html#t:url/0"},{"type":"module","title":"WeChat.CustomService","doc":"客服帐号管理\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#0){:target=\"_blank\"}","ref":"WeChat.CustomService.html"},{"type":"function","title":"WeChat.CustomService.add_kf_account/4","doc":"添加客服帐号 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#1){:target=\"_blank\"}\n\n每个公众号最多添加100个客服账号。","ref":"WeChat.CustomService.html#add_kf_account/4"},{"type":"function","title":"WeChat.CustomService.del_kf_account/4","doc":"删除客服帐号 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#3){:target=\"_blank\"}","ref":"WeChat.CustomService.html#del_kf_account/4"},{"type":"function","title":"WeChat.CustomService.get_kf_list/1","doc":"获取所有客服账号 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#5){:target=\"_blank\"}\n\n获取公众号中所设置的客服基本信息，包括客服工号、客服昵称、客服登录账号。","ref":"WeChat.CustomService.html#get_kf_list/1"},{"type":"function","title":"WeChat.CustomService.update_kf_account/4","doc":"修改客服帐号 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#2){:target=\"_blank\"}","ref":"WeChat.CustomService.html#update_kf_account/4"},{"type":"function","title":"WeChat.CustomService.upload_head_img/3","doc":"设置客服帐号的头像 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#4){:target=\"_blank\"}\n\n头像图片文件必须是jpg格式，推荐使用640*640大小的图片以达到最佳效果。","ref":"WeChat.CustomService.html#upload_head_img/3"},{"type":"function","title":"WeChat.CustomService.upload_head_img/4","doc":"设置客服帐号的头像(binary) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Service_Center_messages.html#4){:target=\"_blank\"}\n\n头像图片文件必须是jpg格式，推荐使用640*640大小的图片以达到最佳效果。","ref":"WeChat.CustomService.html#upload_head_img/4"},{"type":"type","title":"WeChat.CustomService.kf_account/0","doc":"完整客服账号，格式为：账号前缀@公众号微信号","ref":"WeChat.CustomService.html#t:kf_account/0"},{"type":"type","title":"WeChat.CustomService.nickname/0","doc":"客服昵称","ref":"WeChat.CustomService.html#t:nickname/0"},{"type":"type","title":"WeChat.CustomService.password/0","doc":"客服账号登录密码\n\n格式为密码明文的32位加密MD5值。该密码仅用于在公众平台官网的多客服功能中使用，若不使用多客服功能，则不必设置密码。","ref":"WeChat.CustomService.html#t:password/0"},{"type":"module","title":"WeChat.SubscribeMessage","doc":"订阅信息\n\n同时支持\n\n- [公众号](https://developers.weixin.qq.com/doc/offiaccount/Subscription_Messages/intro.html)\n- [小程序](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/subscribe-message.html)","ref":"WeChat.SubscribeMessage.html"},{"type":"function","title":"WeChat.SubscribeMessage.add_template/4","doc":"组合模板并添加至帐号下的个人模板库 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/subscribe-message/subscribeMessage.addTemplate.html){:target=\"_blank\"}","ref":"WeChat.SubscribeMessage.html#add_template/4"},{"type":"function","title":"WeChat.SubscribeMessage.delete_template/2","doc":"删除帐号下的个人模板 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/subscribe-message/subscribeMessage.deleteTemplate.html){:target=\"_blank\"}","ref":"WeChat.SubscribeMessage.html#delete_template/2"},{"type":"function","title":"WeChat.SubscribeMessage.get_category/1","doc":"获取小程序账号的类目 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/subscribe-message/subscribeMessage.getCategory.html){:target=\"_blank\"}","ref":"WeChat.SubscribeMessage.html#get_category/1"},{"type":"function","title":"WeChat.SubscribeMessage.get_pub_template_key_words_by_id/2","doc":"获取模板标题下的关键词列表 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/subscribe-message/subscribeMessage.getPubTemplateKeyWordsById.html){:target=\"_blank\"}","ref":"WeChat.SubscribeMessage.html#get_pub_template_key_words_by_id/2"},{"type":"function","title":"WeChat.SubscribeMessage.get_pub_template_titles/4","doc":"获取帐号所属类目下的公共模板标题 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/subscribe-message/subscribeMessage.getPubTemplateTitleList.html){:target=\"_blank\"}","ref":"WeChat.SubscribeMessage.html#get_pub_template_titles/4"},{"type":"function","title":"WeChat.SubscribeMessage.get_templates/1","doc":"获取当前帐号下的个人模板列表 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/subscribe-message/subscribeMessage.getTemplateList.html){:target=\"_blank\"}","ref":"WeChat.SubscribeMessage.html#get_templates/1"},{"type":"function","title":"WeChat.SubscribeMessage.send/5","doc":"发送订阅消息\n\n- [公众号](https://developers.weixin.qq.com/doc/offiaccount/Subscription_Messages/api.html#send发送订阅通知){:target=\"_blank\"}\n- [小程序](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/subscribe-message/subscribeMessage.send.html){:target=\"_blank\"}","ref":"WeChat.SubscribeMessage.html#send/5"},{"type":"type","title":"WeChat.SubscribeMessage.category_id/0","doc":"类目ID","ref":"WeChat.SubscribeMessage.html#t:category_id/0"},{"type":"type","title":"WeChat.SubscribeMessage.jump_mini_program_object/0","doc":"","ref":"WeChat.SubscribeMessage.html#t:jump_mini_program_object/0"},{"type":"type","title":"WeChat.SubscribeMessage.jump_page_url/0","doc":"跳转网页时填写","ref":"WeChat.SubscribeMessage.html#t:jump_page_url/0"},{"type":"type","title":"WeChat.SubscribeMessage.kid_list/0","doc":"开发者自行组合好的模板关键词列表\n\n关键词顺序可以自由搭配（例如 [3,5,4] 或 [4,5,3]），最多支持5个，最少2个关键词组合","ref":"WeChat.SubscribeMessage.html#t:kid_list/0"},{"type":"type","title":"WeChat.SubscribeMessage.lang/0","doc":"进入小程序查看”的语言类型\n\n支持:\n\n- 简体中文: `zh_CN`\n- 英文: `en_US`\n- 繁体中文: `zh_HK`\n- 繁体中文: `zh_TW`\n\n默认为: `zh_CN`","ref":"WeChat.SubscribeMessage.html#t:lang/0"},{"type":"type","title":"WeChat.SubscribeMessage.mini_program_send_options/0","doc":"小程序 发送配置","ref":"WeChat.SubscribeMessage.html#t:mini_program_send_options/0"},{"type":"type","title":"WeChat.SubscribeMessage.mini_program_state/0","doc":"跳转小程序类型\n\n- 开发版： `:developer`\n- 体验版： `:trial`\n- 正式版： `:formal`\n\n默认为: 正式版","ref":"WeChat.SubscribeMessage.html#t:mini_program_state/0"},{"type":"type","title":"WeChat.SubscribeMessage.official_account_send_options/0","doc":"公众号 发送配置\n\n- `page` 和 `miniprogram` 同时不填，无跳转；\n- `page` 和 `miniprogram` 同时填写，优先跳转小程序；","ref":"WeChat.SubscribeMessage.html#t:official_account_send_options/0"},{"type":"type","title":"WeChat.SubscribeMessage.pri_tmpl_id/0","doc":"个人模板id","ref":"WeChat.SubscribeMessage.html#t:pri_tmpl_id/0"},{"type":"type","title":"WeChat.SubscribeMessage.scene_desc/0","doc":"服务场景描述\n\n15个字以内","ref":"WeChat.SubscribeMessage.html#t:scene_desc/0"},{"type":"type","title":"WeChat.SubscribeMessage.send_data/0","doc":"","ref":"WeChat.SubscribeMessage.html#t:send_data/0"},{"type":"type","title":"WeChat.SubscribeMessage.send_options/0","doc":"","ref":"WeChat.SubscribeMessage.html#t:send_options/0"},{"type":"type","title":"WeChat.SubscribeMessage.template_id/0","doc":"模板id","ref":"WeChat.SubscribeMessage.html#t:template_id/0"},{"type":"type","title":"WeChat.SubscribeMessage.tid/0","doc":"模板标题 id\n\n可通过接口获取，也可登录 公众号/小程序 后台查看获取","ref":"WeChat.SubscribeMessage.html#t:tid/0"},{"type":"module","title":"WeChat.Template","doc":"消息管理 - 模板消息\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html){:target=\"_blank\"}","ref":"WeChat.Template.html"},{"type":"function","title":"WeChat.Template.api_add_template/2","doc":"获得模板ID -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html#2){:target=\"_blank\"}","ref":"WeChat.Template.html#api_add_template/2"},{"type":"function","title":"WeChat.Template.api_set_industry/3","doc":"设置所属行业 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html#0){:target=\"_blank\"}\n\n每月可修改行业1次，帐号仅可使用所属行业中相关的模板","ref":"WeChat.Template.html#api_set_industry/3"},{"type":"function","title":"WeChat.Template.del_private_template/2","doc":"删除模板 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html#4){:target=\"_blank\"}","ref":"WeChat.Template.html#del_private_template/2"},{"type":"function","title":"WeChat.Template.get_all_private_template/1","doc":"获取模板列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html#3){:target=\"_blank\"}","ref":"WeChat.Template.html#get_all_private_template/1"},{"type":"function","title":"WeChat.Template.get_industry/1","doc":"获取设置的行业信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html#1){:target=\"_blank\"}","ref":"WeChat.Template.html#get_industry/1"},{"type":"function","title":"WeChat.Template.send_template_message/2","doc":"发送模板消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html#5){:target=\"_blank\"}","ref":"WeChat.Template.html#send_template_message/2"},{"type":"function","title":"WeChat.Template.send_template_message/4","doc":"发送模板消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Template_Message_Interface.html#5){:target=\"_blank\"}","ref":"WeChat.Template.html#send_template_message/4"},{"type":"type","title":"WeChat.Template.description/0","doc":"","ref":"WeChat.Template.html#t:description/0"},{"type":"type","title":"WeChat.Template.industry_id/0","doc":"","ref":"WeChat.Template.html#t:industry_id/0"},{"type":"type","title":"WeChat.Template.pic_url/0","doc":"","ref":"WeChat.Template.html#t:pic_url/0"},{"type":"type","title":"WeChat.Template.template_id/0","doc":"","ref":"WeChat.Template.html#t:template_id/0"},{"type":"type","title":"WeChat.Template.title/0","doc":"","ref":"WeChat.Template.html#t:title/0"},{"type":"type","title":"WeChat.Template.url/0","doc":"","ref":"WeChat.Template.html#t:url/0"},{"type":"module","title":"WeChat.Card","doc":"微信卡券\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/WeChat_Coupon_Interface.html){:target=\"_blank\"}","ref":"WeChat.Card.html"},{"type":"function","title":"WeChat.Card.check_card_code/4","doc":"查询Code -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Redeeming_a_coupon_voucher_or_card.html#1){:target=\"_blank\"}\n\n我们强烈建议开发者在调用核销code接口之前调用查询code接口，并在核销之前对非法状态的code(如转赠中、已删除、已核销等)做出处理。","ref":"WeChat.Card.html#check_card_code/4"},{"type":"function","title":"WeChat.Card.consume_code/2","doc":"核销Code接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Redeeming_a_coupon_voucher_or_card.html#2){:target=\"_blank\"}\n\n消耗code接口是核销卡券的唯一接口,开发者可以调用当前接口将用户的优惠券进行核销，该过程不可逆。","ref":"WeChat.Card.html#consume_code/2"},{"type":"function","title":"WeChat.Card.consume_code/3","doc":"核销Code接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Redeeming_a_coupon_voucher_or_card.html#2){:target=\"_blank\"}\n\n消耗code接口是核销卡券的唯一接口,开发者可以调用当前接口将用户的优惠券进行核销，该过程不可逆。\n\n卡券ID(card_id): 创建卡券时use_custom_code填写true时必填。非自定义Code不必填写","ref":"WeChat.Card.html#consume_code/3"},{"type":"function","title":"WeChat.Card.create/2","doc":"创建卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Create_a_Coupon_Voucher_or_Card.html#8){:target=\"_blank\"}","ref":"WeChat.Card.html#create/2"},{"type":"function","title":"WeChat.Card.decrypt_code/2","doc":"Code解码接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Redeeming_a_coupon_voucher_or_card.html#3){:target=\"_blank\"}\n\ncode解码接口支持两种场景：\n\n- 商家获取 `choos_card_info` 后，将 `card_id` 和 `encrypt_code` 字段通过解码接口，获取真实 `code`。\n- 卡券内跳转外链的签名中会对 `code` 进行加密处理，通过调用解码接口获取真实 `code`。","ref":"WeChat.Card.html#decrypt_code/2"},{"type":"function","title":"WeChat.Card.set_pay_cell/3","doc":"设置快速买单 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Create_a_Coupon_Voucher_or_Card.html#11){:target=\"_blank\"}","ref":"WeChat.Card.html#set_pay_cell/3"},{"type":"function","title":"功能介绍 - WeChat.Card.set_pay_cell/3","doc":"微信卡券买单功能是微信卡券的一项新的能力，可以方便消费者买单时，直接录入消费金额，自动使用领到的优惠（券或卡）抵扣，并拉起微信支付快速完成付款。\n\n微信买单（以下统称微信买单）的好处：\n\n* 无需商户具备微信支付开发能力，即可完成订单生成，与微信支付打通。\n* 可以通过手机公众号、电脑商户后台，轻松操作收款并查看核销记录，交易对账，并支持离线下载。\n* 支持会员营销，二次营销，如会员卡交易送积分，抵扣积分，买单后赠券等。","ref":"WeChat.Card.html#set_pay_cell/3-%E5%8A%9F%E8%83%BD%E4%BB%8B%E7%BB%8D"},{"type":"function","title":"WeChat.Card.set_self_consume_cell/3","doc":"设置自助核销 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Create_a_Coupon_Voucher_or_Card.html#14){:target=\"_blank\"}","ref":"WeChat.Card.html#set_self_consume_cell/3"},{"type":"function","title":"功能介绍 - WeChat.Card.set_self_consume_cell/3","doc":"自助核销与扫码/输码核销互为补充，卡券商户助手通过扫码/输码完成核销的同时，也确保了用券的真实性，适合有强对账需求的商户使用；而自助核销由用户发起，全程由用户操作，适合对账需求不强的商户使用。\n\n目前，自助核销可能适合以下场景使用:\n  * 不允许店员上班期间带手机；\n  * 高峰期店内人流量大，扫码/输码核销速度不能满足短时需求；\n  * 会议入场，短时有大量核销任务；","ref":"WeChat.Card.html#set_self_consume_cell/3-%E5%8A%9F%E8%83%BD%E4%BB%8B%E7%BB%8D"},{"type":"type","title":"WeChat.Card.card_code/0","doc":"卡券Code码\n\n一张卡券的唯一标识，核销卡券时使用此串码，支持商户自定义。","ref":"WeChat.Card.html#t:card_code/0"},{"type":"type","title":"WeChat.Card.card_id/0","doc":"","ref":"WeChat.Card.html#t:card_id/0"},{"type":"type","title":"WeChat.Card.card_status/0","doc":"支持开发者拉出指定状态的卡券列表\n  * `\"CARD_STATUS_NOT_VERIFY\"`  - 待审核\n  * `\"CARD_STATUS_VERIFY_FAIL\"` - 审核失败\n  * `\"CARD_STATUS_VERIFY_OK\"`   - 通过审核\n  * `\"CARD_STATUS_DELETE\"`      - 卡券被商户删除\n  * `\"CARD_STATUS_DISPATCH\"`    - 在公众平台投放过的卡券","ref":"WeChat.Card.html#t:card_status/0"},{"type":"type","title":"WeChat.Card.card_type/0","doc":"卡券类型\n  * `\"GROUPON\"`         - 团购券\n  * `\"DISCOUNT\"`        - 折扣券\n  * `\"GIFT\"`            - 礼品券\n  * `\"CASH\"`            - 代金券\n  * `\"GENERAL_COUPON\"`  - 通用券\n  * `\"MEMBER_CARD\"`     - 会员卡\n  * `\"SCENIC_TICKET\"`   - 景点门票\n  * `\"MOVIE_TICKET\"`    - 电影票\n  * `\"BOARDING_PASS\"`   - 飞机票\n  * `\"MEETING_TICKET\"`  - 会议门票\n  * `\"BUS_TICKET\"`      - 汽车票","ref":"WeChat.Card.html#t:card_type/0"},{"type":"type","title":"WeChat.Card.code_type/0","doc":"| type                      | description      | 适用核销方式                                                 |\n| ------------------------- | ---------------- | ------------------------------------------------------------ |\n| `\"CODE_TYPE_QRCODE\"`      | 二维码显示code   | 适用于扫码/输码核销                                          |\n| `\"CODE_TYPE_BARCODE\"`     | 一维码显示code   | 适用于扫码/输码核销                                          |\n| `\"CODE_TYPE_ONLY_QRCODE\"` | 二维码不显示code | 仅适用于扫码核销                                             |\n| `\"CODE_TYPE_TEXT\"`        | 仅code类型       | 仅适用于输码核销                                             |\n| `\"CODE_TYPE_NONE\"`        | 无code类型       | 仅适用于线上核销，开发者须自定义跳转链接跳转至H5页面，允许用户核销掉卡券，自定义cell的名称可以命名为“立即使用” |","ref":"WeChat.Card.html#t:code_type/0"},{"type":"type","title":"WeChat.Card.cond_source/0","doc":"卡券来源\n  * `0` - 为公众平台创建的卡券数据\n  * `1` - 是API创建的卡券数据","ref":"WeChat.Card.html#t:cond_source/0"},{"type":"type","title":"WeChat.Card.date/0","doc":"","ref":"WeChat.Card.html#t:date/0"},{"type":"type","title":"WeChat.Card.is_open/0","doc":"","ref":"WeChat.Card.html#t:is_open/0"},{"type":"module","title":"WeChat.CardDistributing","doc":"微信卡券 - 投放卡券\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html){:target=\"_blank\"}","ref":"WeChat.CardDistributing.html"},{"type":"function","title":"WeChat.CardDistributing.check_code/3","doc":"群发卡券 - 核查code接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#5){:target=\"_blank\"}","ref":"WeChat.CardDistributing.html#check_code/3"},{"type":"function","title":"WeChat.CardDistributing.create_landing_page/2","doc":"创建货架接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#3){:target=\"_blank\"}\n\n开发者需调用该接口创建货架链接，用于卡券投放。创建货架时需填写投放路径的场景字段。","ref":"WeChat.CardDistributing.html#create_landing_page/2"},{"type":"function","title":"WeChat.CardDistributing.create_qrcode/2","doc":"创建二维码接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#0){:target=\"_blank\"}\n\n开发者可调用该接口生成一张卡券二维码供用户扫码后添加卡券到卡包。\n\n自定义Code码的卡券调用接口时，POST数据中需指定code，非自定义code不需指定，指定openid同理。指定后的二维码只能被用户扫描领取一次。\n\n获取二维码ticket后，开发者可用[换取二维码图片详情](https://developers.weixin.qq.com/doc/offiaccount/Account_Management/Generating_a_Parametric_QR_Code.html)。","ref":"WeChat.CardDistributing.html#create_qrcode/2"},{"type":"function","title":"WeChat.CardDistributing.get_code_count/2","doc":"群发卡券 - 查询导入code数目接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#5){:target=\"_blank\"}","ref":"WeChat.CardDistributing.html#get_code_count/2"},{"type":"function","title":"WeChat.CardDistributing.get_mp_news_html/2","doc":"图文消息群发卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#6){:target=\"_blank\"}\n\n支持开发者调用该接口获取卡券嵌入图文消息的标准格式代码，将返回代码填入 [新增临时素材](https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/New_temporary_materials) 中content字段，即可获取嵌入卡券的图文消息素材。\n\n特别注意：目前该接口仅支持填入非自定义code的卡券,自定义code的卡券需先进行code导入后调用。","ref":"WeChat.CardDistributing.html#get_mp_news_html/2"},{"type":"function","title":"WeChat.CardDistributing.import_code/3","doc":"群发卡券 - 导入自定义code(仅对自定义code商户) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#5){:target=\"_blank\"}","ref":"WeChat.CardDistributing.html#import_code/3"},{"type":"function","title":"WeChat.CardDistributing.set_test_whitelist/2","doc":"设置测试白名单 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#12){:target=\"_blank\"}","ref":"WeChat.CardDistributing.html#set_test_whitelist/2"},{"type":"function","title":"WeChat.CardDistributing.set_test_whitelist/3","doc":"设置测试白名单 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Distributing_Coupons_Vouchers_and_Cards.html#12){:target=\"_blank\"}","ref":"WeChat.CardDistributing.html#set_test_whitelist/3"},{"type":"module","title":"WeChat.CardManaging","doc":"微信卡券 - 管理卡券\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html){:target=\"_blank\"}","ref":"WeChat.CardManaging.html"},{"type":"function","title":"WeChat.CardManaging.batch_get_cards/3","doc":"批量查询卡券列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#3){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#batch_get_cards/3"},{"type":"function","title":"WeChat.CardManaging.batch_get_cards/4","doc":"批量查询卡券列表 - 只获取指定状态 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#3){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#batch_get_cards/4"},{"type":"function","title":"WeChat.CardManaging.check_card_code/2","doc":"删除卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#7){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#check_card_code/2"},{"type":"function","title":"WeChat.CardManaging.get_card_analysis/4","doc":"获取免费券数据 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#11){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#get_card_analysis/4"},{"type":"function","title":"WeChat.CardManaging.get_card_analysis/5","doc":"获取免费券数据 - 只获取指定卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#11){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#get_card_analysis/5"},{"type":"function","title":"WeChat.CardManaging.get_card_bizuin_info/4","doc":"拉取卡券概况数据 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#10){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#get_card_bizuin_info/4"},{"type":"function","title":"WeChat.CardManaging.get_card_info/2","doc":"查看卡券详情 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#2){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#get_card_info/2"},{"type":"function","title":"WeChat.CardManaging.get_user_card_list/2","doc":"获取用户已领取卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#1){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#get_user_card_list/2"},{"type":"function","title":"WeChat.CardManaging.get_user_card_list/3","doc":"","ref":"WeChat.CardManaging.html#get_user_card_list/3"},{"type":"function","title":"WeChat.CardManaging.modify_card_stock/3","doc":"修改库存 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#5){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#modify_card_stock/3"},{"type":"function","title":"WeChat.CardManaging.unavailable_card_code/3","doc":"设置卡券失效接口 - 非自定义code卡券的请求 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#8){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#unavailable_card_code/3"},{"type":"function","title":"WeChat.CardManaging.unavailable_card_code/4","doc":"设置卡券失效接口 - 自定义code卡券的请求 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#8){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#unavailable_card_code/4"},{"type":"function","title":"WeChat.CardManaging.update_card_code/4","doc":"更改Code -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#6){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#update_card_code/4"},{"type":"function","title":"WeChat.CardManaging.update_card_info/4","doc":"更改卡券信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Managing_Coupons_Vouchers_and_Cards.html#4){:target=\"_blank\"}","ref":"WeChat.CardManaging.html#update_card_info/4"},{"type":"module","title":"WeChat.MemberCard","doc":"微信卡券 - 会员卡\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/introduction.html){:target=\"_blank\"}","ref":"WeChat.MemberCard.html"},{"type":"function","title":"WeChat.MemberCard.activate/2","doc":"激活会员卡 - 接口激活 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Create_a_membership_card.html#_6-1-接口激活){:target=\"_blank\"}\n\n接口激活通常需要开发者开发用户填写资料的网页。通常有两种激活流程：\n\n- 用户必须在填写资料后才能领卡，领卡后开发者调用激活接口为用户激活会员卡；\n- 是用户可以先领取会员卡，点击激活会员卡跳转至开发者设置的资料填写页面，填写完成后开发者调用激活接口为用户激活会员卡。","ref":"WeChat.MemberCard.html#activate/2"},{"type":"function","title":"WeChat.MemberCard.add_pay_gift_card/2","doc":"设置支付后投放卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Manage_Member_Card.html#_8-4-设置支付后投放卡券){:target=\"_blank\"}\n\n支持商户设置支付后投放卡券规则，可以区分时间段和金额区间发会员卡。","ref":"WeChat.MemberCard.html#add_pay_gift_card/2"},{"type":"function","title":"WeChat.MemberCard.batch_get_pay_gift_card/2","doc":"批量查询支付后投放卡券规则 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Manage_Member_Card.html#_8-4-设置支付后投放卡券){:target=\"_blank\"}\n\n可以批量查询某个商户支付即会员规则内容。","ref":"WeChat.MemberCard.html#batch_get_pay_gift_card/2"},{"type":"function","title":"WeChat.MemberCard.create/2","doc":"创建会员卡接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Create_a_membership_card.html#3){:target=\"_blank\"}\n\n支持开发者调用该接口创建会员卡，并获取 `card_id`，用于投放。\n\n调用该接口前，请开发者详读创建卡券接口部分 [上传图片接口、首页](http://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1451025056&token=&lang=zh_CN&anchor=2.3) 部分，快速录入会员卡卡面必要信息。","ref":"WeChat.MemberCard.html#create/2"},{"type":"function","title":"WeChat.MemberCard.delete_pay_gift_card/2","doc":"删除支付后投放卡券规则 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Manage_Member_Card.html#_8-4-设置支付后投放卡券){:target=\"_blank\"}\n\n删除之前已经设置的支付即会员规则。","ref":"WeChat.MemberCard.html#delete_pay_gift_card/2"},{"type":"function","title":"WeChat.MemberCard.get_activate_temp_info/2","doc":"激活会员卡 - 一键激活 - 获取用户提交资料\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Create_a_membership_card.html#_6-2-一键激活){:target=\"_blank\"}\n\n用户填写并提交开卡资料后，会跳转到商户的网页，商户可以在网页内获取用户已填写的信息并进行开卡资质判断，信息确认等动作。\n\n具体方式如下：\n\n- 用户点击提交后，微信会在商户的 `url` 后面拼接获取用户填写信息的参数：`activate_ticket`、`openid`、`card_id` 和加密 `code-encrypt_code`。\n- 开发者可以根据 `activate_ticket` 获取到用户填写的信息，用于开发者页面的逻辑判断。","ref":"WeChat.MemberCard.html#get_activate_temp_info/2"},{"type":"function","title":"WeChat.MemberCard.get_info/3","doc":"拉取会员信息（积分查询）接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Manage_Member_Card.html#0){:target=\"_blank\"}\n\n支持开发者根据 `card_id` 和 `code` 查询会员信息,包括激活资料、积分信息以及余额等信息。","ref":"WeChat.MemberCard.html#get_info/3"},{"type":"function","title":"WeChat.MemberCard.get_pay_gift_card/2","doc":"查询支付后投放卡券规则详情 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Manage_Member_Card.html#_8-4-设置支付后投放卡券){:target=\"_blank\"}\n\n可以查询某个支付即会员规则内容。","ref":"WeChat.MemberCard.html#get_pay_gift_card/2"},{"type":"function","title":"WeChat.MemberCard.set_activate_user_form/2","doc":"激活会员卡 - 一键激活 - 设置开卡字段\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Create_a_membership_card.html#_6-2-一键激活){:target=\"_blank\"}","ref":"WeChat.MemberCard.html#set_activate_user_form/2"},{"type":"function","title":"WeChat.MemberCard.update/2","doc":"更改会员卡信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Cards_and_Offer/Membership_Cards/Manage_Member_Card.html#_8-2-更改会员卡信息接口){:target=\"_blank\"}\n\n支持更改会员卡卡面信息以及卡券属性信息。","ref":"WeChat.MemberCard.html#update/2"},{"type":"module","title":"WeChat.Plug.EventHandler","doc":"微信推送消息处理器\n\n[接入指南](https://developers.weixin.qq.com/doc/offiaccount/Basic_Information/Access_Overview.html)\n\n** 注意 **, 定义 `client` 时必须设置: `encoding_aes_key` & `token`","ref":"WeChat.Plug.EventHandler.html"},{"type":"module","title":"Usage - WeChat.Plug.EventHandler","doc":"将下面的代码加到 `router` 里面：\n\n- 单一应用的情况：\n\n      forward \"/wx/event\", WeChat.Plug.EventHandler,\n        client: WxOfficialAccount,\n        event_handler: &YourModule.handle_event/3\n\n- 多个应用的情况：\n\n  请将入口路径设置为如下格式: `/*xxx/:app`\n\n      scope \"/wx/event/:app\" do\n        get \"/\", WeChat.Plug.EventHandler, event_handler: &YourModule.handle_event/3\n        post \"/\", WeChat.Plug.EventHandler, event_handler: &YourModule.handle_event/3\n      end\n\n  before phoenix 1.17:\n\n      scope \"/wx/event/:app\" do\n        forward \"/\", WeChat.Plug.EventHandler, event_handler: &YourModule.handle_event/3\n      end","ref":"WeChat.Plug.EventHandler.html#module-usage"},{"type":"module","title":"Options - WeChat.Plug.EventHandler","doc":"- `event_handler`: 必填, [定义](`t:event_handler/0`)\n- `event_parser`: 可选, [定义](`t:event_parser/0`)\n- `client`: 可选, [定义](`t:WeChat.client/0`)","ref":"WeChat.Plug.EventHandler.html#module-options"},{"type":"function","title":"WeChat.Plug.EventHandler.get_event_parser/1","doc":"","ref":"WeChat.Plug.EventHandler.html#get_event_parser/1"},{"type":"function","title":"WeChat.Plug.EventHandler.handle_event_request/4","doc":"接受事件推送","ref":"WeChat.Plug.EventHandler.html#handle_event_request/4"},{"type":"function","title":"WeChat.Plug.EventHandler.validate_request/2","doc":"验证消息的确来自微信服务器","ref":"WeChat.Plug.EventHandler.html#validate_request/2"},{"type":"type","title":"WeChat.Plug.EventHandler.event_handler/0","doc":"事件处理回调函数","ref":"WeChat.Plug.EventHandler.html#t:event_handler/0"},{"type":"type","title":"WeChat.Plug.EventHandler.event_handler_return/0","doc":"事件处理回调返回值\n\n返回值说明：\n- `{:reply, xml_string, timestamp}`: 被动回复消息，仅限于公众号/第三方平台\n- `{:reply, json_string}`: 被动回复消息，仅限小程序推送消息\n- `:ok`: 成功\n- `:ignore`: 成功\n- `:retry`: 选择重试，微信服务器会重试三次\n- `:error`: 返回错误，微信服务器会重试三次\n- `{:error, any}`: 返回错误，微信服务器会重试三次","ref":"WeChat.Plug.EventHandler.html#t:event_handler_return/0"},{"type":"type","title":"WeChat.Plug.EventHandler.event_parser/0","doc":"事件解析函数","ref":"WeChat.Plug.EventHandler.html#t:event_parser/0"},{"type":"module","title":"WeChat.Plug.WorkEventHandler","doc":"企业微信推送消息处理器","ref":"WeChat.Plug.WorkEventHandler.html"},{"type":"module","title":"Usage - WeChat.Plug.WorkEventHandler","doc":"请将入口路径设置为如下格式 `/*xxx/:app/:agent` 并将代码加到 `router` 里面：\n\n    scope \"/wx/event/:app/:agent\" do\n      forward \"/\", WeChat.Plug.WorkEventHandler, event_handler: &YourModule.handle_event/4\n    end","ref":"WeChat.Plug.WorkEventHandler.html#module-usage"},{"type":"module","title":"Options - WeChat.Plug.WorkEventHandler","doc":"- `event_handler`: 必填, [定义](`t:event_handler/0`)\n- `event_parser`: 可选, [定义](`t:event_parser/0`),\n  默认值: [&ServerMessage.EventHelper.parse_work_xml_event/4](`WeChat.ServerMessage.EventHelper.parse_work_xml_event/4`)","ref":"WeChat.Plug.WorkEventHandler.html#module-options"},{"type":"function","title":"WeChat.Plug.WorkEventHandler.call/2","doc":"","ref":"WeChat.Plug.WorkEventHandler.html#call/2"},{"type":"function","title":"WeChat.Plug.WorkEventHandler.handle_event_request/5","doc":"接受事件推送","ref":"WeChat.Plug.WorkEventHandler.html#handle_event_request/5"},{"type":"function","title":"WeChat.Plug.WorkEventHandler.validate_encrypted_request/4","doc":"验证消息的确来自微信服务器","ref":"WeChat.Plug.WorkEventHandler.html#validate_encrypted_request/4"},{"type":"type","title":"WeChat.Plug.WorkEventHandler.event_handler/0","doc":"事件处理回调函数","ref":"WeChat.Plug.WorkEventHandler.html#t:event_handler/0"},{"type":"type","title":"WeChat.Plug.WorkEventHandler.event_parser/0","doc":"事件解析函数","ref":"WeChat.Plug.WorkEventHandler.html#t:event_parser/0"},{"type":"module","title":"WeChat.ServerMessage.Encryptor","doc":"消息加解密\n\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Message_Encryption/Technical_Plan.html)","ref":"WeChat.ServerMessage.Encryptor.html"},{"type":"function","title":"WeChat.ServerMessage.Encryptor.decrypt/2","doc":"","ref":"WeChat.ServerMessage.Encryptor.html#decrypt/2"},{"type":"function","title":"WeChat.ServerMessage.Encryptor.encrypt/3","doc":"","ref":"WeChat.ServerMessage.Encryptor.html#encrypt/3"},{"type":"type","title":"WeChat.ServerMessage.Encryptor.aes_key/0","doc":"对 `encoding_aes_key <> \"=\"` 进行 `Base.decode64!`之后的值","ref":"WeChat.ServerMessage.Encryptor.html#t:aes_key/0"},{"type":"type","title":"WeChat.ServerMessage.Encryptor.encoding_aes_key/0","doc":"服务器配置里的 `EncodingAESKey` 值，在接收消息时用于解密消息","ref":"WeChat.ServerMessage.Encryptor.html#t:encoding_aes_key/0"},{"type":"type","title":"WeChat.ServerMessage.Encryptor.encrypted_message/0","doc":"","ref":"WeChat.ServerMessage.Encryptor.html#t:encrypted_message/0"},{"type":"type","title":"WeChat.ServerMessage.Encryptor.message/0","doc":"","ref":"WeChat.ServerMessage.Encryptor.html#t:message/0"},{"type":"module","title":"WeChat.ServerMessage.EventHelper","doc":"微信推送消息处理","ref":"WeChat.ServerMessage.EventHelper.html"},{"type":"module","title":"API Docs - WeChat.ServerMessage.EventHelper","doc":"* [接入概述](https://developers.weixin.qq.com/doc/offiaccount/Basic_Information/Access_Overview.html){:target=\"_blank\"}\n  * [接入指引](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Message_Encryption/Message_encryption_and_decryption.html){:target=\"_blank\"}\n  * [接入技术方案](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Message_Encryption/Technical_Plan.html){:target=\"_blank\"}","ref":"WeChat.ServerMessage.EventHelper.html#module-api-docs"},{"type":"module","title":"增加 saxy 依赖 - WeChat.ServerMessage.EventHelper","doc":"**注意: 公众号推送消息格式为 xml**\n\n    def deps do\n      [\n        {:wechat, \"~> x.x\", hex: :wechat_sdk},\n        {:saxy, \"~> x.x\"}\n      ]\n    end","ref":"WeChat.ServerMessage.EventHelper.html#module-%E5%A2%9E%E5%8A%A0-saxy-%E4%BE%9D%E8%B5%96"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.check_msg_signature?/3","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#check_msg_signature?/3"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.check_signature?/2","doc":"验证消息的确来自微信服务器","ref":"WeChat.ServerMessage.EventHelper.html#check_signature?/2"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.decrypt_json_msg/3","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#decrypt_json_msg/3"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.decrypt_json_msg/5","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#decrypt_json_msg/5"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.decrypt_xml_msg/3","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#decrypt_xml_msg/3"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.decrypt_xml_msg/5","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#decrypt_xml_msg/5"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.encrypt_xml_msg/3","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#encrypt_xml_msg/3"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.encrypt_xml_msg/4","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#encrypt_xml_msg/4"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.encrypt_xml_msg/5","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#encrypt_xml_msg/5"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.handle_component_event/3","doc":"处理第三方平台推送通知\n\n* [验证票据](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/component_verify_ticket.html)\n* [授权相关推送通知](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/authorize_event.html)","ref":"WeChat.ServerMessage.EventHelper.html#handle_component_event/3"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.parse_json_event/3","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#parse_json_event/3"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.parse_work_xml_event/4","doc":"parse xml format event message for work","ref":"WeChat.ServerMessage.EventHelper.html#parse_work_xml_event/4"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.parse_xml_event/3","doc":"parse xml format event message for official_account","ref":"WeChat.ServerMessage.EventHelper.html#parse_xml_event/3"},{"type":"function","title":"WeChat.ServerMessage.EventHelper.reply_msg/5","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#reply_msg/5"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.data_type/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:data_type/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.encrypt_content/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:encrypt_content/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.json/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:json/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.json_string/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:json_string/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.nonce/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:nonce/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.signature/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:signature/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.status/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:status/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.xml/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:xml/0"},{"type":"type","title":"WeChat.ServerMessage.EventHelper.xml_string/0","doc":"","ref":"WeChat.ServerMessage.EventHelper.html#t:xml_string/0"},{"type":"module","title":"WeChat.ServerMessage.ReplyMessage","doc":"被动回复消息\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Passive_user_reply_message.html){:target=\"_blank\"}","ref":"WeChat.ServerMessage.ReplyMessage.html"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.biz_msg_menu/3","doc":"","ref":"WeChat.ServerMessage.ReplyMessage.html#biz_msg_menu/3"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.reply_image/4","doc":"回复图片消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Passive_user_reply_message.html#1){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   12345678 \n   image \n   \n     <![CDATA[media_id]]> \n   \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#reply_image/4"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.reply_msg/4","doc":"回包加密 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Message_Encryption/Message_encryption_and_decryption.html)\n\n```xml\n \n   <![CDATA[encrypt_content]]> \n   <![CDATA[signature]]> \n   timestamp \n   <![CDATA[nonce]]> \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#reply_msg/4"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.reply_music/8","doc":"回复音乐消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Passive_user_reply_message.html#4){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   12345678 \n   music \n   \n     <![CDATA[title]]> \n     <![CDATA[description]]> \n     <![CDATA[MUSIC_Url]]> \n     <![CDATA[HQ_MUSIC_Url]]> \n     <![CDATA[media_id]]> \n   \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#reply_music/8"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.reply_news/4","doc":"回复图文消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Passive_user_reply_message.html#5){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   12345678 \n   news \n   1 \n   \n     \n       <![CDATA[title1]]> \n       <![CDATA[description1]]> \n       <![CDATA[picurl]]> \n       <![CDATA[url]]> \n     \n   \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#reply_news/4"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.reply_text/4","doc":"回复文本消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Passive_user_reply_message.html#0){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   12345678 \n   text> \n   <![CDATA[你好]]> \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#reply_text/4"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.reply_video/6","doc":"回复视频消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Passive_user_reply_message.html#3){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   12345678 \n   video \n   \n     <![CDATA[media_id]]> \n     <![CDATA[title]]> \n     <![CDATA[description]]> \n   \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#reply_video/6"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.reply_voice/4","doc":"回复语音消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Passive_user_reply_message.html#2){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   12345678 \n   voice \n   \n     <![CDATA[media_id]]> \n   \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#reply_voice/4"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.transfer_customer_service/3","doc":"消息转发客服消息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Customer_Service/Forwarding_of_messages_to_service_center.html){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[touser]]> \n   <![CDATA[fromuser]]> \n   1399197672 \n   transfer_customer_service \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#transfer_customer_service/3"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.transfer_customer_service/4","doc":"消息转发到指定客服 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Customer_Service/Forwarding_of_messages_to_service_center.html){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[touser]]> \n   <![CDATA[fromuser]]> \n   1399197672 \n   transfer_customer_service \n   \n     <![CDATA[test1@test]]> \n   \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#transfer_customer_service/4"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.update_template_card/4","doc":"模板卡片更新消息(更新点击用户的整张卡片) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90241#更新点击用户的整张卡片){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   1357290913 \n   update_button \n  template_card_xml\n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#update_template_card/4"},{"type":"function","title":"WeChat.ServerMessage.ReplyMessage.update_template_card_button/4","doc":"模板卡片更新消息(更新点击用户的按钮文案) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90241#更新点击用户的按钮文案){:target=\"_blank\"}\n\n```xml\n \n   <![CDATA[toUser]]> \n   <![CDATA[fromUser]]> \n   1357290913 \n   update_button \n   \n       <![CDATA[ReplaceName]]> \n   \n \n```","ref":"WeChat.ServerMessage.ReplyMessage.html#update_template_card_button/4"},{"type":"module","title":"WeChat.ServerMessage.XmlParser","doc":"XML Parser","ref":"WeChat.ServerMessage.XmlParser.html"},{"type":"function","title":"WeChat.ServerMessage.XmlParser.parse/1","doc":"","ref":"WeChat.ServerMessage.XmlParser.html#parse/1"},{"type":"module","title":"WeChat.WebPage","doc":"网页开发","ref":"WeChat.WebPage.html"},{"type":"module","title":"API Docs - WeChat.WebPage","doc":"* [网页授权](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html){:target=\"_blank\"}\n  * [JS-SDK](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html){:target=\"_blank\"}","ref":"WeChat.WebPage.html#module-api-docs"},{"type":"function","title":"WeChat.WebPage.add_card_config/3","doc":"生成微信卡券配置 - 添加卡券","ref":"WeChat.WebPage.html#add_card_config/3"},{"type":"function","title":"API Docs - WeChat.WebPage.add_card_config/3","doc":"* [微信卡券](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#53){:target=\"_blank\"}\n  * [卡券扩展字段及签名生成算法](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#65){:target=\"_blank\"}","ref":"WeChat.WebPage.html#add_card_config/3-api-docs"},{"type":"function","title":"WeChat.WebPage.add_card_config/4","doc":"生成微信卡券配置 - 添加卡券(绑定`openid`)","ref":"WeChat.WebPage.html#add_card_config/4"},{"type":"function","title":"API Docs - WeChat.WebPage.add_card_config/4","doc":"* [微信卡券](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#53){:target=\"_blank\"}\n  * [卡券扩展字段及签名生成算法](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#65){:target=\"_blank\"}","ref":"WeChat.WebPage.html#add_card_config/4-api-docs"},{"type":"function","title":"WeChat.WebPage.auth/3","doc":"网页授权 - 检验授权凭证(`access_token`)是否有效 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html#4){:target=\"_blank\"}","ref":"WeChat.WebPage.html#auth/3"},{"type":"function","title":"WeChat.WebPage.code2access_token/2","doc":"网页授权 - 通过`code`换取`access_token`\n\n官方文档:\n  * [Official Account](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html#1){:target=\"_blank\"}\n  * [Component](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Official_Accounts/official_account_website_authorization.html){:target=\"_blank\"}","ref":"WeChat.WebPage.html#code2access_token/2"},{"type":"function","title":"WeChat.WebPage.get_ticket/2","doc":"获取`api_ticket` -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#62){:target=\"_blank\"}","ref":"WeChat.WebPage.html#get_ticket/2"},{"type":"function","title":"WeChat.WebPage.js_sdk_config/2","doc":"生成 JS-SDK 配置 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#4){:target=\"_blank\"}\n\n返回 `maps` 包含: `appId/signature/timestamp/nonceStr`","ref":"WeChat.WebPage.html#js_sdk_config/2"},{"type":"function","title":"WeChat.WebPage.oauth2_authorize_url/4","doc":"网页授权 - 请求`code`\n\n官方文档:\n* [Official Account](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html#0){:target=\"_blank\"}\n* [Component](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Official_Accounts/official_account_website_authorization.html){:target=\"_blank\"}\n\n关于网页授权回调域名的说明\n\n- 在微信公众号请求用户网页授权之前，开发者需要先到公众平台官网中的 “`开发` - `接口权限` - `网页服务` - `网页帐号` - `网页授权获取用户基本信息`” 的配置选项中，\n修改授权回调域名。请注意，这里填写的是域名（是一个字符串），而不是URL，因此请勿加 `http://` 等协议头；\n- 授权回调域名配置规范为全域名，比如需要网页授权的域名为：`www.qq.com`，配置以后此域名下面的页面 `http://www.qq.com/music.html`、\n`http://www.qq.com/login.html` 都可以进行 `OAuth2.0` 鉴权。但 `http://pay.qq.com`、`http://music.qq.com` 、 `http://qq.com`\n无法进行 `OAuth2.0` 鉴权\n- 如果公众号登录授权给了第三方开发者来进行管理，则不必做任何设置，由第三方代替公众号实现网页授权即可","ref":"WeChat.WebPage.html#oauth2_authorize_url/4"},{"type":"function","title":"WeChat.WebPage.refresh_token/2","doc":"网页授权 - 刷新`access_token`\n\n由于`access_token`拥有较短的有效期，当`access_token`超时后，可以使用`refresh_token`进行刷新，\n\n`refresh_token`有效期为30天，当`refresh_token`失效之后，需要用户重新授权。\n\n官方文档:\n  * [Official Account](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html#2){:target=\"_blank\"}\n  * [Component](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Official_Accounts/official_account_website_authorization.html){:target=\"_blank\"}","ref":"WeChat.WebPage.html#refresh_token/2"},{"type":"function","title":"WeChat.WebPage.sign_card/1","doc":"卡券签名 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#65){:target=\"_blank\"}","ref":"WeChat.WebPage.html#sign_card/1"},{"type":"function","title":"WeChat.WebPage.sign_card/2","doc":"See `sign_card/1`","ref":"WeChat.WebPage.html#sign_card/2"},{"type":"function","title":"WeChat.WebPage.sign_card/3","doc":"See `sign_card/1`","ref":"WeChat.WebPage.html#sign_card/3"},{"type":"function","title":"WeChat.WebPage.sign_js_sdk/3","doc":"生成 JS-SDK 配置(by ticket) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#4){:target=\"_blank\"}\n\n返回 `maps` 包含: `appId/signature/timestamp/nonceStr`","ref":"WeChat.WebPage.html#sign_js_sdk/3"},{"type":"function","title":"WeChat.WebPage.user_info/2","doc":"网页授权 - 拉取用户信息(需`scope`为`snsapi_userinfo`) -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html#3){:target=\"_blank\"}\n\n如果网页授权作用域为`snsapi_userinfo`,则此时开发者可以通过access_token和openid拉取用户信息了.","ref":"WeChat.WebPage.html#user_info/2"},{"type":"function","title":"WeChat.WebPage.user_info/3","doc":"See `user_info/2`","ref":"WeChat.WebPage.html#user_info/3"},{"type":"function","title":"WeChat.WebPage.user_info/4","doc":"See `user_info/2`","ref":"WeChat.WebPage.html#user_info/4"},{"type":"type","title":"WeChat.WebPage.access_token/0","doc":"","ref":"WeChat.WebPage.html#t:access_token/0"},{"type":"type","title":"WeChat.WebPage.card_config/0","doc":"","ref":"WeChat.WebPage.html#t:card_config/0"},{"type":"type","title":"WeChat.WebPage.card_ext/0","doc":"","ref":"WeChat.WebPage.html#t:card_ext/0"},{"type":"type","title":"WeChat.WebPage.code/0","doc":"","ref":"WeChat.WebPage.html#t:code/0"},{"type":"type","title":"WeChat.WebPage.js_api_ticket/0","doc":"","ref":"WeChat.WebPage.html#t:js_api_ticket/0"},{"type":"type","title":"WeChat.WebPage.js_api_ticket_type/0","doc":"JS API的临时票据类型\n  * `\"jsapi\"` - JS-SDK Config\n  * `\"wx_card\"` - 微信卡券","ref":"WeChat.WebPage.html#t:js_api_ticket_type/0"},{"type":"type","title":"WeChat.WebPage.js_sdk_config/0","doc":"","ref":"WeChat.WebPage.html#t:js_sdk_config/0"},{"type":"type","title":"WeChat.WebPage.nonce_str/0","doc":"","ref":"WeChat.WebPage.html#t:nonce_str/0"},{"type":"type","title":"WeChat.WebPage.redirect_uri/0","doc":"授权后重定向的回调链接地址， 请使用 urlEncode 对链接进行处理","ref":"WeChat.WebPage.html#t:redirect_uri/0"},{"type":"type","title":"WeChat.WebPage.refresh_token/0","doc":"","ref":"WeChat.WebPage.html#t:refresh_token/0"},{"type":"type","title":"WeChat.WebPage.scope/0","doc":"授权范围\n  * `\"snsapi_base\"` - 静默授权\n  * `\"snsapi_userinfo\"` - 用户的基本信息(无须关注)","ref":"WeChat.WebPage.html#t:scope/0"},{"type":"type","title":"WeChat.WebPage.signature/0","doc":"","ref":"WeChat.WebPage.html#t:signature/0"},{"type":"type","title":"WeChat.WebPage.state/0","doc":"重定向后会带上state参数，开发者可以填写a-zA-Z0-9的参数值，最多128字节","ref":"WeChat.WebPage.html#t:state/0"},{"type":"type","title":"WeChat.WebPage.ticket/0","doc":"","ref":"WeChat.WebPage.html#t:ticket/0"},{"type":"type","title":"WeChat.WebPage.timestamp/0","doc":"","ref":"WeChat.WebPage.html#t:timestamp/0"},{"type":"type","title":"WeChat.WebPage.url/0","doc":"","ref":"WeChat.WebPage.html#t:url/0"},{"type":"type","title":"WeChat.WebPage.wx_card_ticket/0","doc":"","ref":"WeChat.WebPage.html#t:wx_card_ticket/0"},{"type":"module","title":"WeChat.Plug.HubSpringboard","doc":"OAuth2 跳板 - 用于 Hub Server(中控服务器)\n\n由于微信对于网页授权有域名校验，需要在除指定域名外的域名也支持网页授权，可以使用此跳板","ref":"WeChat.Plug.HubSpringboard.html"},{"type":"module","title":"Usage - WeChat.Plug.HubSpringboard","doc":"使用 Phoenix 时，将下面的代码加到 `router` 里面：\n\n    # for normal\n    get \"/:app/:env/cb/*callback_path\", WeChat.Plug.HubSpringboard, clients: [Client, ...]\n\n    # for work\n    get \"/:app/:agent/:env/cb/*callback_path\", WeChat.Plug.HubSpringboard, clients: [Client, ...]\n\n使用 PlugCowboy 时，将下面的代码加到 `router` 里面：\n\n    # for normal\n    get \"/:app/:env/cb/*callback_path\",\n      to: WeChat.Plug.HubSpringboard,\n      init_opts: [clients: [Client, ...]]\n\n    # for work\n    get \"/:app/:agent/:env/cb/*callback_path\",\n      to: WeChat.Plug.HubSpringboard,\n      init_opts: [clients: [Client, ...]]","ref":"WeChat.Plug.HubSpringboard.html#module-usage"},{"type":"function","title":"WeChat.Plug.HubSpringboard.oauth2_callback/5","doc":"","ref":"WeChat.Plug.HubSpringboard.html#oauth2_callback/5"},{"type":"module","title":"WeChat.Plug.OAuth2Checker","doc":"网页授权\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html){:target=\"_blank\"}\n\n工作流程:\n\n1. 检查 `session`, 判断是否已经有授权，有则继续执行后续的 plug, 没有则跳到步骤 2;\n2. 检查 `query` 是否有 `code`, 有则执行 `oauth2_callback_fun` 函数, 没有则跳到步骤 3;\n3. 执行 `authorize_url_fun` 函数，跳转到 `authorize_url`.\n\n可选参数:\n\n- `:oauth2_callback_fun`:\n  [定义](`t:oauth2_callback_fun/0`), 默认值: [&oauth2_callback/5](`oauth2_callback/5`)\n- `:authorize_url_fun`:\n  [定义](`t:authorize_url_fun/0`), 默认值: [&authorize_url_by_server_role/4](`authorize_url_by_server_role/4`)\n\n** 注意 **: 服务器角色为 `hub_client` 时，请确保已经配置 `hub_springboard_url`:\n\n    WeChat.HubClient.set_hub_springboard_url(Client, \"https://wx.example.com\")","ref":"WeChat.Plug.OAuth2Checker.html"},{"type":"module","title":"Usage - WeChat.Plug.OAuth2Checker","doc":"将下面的代码加到 `router` 里面：\n\n    pipeline :oauth2_checker do\n      plug WeChat.Plug.OAuth2Checker, clients: [Client, ...]\n    end\n\n    # for normal\n    scope \"/:app\" do\n      pipe_through :oauth2_checker\n      get \"/path\", YourController, :your_action\n    end\n\n    # for work\n    scope \"/:app/:agent\" do\n      pipe_through :oauth2_checker\n      # 在PC端授权访问网页\n      get \"/:qr/your_path\", YourController, :your_action\n      # 在企业微信内授权访问网页\n      get \"/your_path\", YourController, :your_action\n    end","ref":"WeChat.Plug.OAuth2Checker.html#module-usage"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.auth_fail/1","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#auth_fail/1"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.auth_success/3","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#auth_success/3"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.auth_success/4","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#auth_success/4"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.authorize_url_by_server_role/4","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#authorize_url_by_server_role/4"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.callback_uri/1","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#callback_uri/1"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.check_code/5","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#check_code/5"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.hub_springboard_callback_uri/2","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#hub_springboard_callback_uri/2"},{"type":"function","title":"WeChat.Plug.OAuth2Checker.oauth2_callback/5","doc":"","ref":"WeChat.Plug.OAuth2Checker.html#oauth2_callback/5"},{"type":"type","title":"WeChat.Plug.OAuth2Checker.authorize_url_fun/0","doc":"获取授权链接函数","ref":"WeChat.Plug.OAuth2Checker.html#t:authorize_url_fun/0"},{"type":"type","title":"WeChat.Plug.OAuth2Checker.oauth2_callback_fun/0","doc":"授权回调处理函数","ref":"WeChat.Plug.OAuth2Checker.html#t:oauth2_callback_fun/0"},{"type":"module","title":"WeChat.HubClient","doc":"Helper for hub client","ref":"WeChat.HubClient.html"},{"type":"function","title":"WeChat.HubClient.get_hub_springboard_url/1","doc":"","ref":"WeChat.HubClient.html#get_hub_springboard_url/1"},{"type":"function","title":"WeChat.HubClient.get_hub_springboard_url/2","doc":"","ref":"WeChat.HubClient.html#get_hub_springboard_url/2"},{"type":"function","title":"WeChat.HubClient.set_hub_springboard_url/2","doc":"","ref":"WeChat.HubClient.html#set_hub_springboard_url/2"},{"type":"function","title":"WeChat.HubClient.set_hub_springboard_url/3","doc":"","ref":"WeChat.HubClient.html#set_hub_springboard_url/3"},{"type":"type","title":"WeChat.HubClient.hub_springboard_url/0","doc":"","ref":"WeChat.HubClient.html#t:hub_springboard_url/0"},{"type":"module","title":"WeChat.HubServer","doc":"Helper for hub server","ref":"WeChat.HubServer.html"},{"type":"function","title":"WeChat.HubServer.del_oauth2_env_url/2","doc":"","ref":"WeChat.HubServer.html#del_oauth2_env_url/2"},{"type":"function","title":"WeChat.HubServer.del_oauth2_env_url/3","doc":"","ref":"WeChat.HubServer.html#del_oauth2_env_url/3"},{"type":"function","title":"WeChat.HubServer.get_oauth2_env_url/2","doc":"","ref":"WeChat.HubServer.html#get_oauth2_env_url/2"},{"type":"function","title":"WeChat.HubServer.get_oauth2_env_url/3","doc":"","ref":"WeChat.HubServer.html#get_oauth2_env_url/3"},{"type":"function","title":"WeChat.HubServer.set_oauth2_callbacks/2","doc":"","ref":"WeChat.HubServer.html#set_oauth2_callbacks/2"},{"type":"function","title":"WeChat.HubServer.set_oauth2_callbacks/3","doc":"","ref":"WeChat.HubServer.html#set_oauth2_callbacks/3"},{"type":"function","title":"WeChat.HubServer.set_oauth2_env_url/3","doc":"","ref":"WeChat.HubServer.html#set_oauth2_env_url/3"},{"type":"function","title":"WeChat.HubServer.set_oauth2_env_url/4","doc":"","ref":"WeChat.HubServer.html#set_oauth2_env_url/4"},{"type":"type","title":"WeChat.HubServer.env/0","doc":"","ref":"WeChat.HubServer.html#t:env/0"},{"type":"type","title":"WeChat.HubServer.oauth2_callbacks/0","doc":"","ref":"WeChat.HubServer.html#t:oauth2_callbacks/0"},{"type":"type","title":"WeChat.HubServer.url/0","doc":"","ref":"WeChat.HubServer.html#t:url/0"},{"type":"module","title":"WeChat.Plug.HubExposer","doc":"用于 `Hub`(中控服务器) 提供查询 `AccessToken` 的 `HTTP` 接口\n\n`Hub Client` 会定期从 `Hub`(中控服务器) 的接口中获取 `AccessToken`\n\n使用 `Phoenix` 时，将下面的代码加到 `router` 里面：\n\n    get \"/hub/expose/:store_id/:store_key\", WeChat.Plug.HubExposer, clients: [ClientsA, ...]\n\n使用 `PlugCowboy` 时，将下面的代码加到 `router` 里面：\n\n    get \"/hub/expose/:store_id/:store_key\",\n      to: WeChat.Plug.HubExposer,\n      init_opts: [clients: [ClientsA, ...]]\n\n** 注意 **, 在暴露接口的同时，请注意安全合规使用，建议在使用前增加安全防护，例如：\n\n    import Plug.BasicAuth\n    plug :basic_auth, username: \"hello\", password: \"secret\"\n\n    get \"/hub/expose/:store_id/:store_key\", WeChat.Plug.HubExposer, clients: [ClientsA, ...]","ref":"WeChat.Plug.HubExposer.html"},{"type":"module","title":"WeChat.Account","doc":"账号管理","ref":"WeChat.Account.html"},{"type":"function","title":"WeChat.Account.clear_quota/1","doc":"接口调用次数清零 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/openApi/clear_quota.html){:target=\"_blank\"}\n\n[接口调用频次限制说明](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/API_Call_Limits.html){:target=\"_blank\"}","ref":"WeChat.Account.html#clear_quota/1"},{"type":"function","title":"WeChat.Account.create_qrcode/4","doc":"生成二维码 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Account_Management/Generating_a_Parametric_QR_Code.html){:target=\"_blank\"}","ref":"WeChat.Account.html#create_qrcode/4"},{"type":"function","title":"WeChat.Account.download_qrcode/5","doc":"生成并下载二维码 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Account_Management/Generating_a_Parametric_QR_Code.html){:target=\"_blank\"}","ref":"WeChat.Account.html#download_qrcode/5"},{"type":"function","title":"WeChat.Account.get_access_token/1","doc":"获取AccessToken -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Basic_Information/Get_access_token.html){:target=\"_blank\"}","ref":"WeChat.Account.html#get_access_token/1"},{"type":"function","title":"WeChat.Account.get_auto_reply_rules/1","doc":"获取公众号的自动回复规则 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/Getting_Rules_for_Auto_Replies.html){:target=\"_blank\"}\n\n获取公众号当前使用的自动回复规则，包括关注后自动回复、消息自动回复（60分钟内触发一次）、关键词自动回复。\n\n请注意：\n\n- 第三方平台开发者可以通过本接口，在旗下公众号将业务授权给你后，立即通过本接口检测公众号的自动回复配置。\n- 本接口仅能获取公众号在公众平台官网的自动回复功能中设置的自动回复规则，若公众号自行开发实现自动回复，或通过第三方平台开发者来实现，则无法获取。\n- 认证/未认证的服务号/订阅号，以及接口测试号，均拥有该接口权限。\n- 从第三方平台的公众号登录授权机制上来说，该接口从属于消息与菜单权限集。\n- 本接口中返回的图片/语音/视频为临时素材（临时素材每次获取都不同，3天内有效，通过素材管理-获取临时素材接口来获取这些素材），\n本接口返回的图文消息为永久素材素材（通过素材管理-获取永久素材接口来获取这些素材）。","ref":"WeChat.Account.html#get_auto_reply_rules/1"},{"type":"function","title":"WeChat.Account.get_qrcode_url/4","doc":"生成并获取二维码链接 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Account_Management/Generating_a_Parametric_QR_Code.html){:target=\"_blank\"}","ref":"WeChat.Account.html#get_qrcode_url/4"},{"type":"function","title":"WeChat.Account.get_quota/2","doc":"查询接口调用次数 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/openApi/get_api_quota.html){:target=\"_blank\"}\n\n[接口调用频次限制说明](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/API_Call_Limits.html){:target=\"_blank\"}","ref":"WeChat.Account.html#get_quota/2"},{"type":"function","title":"WeChat.Account.short_url/2","doc":"长链接转成短链接 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Account_Management/URL_Shortener.html){:target=\"_blank\"}","ref":"WeChat.Account.html#short_url/2"},{"type":"type","title":"WeChat.Account.qrcode_action_name/0","doc":"二维码类型\n  * `\"QR_SCENE\"`            为临时的整型参数值\n  * `\"QR_STR_SCENE\"`        为临时的字符串参数值\n  * `\"QR_LIMIT_SCENE\"`      为永久的整型参数值\n  * `\"QR_LIMIT_STR_SCENE\"`  为永久的字符串参数值","ref":"WeChat.Account.html#t:qrcode_action_name/0"},{"type":"module","title":"WeChat.Comment","doc":"图文消息留言管理\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html"},{"type":"function","title":"WeChat.Comment.add_reply/5","doc":"回复评论 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#add_reply/5"},{"type":"function","title":"WeChat.Comment.close/3","doc":"关闭已群发文章评论 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#close/3"},{"type":"function","title":"WeChat.Comment.delete/4","doc":"删除评论 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#delete/4"},{"type":"function","title":"WeChat.Comment.delete_reply/4","doc":"删除回复 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#delete_reply/4"},{"type":"function","title":"WeChat.Comment.list/6","doc":"查看指定文章的评论数据 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#list/6"},{"type":"function","title":"参数说明 - WeChat.Comment.list/6","doc":"| 参数 | 是否必须 | 类型 | 说明 |\n| -- | ------- | --- | --- |\n| msg_data_id | 是 | Uint32 | 群发返回的msg_data_id |\n| index | 否 | Uint32 | 多图文时，用来指定第几篇图文，从0开始，不带默认返回该msg_data_id的第一篇图文 |\n| begin | 是 | Uint32 | 起始位置 |\n| count | 是 | Uint32 | 获取数目（>=50会被拒绝） |\n| type | 是 | Uint32 | type=0 普通评论&精选评论 type=1 普通评论 type=2 精选评论 |","ref":"WeChat.Comment.html#list/6-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.Comment.mark_elect/4","doc":"将评论标记精选 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#mark_elect/4"},{"type":"function","title":"WeChat.Comment.open/3","doc":"打开已群发文章评论 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#open/3"},{"type":"function","title":"WeChat.Comment.unmark_elect/4","doc":"将评论取消精选 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Comments_management/Image_Comments_Management_Interface.html){:target=\"_blank\"}","ref":"WeChat.Comment.html#unmark_elect/4"},{"type":"type","title":"WeChat.Comment.comment_type/0","doc":"评论类型\n  * `0` - 普通评论&精选评论\n  * `1` - 普通评论\n  * `2` - 精选评论","ref":"WeChat.Comment.html#t:comment_type/0"},{"type":"type","title":"WeChat.Comment.content/0","doc":"","ref":"WeChat.Comment.html#t:content/0"},{"type":"type","title":"WeChat.Comment.msg_data_id/0","doc":"","ref":"WeChat.Comment.html#t:msg_data_id/0"},{"type":"type","title":"WeChat.Comment.user_comment_id/0","doc":"","ref":"WeChat.Comment.html#t:user_comment_id/0"},{"type":"module","title":"WeChat.Component","doc":"第三方平台\n\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Third_party_platform_appid.html){:target=\"_blank\"}","ref":"WeChat.Component.html"},{"type":"function","title":"WeChat.Component.authorizer_token/1","doc":"获取/刷新接口调用令牌 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/api_authorizer_token.html){:target=\"_blank\"}","ref":"WeChat.Component.html#authorizer_token/1"},{"type":"function","title":"WeChat.Component.bind_component_url/3","doc":"生成授权链接 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Authorization_Process_Technical_Description.html){:target=\"_blank\"}","ref":"WeChat.Component.html#bind_component_url/3"},{"type":"function","title":"WeChat.Component.clear_quota/1","doc":"接口调用次数清零 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/2.0/api/openApi/clear_quota.html){:target=\"_blank\"}\n\n[接口调用频次限制说明](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/API_Call_Limits.html){:target=\"_blank\"}","ref":"WeChat.Component.html#clear_quota/1"},{"type":"function","title":"WeChat.Component.create/2","doc":"创建开放平台帐号并绑定公众号/小程序 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/account/create.html){:target=\"_blank\"}\n\n该 API 用于创建一个开放平台帐号，并将一个尚未绑定开放平台帐号的公众号/小程序绑定至该开放平台帐号上。\n\n新创建的开放平台帐号的主体信息将设置为与之绑定的公众号或小程序的主体。","ref":"WeChat.Component.html#create/2"},{"type":"function","title":"WeChat.Component.create/3","doc":"将公众号/小程序绑定到开放平台帐号下 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/account/bind.html){:target=\"_blank\"}\n\n该 API 用于将一个尚未绑定开放平台帐号的公众号或小程序绑定至指定开放平台帐号上。\n\n二者须主体相同。","ref":"WeChat.Component.html#create/3"},{"type":"function","title":"WeChat.Component.create_pre_auth_code/1","doc":"获取预授权码 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/pre_auth_code.html){:target=\"_blank\"}","ref":"WeChat.Component.html#create_pre_auth_code/1"},{"type":"function","title":"WeChat.Component.get/2","doc":"获取公众号/小程序所绑定的开放平台帐号 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/account/get.html){:target=\"_blank\"}\n\n该 API 用于获取公众号或小程序所绑定的开放平台帐号。","ref":"WeChat.Component.html#get/2"},{"type":"function","title":"WeChat.Component.get_access_token/1","doc":"","ref":"WeChat.Component.html#get_access_token/1"},{"type":"function","title":"WeChat.Component.get_authorizer_info/1","doc":"获取授权方的帐号基本信息 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/api_get_authorizer_info.html){:target=\"_blank\"}","ref":"WeChat.Component.html#get_authorizer_info/1"},{"type":"function","title":"WeChat.Component.get_authorizer_list/3","doc":"拉取所有已授权的帐号信息 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/api_get_authorizer_list.html){:target=\"_blank\"}","ref":"WeChat.Component.html#get_authorizer_list/3"},{"type":"function","title":"WeChat.Component.get_authorizer_option/2","doc":"获取授权方选项信息 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/api_get_authorizer_option.html){:target=\"_blank\"}","ref":"WeChat.Component.html#get_authorizer_option/2"},{"type":"function","title":"WeChat.Component.get_component_token/1","doc":"获取令牌 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/component_access_token.html){:target=\"_blank\"}","ref":"WeChat.Component.html#get_component_token/1"},{"type":"function","title":"WeChat.Component.get_component_token/2","doc":"获取令牌 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/component_access_token.html){:target=\"_blank\"}","ref":"WeChat.Component.html#get_component_token/2"},{"type":"function","title":"ticket 来源 - WeChat.Component.get_component_token/2","doc":"[验证票据](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/component_verify_ticket.html)","ref":"WeChat.Component.html#get_component_token/2-ticket-%E6%9D%A5%E6%BA%90"},{"type":"function","title":"WeChat.Component.get_quota/2","doc":"查询接口调用次数 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/2.0/api/openApi/get_api_quota.html){:target=\"_blank\"}\n\n[接口调用频次限制说明](https://developers.weixin.qq.com/doc/offiaccount/Message_Management/API_Call_Limits.html){:target=\"_blank\"}","ref":"WeChat.Component.html#get_quota/2"},{"type":"function","title":"WeChat.Component.query_auth/2","doc":"使用授权码获取授权信息 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/authorization_info.html){:target=\"_blank\"}","ref":"WeChat.Component.html#query_auth/2"},{"type":"function","title":"WeChat.Component.unbind/3","doc":"将公众号/小程序从开放平台帐号下解绑 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/account/unbind.html){:target=\"_blank\"}\n\n该 API 用于将一个公众号或小程序与指定开放平台帐号解绑。\n\n开发者须确认所指定帐号与当前该公众号或小程序所绑定的开放平台帐号一致。","ref":"WeChat.Component.html#unbind/3"},{"type":"type","title":"WeChat.Component.auth_type/0","doc":"要授权的帐号类型:\n\n1. 则商户点击链接后，手机端仅展示公众号;\n2. 表示仅展示小程序;\n3. 表示公众号和小程序都展示。如果为未指定，则默认小程序和公众号都展示.\n\n第三方平台开发者可以使用本字段来控制授权的帐号类型.","ref":"WeChat.Component.html#t:auth_type/0"},{"type":"type","title":"WeChat.Component.biz_appid/0","doc":"","ref":"WeChat.Component.html#t:biz_appid/0"},{"type":"type","title":"WeChat.Component.option_name/0","doc":"选项名称及可选值说明 -\n[官方文档](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/api/api_get_authorizer_option.html#选项名称及可选值说明){:target=\"_blank\"}\n\n|   option_name    |   选项名说明    | option_value | 选项值说明 |\n| ---------------- | ------------  | ------------ | -------- |\n| location_report  | 地理位置上报选项 |       0      | 无上报    |\n| location_report  | 地理位置上报选项 |       1      | 进入会话时上报 |\n| location_report  | 地理位置上报选项 |       2      | 每 5s 上报 |\n| voice_recognize  | 语音识别开关选项 |       0      | 关闭语音识别 |\n| voice_recognize  | 语音识别开关选项 |       1      | 开启语音识别 |\n| customer_service | 多客服开关选项   |       0      | 关闭多客服 |\n| customer_service | 多客服开关选项   |       1      | 开启多客服 |","ref":"WeChat.Component.html#t:option_name/0"},{"type":"module","title":"WeChat.Menu","doc":"自定义菜单","ref":"WeChat.Menu.html"},{"type":"function","title":"WeChat.Menu.add_conditional_menu/2","doc":"创建个性化菜单 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Personalized_menu_interface.html#0){:target=\"_blank\"}","ref":"WeChat.Menu.html#add_conditional_menu/2"},{"type":"function","title":"WeChat.Menu.create_menu/2","doc":"创建接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Creating_Custom-Defined_Menu.html){:target=\"_blank\"}\n\n自定义菜单能够帮助公众号丰富界面，让用户更好更快地理解公众号的功能。\n\n请注意：\n\n- 自定义菜单最多包括3个一级菜单，每个一级菜单最多包含5个二级菜单。\n- 一级菜单最多4个汉字，二级菜单最多7个汉字，多出来的部分将会以“...”代替。\n- 创建自定义菜单后，菜单的刷新策略是，在用户进入公众号会话页或公众号 `profile` 页时，如果发现上一次拉取菜单的请求在5分钟以前，\n就会拉取一下菜单，如果菜单有更新，就会刷新客户端的菜单。测试时可以尝试取消关注公众账号后再次关注，则可以看到创建后的效果。\n\n自定义菜单接口可实现多种类型按钮，如下：\n\n1. `click`：点击推事件用户点击 `click` 类型按钮后，微信服务器会通过消息接口推送消息类型为 `event` 的结构给开发者（参考消息接口指南），\n并且带上按钮中开发者填写的key值，开发者可以通过自定义的key值与用户进行交互；\n2. `view`：跳转URL用户点击 `view` 类型按钮后，微信客户端将会打开开发者在按钮中填写的网页URL，可与网页授权获取用户基本信息接口结合，获得用户基本信息。\n3. `scancode_push`：扫码推事件用户点击按钮后，微信客户端将调起扫一扫工具，完成扫码操作后显示扫描结果（如果是URL，将进入URL），\n且会将扫码的结果传给开发者，开发者可以下发消息。\n4. `scancode_waitmsg`：扫码推事件且弹出“消息接收中”提示框用户点击按钮后，微信客户端将调起扫一扫工具，完成扫码操作后，将扫码的结果传给开发者，\n同时收起扫一扫工具，然后弹出“消息接收中”提示框，随后可能会收到开发者下发的消息。\n5. `pic_sysphoto`：弹出系统拍照发图用户点击按钮后，微信客户端将调起系统相机，完成拍照操作后，会将拍摄的相片发送给开发者，并推送事件给开发者，\n同时收起系统相机，随后可能会收到开发者下发的消息。\n6. `pic_photo_or_album`：弹出拍照或者相册发图用户点击按钮后，微信客户端将弹出选择器供用户选择“拍照”或者“从手机相册选择”。用户选择后即走其他两种流程。\n7. `pic_weixin`：弹出微信相册发图器用户点击按钮后，微信客户端将调起微信相册，完成选择操作后，将选择的相片发送给开发者的服务器，并推送事件给开发者，\n同时收起相册，随后可能会收到开发者下发的消息。\n8. `location_select`：弹出地理位置选择器用户点击按钮后，微信客户端将调起地理位置选择工具，完成选择操作后，将选择的地理位置发送给开发者的服务器，\n同时收起位置选择工具，随后可能会收到开发者下发的消息。\n9. `media_id`：下发消息（除文本消息）用户点击 `media_id` 类型按钮后，微信服务器会将开发者填写的永久素材id对应的素材下发给用户，\n永久素材类型可以是图片、音频、视频、图文消息。请注意：永久素材id必须是在“素材管理/新增永久素材”接口上传后获得的合法id。\n10. `view_limited`：跳转图文消息URL用户点击 `view_limited` 类型按钮后，微信客户端将打开开发者在按钮中填写的永久素材id对应的图文消息URL，\n永久素材类型只支持图文消息。请注意：永久素材id必须是在“素材管理/新增永久素材”接口上传后获得的合法id。\n\n请注意，`3` 到 `8` 的所有事件，仅支持微信 `iPhone5.4.1` 以上版本，和 `Android5.4` 以上版本的微信用户，旧版本微信用户点击后将没有回应，\n开发者也不能正常接收到事件推送。`9` 和 `10`，是专门给第三方平台旗下未微信认证（具体而言，是资质认证未通过）的订阅号准备的事件类型，\n它们是没有事件推送的，能力相对受限，其他类型的公众号不必使用。","ref":"WeChat.Menu.html#create_menu/2"},{"type":"function","title":"WeChat.Menu.del_conditional_menu/2","doc":"删除个性化菜单 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Personalized_menu_interface.html#1){:target=\"_blank\"}","ref":"WeChat.Menu.html#del_conditional_menu/2"},{"type":"function","title":"WeChat.Menu.delete_menu/1","doc":"删除接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Deleting_Custom-Defined_Menu.html){:target=\"_blank\"}\n\n使用接口创建自定义菜单后，开发者还可使用接口删除当前使用的自定义菜单。另请注意，在个性化菜单时，调用此接口会删除默认菜单及全部个性化菜单。","ref":"WeChat.Menu.html#delete_menu/1"},{"type":"function","title":"WeChat.Menu.get_menu/1","doc":"查询接口 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Querying_Custom_Menus.html){:target=\"_blank\"}\n\n本接口将会提供公众号当前使用的自定义菜单的配置，如果公众号是通过API调用设置的菜单，则返回菜单的开发配置，\n而如果公众号是在公众平台官网通过网站功能发布菜单，则本接口返回运营者设置的菜单配置。\n\n请注意：\n\n- 第三方平台开发者可以通过本接口，在旗下公众号将业务授权给你后，立即通过本接口检测公众号的自定义菜单配置，\n并通过接口再次给公众号设置好自动回复规则，以提升公众号运营者的业务体验。\n- 本接口与自定义菜单查询接口的不同之处在于，本接口无论公众号的接口是如何设置的，都能查询到接口，而自定义菜单查询接口则仅能查询到使用API设置的菜单配置。\n- 认证/未认证的服务号/订阅号，以及接口测试号，均拥有该接口权限。\n- 从第三方平台的公众号登录授权机制上来说，该接口从属于消息与菜单权限集。\n- 本接口中返回的图片/语音/视频为临时素材（临时素材每次获取都不同，3天内有效，通过素材管理-获取临时素材接口来获取这些素材），\n本接口返回的图文消息为永久素材素材（通过素材管理-获取永久素材接口来获取这些素材）。","ref":"WeChat.Menu.html#get_menu/1"},{"type":"function","title":"WeChat.Menu.try_match_menu/2","doc":"测试个性化菜单匹配结果 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/Custom_Menus/Personalized_menu_interface.html#2){:target=\"_blank\"}","ref":"WeChat.Menu.html#try_match_menu/2"},{"type":"type","title":"WeChat.Menu.menu_id/0","doc":"菜单id，可以通过自定义菜单查询接口获取","ref":"WeChat.Menu.html#t:menu_id/0"},{"type":"type","title":"WeChat.Menu.user_id/0","doc":"粉丝的OpenID / 粉丝的微信号","ref":"WeChat.Menu.html#t:user_id/0"},{"type":"module","title":"WeChat.POI","doc":"微信门店接口\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Store_Interface.html){:target=\"_blank\"}","ref":"WeChat.POI.html"},{"type":"function","title":"WeChat.POI.create/2","doc":"创建门店 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Store_Interface.html#_3-2创建门店){:target=\"_blank\"}\n\n创建门店接口是为商户提供创建自己门店数据的接口，门店数据字段越完整，商户页面展示越丰富，越能够吸引更多用户，并提高曝光度。\n\n创建门店接口调用成功后会返回errcode 0、errmsg ok，会实时返回唯一的poiid。","ref":"WeChat.POI.html#create/2"},{"type":"function","title":"WeChat.POI.delete/2","doc":"修改门店服务信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Store_Interface.html#_3-7删除门店){:target=\"_blank\"}\n\n商户可以通过该接口，删除已经成功创建的门店。请商户慎重调用该接口。","ref":"WeChat.POI.html#delete/2"},{"type":"function","title":"WeChat.POI.get/2","doc":"查询门店 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Store_Interface.html#_3-4查询门店信息){:target=\"_blank\"}\n\n创建门店后获取poi_id 后，商户可以利用poi_id，查询具体某条门店的信息。 若在查询时，\nupdate_status 字段为1，表明在5 个工作日内曾用update 接口修改过门店扩展字段，该扩展字段为最新的修改字段，尚未经过审核采纳，因此不是最终结果。\n最终结果会在5 个工作日内，最终确认是否采纳，并前端生效（但该扩展字段的采纳过程不影响门店的可用性，即available_state仍为审核通过状态）\n\n注：修改扩展字段将会推送审核，但不会影响该门店的生效可用状态。","ref":"WeChat.POI.html#get/2"},{"type":"function","title":"WeChat.POI.list/3","doc":"查询门店列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Store_Interface.html#_3-5查询门店列表){:target=\"_blank\"}\n\n商户可以通过该接口，批量查询自己名下的门店list，并获取已审核通过的poiid、商户自身sid 用于对应、商户名、分店名、地址字段。","ref":"WeChat.POI.html#list/3"},{"type":"function","title":"WeChat.POI.list_category/1","doc":"门店类目表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Store_Interface.html#_4-门店类目表){:target=\"_blank\"}\n\n类目名称接口是为商户提供自己门店类型信息的接口。门店类目定位的越规范，能够精准的吸引更多用户，提高曝光率。","ref":"WeChat.POI.html#list_category/1"},{"type":"function","title":"WeChat.POI.update/2","doc":"修改门店服务信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Store_Interface.html#_3-6修改门店服务信息){:target=\"_blank\"}\n\n商户可以通过该接口，修改门店的服务信息，包括：sid、图片列表、营业时间、推荐、特色服务、简介、人均价格、电话8个字段（名称、坐标、地址等不可修改）修改后需要人工审核。","ref":"WeChat.POI.html#update/2"},{"type":"type","title":"WeChat.POI.poi_id/0","doc":"","ref":"WeChat.POI.html#t:poi_id/0"},{"type":"module","title":"WeChat.MiniProgram.Auth","doc":"小程序 - 权限接口","ref":"WeChat.MiniProgram.Auth.html"},{"type":"function","title":"WeChat.MiniProgram.Auth.check_session/3","doc":"检验登录态 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/OpenApiDoc/user-login/checkSessionKey.html){:target=\"_blank\"}\n\n校验服务器所保存的登录态 session_key 是否合法。为了保持 session_key 私密性，接口不明文传输 session_key，而是通过校验登录态签名完成。","ref":"WeChat.MiniProgram.Auth.html#check_session/3"},{"type":"function","title":"WeChat.MiniProgram.Auth.code2session/2","doc":"小程序登录\n\n[登录流程](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/login.html)\n\n官方文档:\n  * [Mini Program](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/login/auth.code2Session.html){:target=\"_blank\"}\n  * [Component](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/Mini_Programs/WeChat_login.html){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Auth.html#code2session/2"},{"type":"function","title":"WeChat.MiniProgram.Auth.decode_get_user_sensitive_info/3","doc":"服务端获取开放数据 - 包含敏感数据 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/signature.html){:target=\"_blank\"}\n\n* [小程序登录](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/login.html)\n* [加密数据解密算法](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/signature.html#加密数据解密算法)","ref":"WeChat.MiniProgram.Auth.html#decode_get_user_sensitive_info/3"},{"type":"function","title":"WeChat.MiniProgram.Auth.decode_user_info/3","doc":"服务端获取开放数据 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/signature.html){:target=\"_blank\"}\n\n[登录流程](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/login.html)","ref":"WeChat.MiniProgram.Auth.html#decode_user_info/3"},{"type":"function","title":"WeChat.MiniProgram.Auth.get_access_token/1","doc":"获取AccessToken -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/access-token/auth.getAccessToken.html){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Auth.html#get_access_token/1"},{"type":"function","title":"WeChat.MiniProgram.Auth.get_paid_unionid/2","doc":"支付后获取用户的`UnionId` -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/user-info/auth.getPaidUnionId.html){:target=\"_blank\"}\n\n用户支付完成后，获取该用户的`UnionId`，无需用户授权.\n\n本接口支持第三方平台代理查询.\n\n**注意：调用前需要用户完成支付，且在支付后的五分钟内有效**","ref":"WeChat.MiniProgram.Auth.html#get_paid_unionid/2"},{"type":"function","title":"WeChat.MiniProgram.Auth.get_paid_unionid/3","doc":"支付后获取用户的`UnionId` - 微信支付订单号(`transaction_id`) -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/user-info/auth.getPaidUnionId.html){:target=\"_blank\"}\n\n用户支付完成后，获取该用户的`UnionId`，无需用户授权.\n\n本接口支持第三方平台代理查询.\n\n**注意：调用前需要用户完成支付，且在支付后的五分钟内有效**","ref":"WeChat.MiniProgram.Auth.html#get_paid_unionid/3"},{"type":"function","title":"WeChat.MiniProgram.Auth.get_paid_unionid/4","doc":"支付后获取用户的`UnionId` - 微信支付商户订单号和微信支付商户号(`out_trade_no`及`mch_id`) -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/user-info/auth.getPaidUnionId.html){:target=\"_blank\"}\n\n用户支付完成后，获取该用户的`UnionId`，无需用户授权.\n\n本接口支持第三方平台代理查询.\n\n**注意：调用前需要用户完成支付，且在支付后的五分钟内有效**","ref":"WeChat.MiniProgram.Auth.html#get_paid_unionid/4"},{"type":"function","title":"WeChat.MiniProgram.Auth.reset_session/3","doc":"重置登录态 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/OpenApiDoc/user-login/ResetUserSessionKey.html){:target=\"_blank\"}\n\n重置指定的登录态 session_key。为了保持 session_key 私密性，接口不明文传入 session_key，而是通过校验登录态签名完成。","ref":"WeChat.MiniProgram.Auth.html#reset_session/3"},{"type":"type","title":"WeChat.MiniProgram.Auth.session_key/0","doc":"会话密钥","ref":"WeChat.MiniProgram.Auth.html#t:session_key/0"},{"type":"module","title":"WeChat.MiniProgram.Code","doc":"小程序码","ref":"WeChat.MiniProgram.Code.html"},{"type":"function","title":"WeChat.MiniProgram.Code.create_code/4","doc":"生成的小程序码 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/qr-code/wxacode.get.html){:target=\"_blank\"}\n\n获取小程序码，适用于需要的码数量较少的业务场景。通过该接口生成的小程序码，永久有效，有数量限制，\n详见[获取二维码](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/qr-code.html){:target=\"_blank\"}。","ref":"WeChat.MiniProgram.Code.html#create_code/4"},{"type":"function","title":"WeChat.MiniProgram.Code.create_code_unlimited/3","doc":"生成的小程序码 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/qr-code/wxacode.get.html){:target=\"_blank\"}\n\n获取小程序码，适用于需要的码数量极多的业务场景。通过该接口生成的小程序码，永久有效，数量暂无限制，\n详见[获取二维码](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/qr-code.html){:target=\"_blank\"}。","ref":"WeChat.MiniProgram.Code.html#create_code_unlimited/3"},{"type":"function","title":"WeChat.MiniProgram.Code.create_qrcode/3","doc":"生成的小程序二维码 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/qr-code/wxacode.createQRCode.html){:target=\"_blank\"}\n\n获取小程序二维码，适用于需要的码数量较少的业务场景。通过该接口生成的小程序二维码，永久有效，有数量限制，\n详见[获取二维码](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/qr-code.html){:target=\"_blank\"}。","ref":"WeChat.MiniProgram.Code.html#create_qrcode/3"},{"type":"function","title":"WeChat.MiniProgram.Code.download/2","doc":"","ref":"WeChat.MiniProgram.Code.html#download/2"},{"type":"type","title":"WeChat.MiniProgram.Code.auto_color/0","doc":"自动配置线条颜色，如果颜色依然是黑色，则说明不建议配置主色调","ref":"WeChat.MiniProgram.Code.html#t:auto_color/0"},{"type":"type","title":"WeChat.MiniProgram.Code.code_options/0","doc":"","ref":"WeChat.MiniProgram.Code.html#t:code_options/0"},{"type":"type","title":"WeChat.MiniProgram.Code.is_hyaline/0","doc":"是否需要透明底色，为 `true` 时，生成透明底色的小程序码","ref":"WeChat.MiniProgram.Code.html#t:is_hyaline/0"},{"type":"type","title":"WeChat.MiniProgram.Code.line_color/0","doc":"auto_color 为 false 时生效，使用 rgb 设置颜色\n\n例如 `%{r: \"xxx\",g: \"xxx\",b: \"xxx\"}` 十进制表示","ref":"WeChat.MiniProgram.Code.html#t:line_color/0"},{"type":"type","title":"WeChat.MiniProgram.Code.path/0","doc":"小程序页面路径\n\n最大长度 `128` 字节，不能为空；对于小游戏，可以只传入 `query` 部分，来实现传参效果，如：传入 `?foo=bar`，\n即可在 `wx.getLaunchOptionsSync` 接口中的 `query` 参数获取到 `{foo:\"bar\"}`。","ref":"WeChat.MiniProgram.Code.html#t:path/0"},{"type":"type","title":"WeChat.MiniProgram.Code.scene/0","doc":"场景值\n\n最大`32`个可见字符，只支持数字，大小写英文以及部分特殊字符：`!#$&'()*+,/:;=?@-._~`，\n其它字符请自行编码为合法字符（因不支持%，中文无法使用 `UrlEncode` 处理，请使用其他编码方式）\n\n`scene` 字段的值会作为 `query` 参数传递给小程序/小游戏。用户扫描该码进入小程序/小游戏后，开发者可以获取到二维码中的 `scene` 值，再做处理逻辑。\n调试阶段可以使用开发工具的条件编译自定义参数 `scene=xxxx` 进行模拟，开发工具模拟时的 `scene` 的参数值需要进行 `encodeURIComponent`","ref":"WeChat.MiniProgram.Code.html#t:scene/0"},{"type":"type","title":"WeChat.MiniProgram.Code.width/0","doc":"二维码的宽度\n\n单位 `px`。最小 `280px`，最大 `1280px`","ref":"WeChat.MiniProgram.Code.html#t:width/0"},{"type":"module","title":"WeChat.MiniProgram.NearbyPOI","doc":"附件的小程序","ref":"WeChat.MiniProgram.NearbyPOI.html"},{"type":"function","title":"WeChat.MiniProgram.NearbyPOI.add/2","doc":"添加地点 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/nearby-poi//nearbyPoi.add.html){:target=\"_blank\"}","ref":"WeChat.MiniProgram.NearbyPOI.html#add/2"},{"type":"function","title":"WeChat.MiniProgram.NearbyPOI.delete/2","doc":"删除地点 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/nearby-poi//nearbyPoi.delete.html){:target=\"_blank\"}","ref":"WeChat.MiniProgram.NearbyPOI.html#delete/2"},{"type":"function","title":"WeChat.MiniProgram.NearbyPOI.get_list/3","doc":"查看地点列表 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/nearby-poi//nearbyPoi.getList.html){:target=\"_blank\"}","ref":"WeChat.MiniProgram.NearbyPOI.html#get_list/3"},{"type":"function","title":"WeChat.MiniProgram.NearbyPOI.set_show_status/3","doc":"展示/取消展示附近小程序 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/nearby-poi//nearbyPoi.setShowStatus.html){:target=\"_blank\"}","ref":"WeChat.MiniProgram.NearbyPOI.html#set_show_status/3"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.add_options/0","doc":"","ref":"WeChat.MiniProgram.NearbyPOI.html#t:add_options/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.address/0","doc":"地址","ref":"WeChat.MiniProgram.NearbyPOI.html#t:address/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.company_name/0","doc":"主体名字","ref":"WeChat.MiniProgram.NearbyPOI.html#t:company_name/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.contract_phone/0","doc":"门店电话","ref":"WeChat.MiniProgram.NearbyPOI.html#t:contract_phone/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.credential/0","doc":"资质号\n\n15位营业执照注册号或9位组织机构代码","ref":"WeChat.MiniProgram.NearbyPOI.html#t:credential/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.hour/0","doc":"营业时间\n\n格式`11:11-12:12`","ref":"WeChat.MiniProgram.NearbyPOI.html#t:hour/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.kf_info/0","doc":"客服信息\n\n可自定义服务头像与昵称，具体填写字段见下方示例kf_info kf_info是字符串，内容是一个json","ref":"WeChat.MiniProgram.NearbyPOI.html#t:kf_info/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.map_poi_id/0","doc":"腾讯地图对于poi的唯一标识\n\n对应《在腾讯地图中搜索门店》中的sosomap_poi_uid字段\n\n腾讯地图那边有些数据不一致，如果不填map_poi_id的话，小概率会提交失败！\n\n注：\n`poi_id` 与 `map_poi_id` 关系：\n`map_poi_id` 是腾讯地图对于poi的唯一标识\n`poi_id` 是门店进驻附近后的门店唯一标识","ref":"WeChat.MiniProgram.NearbyPOI.html#t:map_poi_id/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.pic_list/0","doc":"门店图片\n\n最多9张，最少1张，上传门店图片如门店外景、环境设施、商品服务等，图片将展示在微信客户端的门店页。\n图片链接通过[文档](https://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1444738729)中的《上传图文消息内的图片获取URL》接口获取。\n文件格式为bmp、png、jpeg、jpg或gif，大小不超过5M `pic_list` 是字符串，内容是一个json","ref":"WeChat.MiniProgram.NearbyPOI.html#t:pic_list/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.poi_id/0","doc":"如果创建新的门店，poi_id字段为空 如果更新门店，poi_id参数则填对应门店的poi_id","ref":"WeChat.MiniProgram.NearbyPOI.html#t:poi_id/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.qualification_list/0","doc":"证明材料\n\n如果company_name和该小程序主体不一致，需要填qualification_list，\n详细规则见: [附近的小程序使用指南-如何证明门店的经营主体跟公众号或小程序帐号主体相关](http://kf.qq.com/faq/170401MbUnim17040122m2qY.html)","ref":"WeChat.MiniProgram.NearbyPOI.html#t:qualification_list/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.service_infos/0","doc":"服务标签列表\n\n需要填写\n\n- 服务标签ID\n- 服务类型tpye\n- 服务名称name\n- APPID\n- 对应服务落地页的path路径：path路径页面要与对应的服务标签一致，例如选取外卖服务，path路径应该是小程序的外卖对应的那个页面，path路径获取咨询开发或者到小程序管理后台-工具-生成小程序码页面获取\n- 新增服务描述desc：描述服务内容，例如满减、折扣等优惠信息或新品、爆品等商品信息，仅标准服务都可添加，10个字符以内。\n\n《服务标签id编号、类型与服务名称表》\n\n| ID   | type | name(服务名称)                           |\n| ---- | ---- | ---------------------------------------- |\n| 0    | 2    | 自定义服务，可自定义名称（10个字符以内） |\n| 1    | 1    | 外送                                     |\n| 2    | 1    | 快递                                     |\n| 3    | 1    | 充电                                     |\n| 4    | 1    | 预约                                     |\n| 5    | 1    | 挂号                                     |\n| 6    | 1    | 点餐                                     |\n| 7    | 1    | 优惠                                     |\n| 8    | 1    | 乘车                                     |\n| 9    | 1    | 会员                                     |\n| 10   | 1    | 买单                                     |\n| 11   | 1    | 排队                                     |\n| 12   | 1    | 缴费                                     |\n| 13   | 1    | 购票                                     |\n| 14   | 1    | 到店自提                                 |\n| 15   | 1    | 预订                                     |\n\nservice_infos是字符串，内容是一个json","ref":"WeChat.MiniProgram.NearbyPOI.html#t:service_infos/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.status/0","doc":"是否展示\n\n- 0: 不展示\n- 1: 展示","ref":"WeChat.MiniProgram.NearbyPOI.html#t:status/0"},{"type":"type","title":"WeChat.MiniProgram.NearbyPOI.store_name/0","doc":"门店名字\n\n门店名称需按照所选地理位置自动拉取腾讯地图门店名称，不可修改，如需修改请重现选择地图地点或重新创建地点。","ref":"WeChat.MiniProgram.NearbyPOI.html#t:store_name/0"},{"type":"module","title":"WeChat.MiniProgram.OCR","doc":"小程序 - OCR接口","ref":"WeChat.MiniProgram.OCR.html"},{"type":"function","title":"WeChat.MiniProgram.OCR.bankcard/2","doc":"识别银行卡\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/ocr/ocr.bankcard.html){:target=\"_blank\"}\n\n本接口提供基于小程序的银行卡 OCR 识别","ref":"WeChat.MiniProgram.OCR.html#bankcard/2"},{"type":"function","title":"WeChat.MiniProgram.OCR.business_license/2","doc":"营业执照\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/ocr/ocr.businessLicense.html){:target=\"_blank\"}\n\n本接口提供基于小程序的营业执照 OCR 识别","ref":"WeChat.MiniProgram.OCR.html#business_license/2"},{"type":"function","title":"WeChat.MiniProgram.OCR.driver_license/2","doc":"驾驶证\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/ocr/ocr.driverLicense.html){:target=\"_blank\"}\n\n本接口提供基于小程序的驾驶证 OCR 识别","ref":"WeChat.MiniProgram.OCR.html#driver_license/2"},{"type":"function","title":"WeChat.MiniProgram.OCR.id_card/2","doc":"身份证\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/ocr/ocr.idcard.html){:target=\"_blank\"}\n\n本接口提供基于小程序的身份证 OCR 识别","ref":"WeChat.MiniProgram.OCR.html#id_card/2"},{"type":"function","title":"WeChat.MiniProgram.OCR.printed_text/2","doc":"通用印刷体\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/ocr/ocr.printedText.html){:target=\"_blank\"}\n\n本接口提供基于小程序的通用印刷体 OCR 识别","ref":"WeChat.MiniProgram.OCR.html#printed_text/2"},{"type":"function","title":"WeChat.MiniProgram.OCR.vehicle_license/3","doc":"行驶证\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/ocr/ocr.vehicleLicense.html){:target=\"_blank\"}\n\n本接口提供基于小程序的行驶证 OCR 识别","ref":"WeChat.MiniProgram.OCR.html#vehicle_license/3"},{"type":"module","title":"WeChat.MiniProgram.Search","doc":"小程序 - 搜索接口","ref":"WeChat.MiniProgram.Search.html"},{"type":"function","title":"WeChat.MiniProgram.Search.image_search/2","doc":"图片搜索\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/search/search.imageSearch.html){:target=\"_blank\"}\n\n本接口提供基于小程序的站内搜商品图片搜索能力","ref":"WeChat.MiniProgram.Search.html#image_search/2"},{"type":"function","title":"WeChat.MiniProgram.Search.image_search/3","doc":"图片搜索(binary)\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/search/search.imageSearch.html){:target=\"_blank\"}\n\n本接口提供基于小程序的站内搜商品图片搜索能力","ref":"WeChat.MiniProgram.Search.html#image_search/3"},{"type":"function","title":"WeChat.MiniProgram.Search.site_search/3","doc":"页面搜索(binary)\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/search/search.siteSearch.html){:target=\"_blank\"}\n\n小程序内部搜索API提供针对页面的查询能力，小程序开发者输入搜索词后，将返回自身小程序和搜索词相关的页面。\n因此，利用该接口，开发者可以查看指定内容的页面被微信平台的收录情况；同时，该接口也可供开发者在小程序内应用，给小程序用户提供搜索能力。","ref":"WeChat.MiniProgram.Search.html#site_search/3"},{"type":"function","title":"WeChat.MiniProgram.Search.submit_pages/2","doc":"提交页面(binary)\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/search/search.submitPages.html){:target=\"_blank\"}\n\n小程序开发者可以通过本接口提交小程序页面url及参数信息(不要推送webview页面)，\n让微信可以更及时的收录到小程序的页面信息，开发者提交的页面信息将可能被用于小程序搜索结果展示。","ref":"WeChat.MiniProgram.Search.html#submit_pages/2"},{"type":"type","title":"WeChat.MiniProgram.Search.page/0","doc":"小程序页面信息","ref":"WeChat.MiniProgram.Search.html#t:page/0"},{"type":"type","title":"WeChat.MiniProgram.Search.pages/0","doc":"小程序页面信息列表","ref":"WeChat.MiniProgram.Search.html#t:pages/0"},{"type":"type","title":"WeChat.MiniProgram.Search.path/0","doc":"页面路径","ref":"WeChat.MiniProgram.Search.html#t:path/0"},{"type":"type","title":"WeChat.MiniProgram.Search.query/0","doc":"页面参数","ref":"WeChat.MiniProgram.Search.html#t:query/0"},{"type":"module","title":"WeChat.MiniProgram.Security","doc":"小程序 - 内容安全接口","ref":"WeChat.MiniProgram.Security.html"},{"type":"function","title":"WeChat.MiniProgram.Security.img_check/2","doc":"图片检测\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/sec-check/security.imgSecCheck.html){:target=\"_blank\"}\n\n校验一张图片是否含有违法违规内容。详见: [内容安全解决方案](https://developers.weixin.qq.com/miniprogram/dev/framework/operation.html)\n\n应用场景举例\n\n- 图片智能鉴黄：涉及拍照的工具类应用(如美拍，识图类应用)用户拍照上传检测；电商类商品上架图片检测；媒体类用户文章里的图片检测等；\n- 敏感人脸识别：用户头像；媒体类用户文章里的图片检测；社交类用户上传的图片检测等。\n\n** 频率限制：单个 appId 调用上限为 2000 次/分钟，200,000 次/天 （ 图片大小限制：1M **）","ref":"WeChat.MiniProgram.Security.html#img_check/2"},{"type":"function","title":"WeChat.MiniProgram.Security.media_check_async/3","doc":"图片/音频异步检测\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/sec-check/security.mediaCheckAsync.html){:target=\"_blank\"}\n\n异步校验图片/音频是否含有违法违规内容。\n\n应用场景举例\n\n- 语音风险识别：社交类用户发表的语音内容检测；\n- 图片智能鉴黄：涉及拍照的工具类应用(如美拍，识图类应用)用户拍照上传检测；电商类商品上架图片检测；媒体类用户文章里的图片检测等；\n- 敏感人脸识别：用户头像；媒体类用户文章里的图片检测；社交类用户上传的图片检测等。\n\n** 频率限制：单个 appId 调用上限为 2000 次/分钟，200,000 次/天；文件大小限制：单个文件大小不超过10M **","ref":"WeChat.MiniProgram.Security.html#media_check_async/3"},{"type":"function","title":"WeChat.MiniProgram.Security.msg_check/2","doc":"文本检测\n- [官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/sec-check/security.msgSecCheck.html){:target=\"_blank\"}\n\n检查一段文本是否含有违法违规内容。\n\n应用场景举例\n\n- 用户个人资料违规文字检测；\n- 媒体新闻类用户发表文章，评论内容检测；\n- 游戏类用户编辑上传的素材(如答题类小游戏用户上传的问题及答案)检测等。\n\n** 频率限制：单个 appId 调用上限为 4000 次/分钟，2,000,000 次/天 **","ref":"WeChat.MiniProgram.Security.html#msg_check/2"},{"type":"type","title":"WeChat.MiniProgram.Security.media_type/0","doc":"","ref":"WeChat.MiniProgram.Security.html#t:media_type/0"},{"type":"type","title":"WeChat.MiniProgram.Security.media_type_audio/0","doc":"媒体类型 1 => 音频; 2 => 图片","ref":"WeChat.MiniProgram.Security.html#t:media_type_audio/0"},{"type":"type","title":"WeChat.MiniProgram.Security.media_type_image/0","doc":"","ref":"WeChat.MiniProgram.Security.html#t:media_type_image/0"},{"type":"module","title":"WeChat.MiniProgram.Store","doc":"小程序 - 门店接口\n\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html"},{"type":"function","title":"WeChat.MiniProgram.Store.add/2","doc":"添加门店 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_8-添加门店){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#add/2"},{"type":"function","title":"WeChat.MiniProgram.Store.apply/2","doc":"申请门店 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_2-创建门店小程序){:target=\"_blank\"}\n\n创建门店小程序提交后需要公众号管理员确认通过后才可进行审核。如果主管理员24小时超时未确认，才能再次提交。","ref":"WeChat.MiniProgram.Store.html#apply/2"},{"type":"function","title":"WeChat.MiniProgram.Store.create_map_poi/2","doc":"在腾讯地图中创建门店 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_7-在腾讯地图中创建门店){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#create_map_poi/2"},{"type":"function","title":"WeChat.MiniProgram.Store.delete/2","doc":"删除门店 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_12-删除门店){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#delete/2"},{"type":"function","title":"WeChat.MiniProgram.Store.get/2","doc":"获取单个门店信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_10-获取单个门店信息){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#get/2"},{"type":"function","title":"WeChat.MiniProgram.Store.get_card/2","doc":"门店小程序卡券 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_14-业务接口-门店小程序卡券){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#get_card/2"},{"type":"function","title":"WeChat.MiniProgram.Store.get_district/1","doc":"从腾讯地图拉取省市区信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_5-从腾讯地图拉取省市区信息){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#get_district/1"},{"type":"function","title":"WeChat.MiniProgram.Store.list/3","doc":"获取门店信息列表 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_11-获取门店信息列表){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#list/3"},{"type":"function","title":"WeChat.MiniProgram.Store.list_category/1","doc":"拉取类目 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_1-拉取门店小程序类目){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#list_category/1"},{"type":"function","title":"WeChat.MiniProgram.Store.map_search/3","doc":"在腾讯地图中搜索门店 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_6-在腾讯地图中搜索门店){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#map_search/3"},{"type":"function","title":"WeChat.MiniProgram.Store.modify/2","doc":"修改门店小程序信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_4-修改门店小程序信息){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#modify/2"},{"type":"function","title":"WeChat.MiniProgram.Store.query_audit_info/1","doc":"查询门店小程序审核结果 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_3-查询门店小程序审核结果){:target=\"_blank\"}\n\n创建门店小程序提交后需要公众号管理员确认通过后才可进行审核。如果主管理员24小时超时未确认，才能再次提交。","ref":"WeChat.MiniProgram.Store.html#query_audit_info/1"},{"type":"function","title":"WeChat.MiniProgram.Store.update/2","doc":"更新门店信息 -\n[官方文档](https://developers.weixin.qq.com/doc/offiaccount/WeChat_Stores/WeChat_Shop_Miniprogram_Interface.html#_9-更新门店信息){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Store.html#update/2"},{"type":"type","title":"WeChat.MiniProgram.Store.district_id/0","doc":"对应 拉取省市区信息接口 中的id字段","ref":"WeChat.MiniProgram.Store.html#t:district_id/0"},{"type":"type","title":"WeChat.MiniProgram.Store.poi_id/0","doc":"","ref":"WeChat.MiniProgram.Store.html#t:poi_id/0"},{"type":"module","title":"WeChat.MiniProgram.UrlScheme","doc":"小程序scheme码，适用于短信、邮件、外部网页等拉起小程序的业务场景","ref":"WeChat.MiniProgram.UrlScheme.html"},{"type":"function","title":"WeChat.MiniProgram.UrlScheme.create_scheme/3","doc":"生成的小程序码 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/url-scheme/urlscheme.generate.html){:target=\"_blank\"}\n\n获取小程序scheme码，适用于短信、邮件、外部网页等拉起小程序的业务场景。\n通过该接口，可以选择生成到期失效和永久有效的小程序码，目前仅针对国内非个人主体的小程序开放，\n详见[获取URL scheme码](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/url-scheme.html){:target=\"_blank\"}。","ref":"WeChat.MiniProgram.UrlScheme.html#create_scheme/3"},{"type":"type","title":"WeChat.MiniProgram.UrlScheme.expire_time/0","doc":"到期失效的scheme码的失效时间，为Unix时间戳。\n\n生成的到期失效scheme码在该时间前有效。最长有效期为1年。生成到期失效的scheme时必填。","ref":"WeChat.MiniProgram.UrlScheme.html#t:expire_time/0"},{"type":"type","title":"WeChat.MiniProgram.UrlScheme.jump_wxa/0","doc":"跳转到的目标小程序信息","ref":"WeChat.MiniProgram.UrlScheme.html#t:jump_wxa/0"},{"type":"type","title":"WeChat.MiniProgram.UrlScheme.path/0","doc":"通过 `scheme` 码进入的小程序页面路径\n\n必须是已经发布的小程序存在的页面，不可携带 `query`。`path` 为空时会跳转小程序主页。","ref":"WeChat.MiniProgram.UrlScheme.html#t:path/0"},{"type":"type","title":"WeChat.MiniProgram.UrlScheme.query/0","doc":"通过 `scheme` 码进入小程序时的 `query`\n\n最大 `128` 个字符，只支持数字，大小写英文以及部分特殊字符：`!#$&'()*+,/:;=?@-._~`","ref":"WeChat.MiniProgram.UrlScheme.html#t:query/0"},{"type":"module","title":"WeChat.MiniProgram.Live.Goods","doc":"小程序 - 直播商品管理","ref":"WeChat.MiniProgram.Live.Goods.html"},{"type":"function","title":"WeChat.MiniProgram.Live.Goods.add_goods/2","doc":"商品添加并提审 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/commodity-api.html#1){:target=\"_blank\"}\n\n调用此接口上传并提审需要直播的商品信息，审核通过后商品录入【小程序直播】商品库","ref":"WeChat.MiniProgram.Live.Goods.html#add_goods/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Goods.audit/2","doc":"重新提交商品审核 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/commodity-api.html#3){:target=\"_blank\"}\n\n调用此接口可以对已撤回提审的商品再次发起提审申请","ref":"WeChat.MiniProgram.Live.Goods.html#audit/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Goods.delete_goods/2","doc":"删除商品 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/commodity-api.html#4){:target=\"_blank\"}\n\n调用此接口，可删除【小程序直播】商品库中的商品，删除后直播间上架的该商品也将被同步删除，不可恢复","ref":"WeChat.MiniProgram.Live.Goods.html#delete_goods/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Goods.get_goods_list/4","doc":"获取商品列表 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/commodity-api.html#7){:target=\"_blank\"}\n\n调用此接口可获取商品列表","ref":"WeChat.MiniProgram.Live.Goods.html#get_goods_list/4"},{"type":"function","title":"WeChat.MiniProgram.Live.Goods.get_goods_status/2","doc":"获取商品状态 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/commodity-api.html#6){:target=\"_blank\"}\n\n调用此接口可获取商品的信息与审核状态","ref":"WeChat.MiniProgram.Live.Goods.html#get_goods_status/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Goods.reset_audit/3","doc":"撤回商品审核 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/commodity-api.html#2){:target=\"_blank\"}\n\n调用此接口，可撤回直播商品的提审申请，消耗的提审次数不返还","ref":"WeChat.MiniProgram.Live.Goods.html#reset_audit/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Goods.update_goods/2","doc":"更新商品 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/commodity-api.html#5){:target=\"_blank\"}\n\n调用此接口可以更新商品信息，审核通过的商品仅允许更新价格类型与价格，审核中的商品不允许更新，未审核的商品允许更新所有字段，只传入需要更新的字段","ref":"WeChat.MiniProgram.Live.Goods.html#update_goods/2"},{"type":"type","title":"WeChat.MiniProgram.Live.Goods.audit_id/0","doc":"审核单ID","ref":"WeChat.MiniProgram.Live.Goods.html#t:audit_id/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Goods.goods_id/0","doc":"商品ID","ref":"WeChat.MiniProgram.Live.Goods.html#t:goods_id/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Goods.goods_ids/0","doc":"商品ID - 列表","ref":"WeChat.MiniProgram.Live.Goods.html#t:goods_ids/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Goods.limit/0","doc":"","ref":"WeChat.MiniProgram.Live.Goods.html#t:limit/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Goods.offset/0","doc":"","ref":"WeChat.MiniProgram.Live.Goods.html#t:offset/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Goods.status/0","doc":"商品状态，0：未审核。1：审核中，2：审核通过，3：审核驳回","ref":"WeChat.MiniProgram.Live.Goods.html#t:status/0"},{"type":"module","title":"WeChat.MiniProgram.Live.Role","doc":"小程序 - 直播成员管理","ref":"WeChat.MiniProgram.Live.Role.html"},{"type":"function","title":"WeChat.MiniProgram.Live.Role.add_role/3","doc":"设置成员角色 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/role-manage.html#1){:target=\"_blank\"}\n\n调用此接口设置小程序直播成员的管理员、运营者和主播角色","ref":"WeChat.MiniProgram.Live.Role.html#add_role/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Role.delete_role/3","doc":"解除成员角色 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/role-manage.html#2){:target=\"_blank\"}\n\n调用此接口移除小程序直播成员的管理员、运营者和主播角色","ref":"WeChat.MiniProgram.Live.Role.html#delete_role/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Role.get_role_list/4","doc":"查询成员列表 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/role-manage.html#3){:target=\"_blank\"}\n\n调用此接口查询小程序直播成员列表","ref":"WeChat.MiniProgram.Live.Role.html#get_role_list/4"},{"type":"type","title":"WeChat.MiniProgram.Live.Role.limit/0","doc":"","ref":"WeChat.MiniProgram.Live.Role.html#t:limit/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Role.offset/0","doc":"","ref":"WeChat.MiniProgram.Live.Role.html#t:offset/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Role.options/0","doc":"","ref":"WeChat.MiniProgram.Live.Role.html#t:options/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Role.role/0","doc":"成员角色 [1-管理员，2-主播，3-运营者]，设置超级管理员将无效","ref":"WeChat.MiniProgram.Live.Role.html#t:role/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Role.search_keyword/0","doc":"搜索的微信号或昵称，不传则返回全部","ref":"WeChat.MiniProgram.Live.Role.html#t:search_keyword/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Role.search_role/0","doc":"成员角色 - 用于查询\n\n- `-1`: 所有成员\n- `0`: 超级管理员\n- `1`: 管理员\n- `2`: 主播\n- `3`: 运营者","ref":"WeChat.MiniProgram.Live.Role.html#t:search_role/0"},{"type":"module","title":"WeChat.MiniProgram.Live.Room","doc":"小程序 - 直播间管理","ref":"WeChat.MiniProgram.Live.Room.html"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.add_assistant/3","doc":"添加管理直播间小助手 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#9){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#add_assistant/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.add_goods/3","doc":"直播间导入商品 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#4){:target=\"_blank\"}\n\n调用此接口往指定直播间导入已入库的商品","ref":"WeChat.MiniProgram.Live.Room.html#add_goods/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.add_subanchor/3","doc":"添加主播副号 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#13){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#add_subanchor/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.create_room/2","doc":"创建直播间 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#1){:target=\"_blank\"}\n\n该接口可直接创建直播间，创建成功后直播间将在直播间列表展示","ref":"WeChat.MiniProgram.Live.Room.html#create_room/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.delete_room/2","doc":"删除直播间 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#5){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#delete_room/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.delete_subanchor/2","doc":"删除主播副号 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#15){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#delete_subanchor/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.edit_room/2","doc":"编辑直播间 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#6){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#edit_room/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.get_assistant_list/2","doc":"查询管理直播间小助手 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#12){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#get_assistant_list/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.get_live_info/3","doc":"获取直播房间列表 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#2){:target=\"_blank\"}\n\n该接口可获取直播房间列表","ref":"WeChat.MiniProgram.Live.Room.html#get_live_info/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.get_push_url/2","doc":"获取直播间推流地址 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#7){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#get_push_url/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.get_replay/4","doc":"获取直播间回放 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#3){:target=\"_blank\"}\n\n该接口可在直播结束后拿到回放源视频","ref":"WeChat.MiniProgram.Live.Room.html#get_replay/4"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.get_shared_code/3","doc":"获取直播间分享二维码 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#8){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#get_shared_code/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.get_subanchor/2","doc":"获取主播副号 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#16){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#get_subanchor/2"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.goods_delete/3","doc":"删除直播间商品 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#22){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#goods_delete/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.goods_get_video/3","doc":"下载商品讲解视频 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#25){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#goods_get_video/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.goods_onsale/4","doc":"上下架直播间商品 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#21){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#goods_onsale/4"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.goods_push/3","doc":"推送商品 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#23){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#goods_push/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.goods_sort/3","doc":"直播间商品排序 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#24){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#goods_sort/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.modify_assistant/4","doc":"修改管理直播间小助手 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#10){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#modify_assistant/4"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.modify_subanchor/3","doc":"修改主播副号 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#14){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#modify_subanchor/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.remove_assistant/3","doc":"删除管理直播间小助手 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#11){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#remove_assistant/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.update_comment/3","doc":"开启/关闭直播间全局禁言 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#20){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#update_comment/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.update_feed_public/3","doc":"开启/关闭直播间官方收录 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#17){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#update_feed_public/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.update_kf/3","doc":"开启/关闭客服功能 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#19){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#update_kf/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Room.update_replay/3","doc":"开启/关闭回放功能 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/studio-api.html#18){:target=\"_blank\"}","ref":"WeChat.MiniProgram.Live.Room.html#update_replay/3"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.is_ban_comment/0","doc":"是否开启禁言 【0：开启，1：关闭】","ref":"WeChat.MiniProgram.Live.Room.html#t:is_ban_comment/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.is_close_kf/0","doc":"是否关闭客服 【0：开启，1：关闭】","ref":"WeChat.MiniProgram.Live.Room.html#t:is_close_kf/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.is_close_replay/0","doc":"是否关闭回放 【0：开启，1：关闭】","ref":"WeChat.MiniProgram.Live.Room.html#t:is_close_replay/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.is_feeds_public/0","doc":"是否开启官方收录 【1: 开启，0：关闭】","ref":"WeChat.MiniProgram.Live.Room.html#t:is_feeds_public/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.is_on_sale/0","doc":"上下架 【0：下架，1：上架】","ref":"WeChat.MiniProgram.Live.Room.html#t:is_on_sale/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.limit/0","doc":"","ref":"WeChat.MiniProgram.Live.Room.html#t:limit/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.room_id/0","doc":"","ref":"WeChat.MiniProgram.Live.Room.html#t:room_id/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.start/0","doc":"","ref":"WeChat.MiniProgram.Live.Room.html#t:start/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.user/0","doc":"","ref":"WeChat.MiniProgram.Live.Room.html#t:user/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Room.users/0","doc":"","ref":"WeChat.MiniProgram.Live.Room.html#t:users/0"},{"type":"module","title":"WeChat.MiniProgram.Live.Subscribe","doc":"小程序 - 直播长期订阅相关接口","ref":"WeChat.MiniProgram.Live.Subscribe.html"},{"type":"function","title":"WeChat.MiniProgram.Live.Subscribe.get_subscribe_list/3","doc":"获取长期订阅用户 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/subscribe-api.html#_1-获取长期订阅用户){:target=\"_blank\"}\n\n调用此接口获取长期订阅用户列表","ref":"WeChat.MiniProgram.Live.Subscribe.html#get_subscribe_list/3"},{"type":"function","title":"WeChat.MiniProgram.Live.Subscribe.push_message/3","doc":"长期订阅群发接口 -\n[官方文档](https://developers.weixin.qq.com/miniprogram/dev/framework/liveplayer/subscribe-api.html#_2-长期订阅群发接口){:target=\"_blank\"}\n\n向长期订阅用户群发直播间开始事件","ref":"WeChat.MiniProgram.Live.Subscribe.html#push_message/3"},{"type":"type","title":"WeChat.MiniProgram.Live.Subscribe.limit/0","doc":"","ref":"WeChat.MiniProgram.Live.Subscribe.html#t:limit/0"},{"type":"type","title":"WeChat.MiniProgram.Live.Subscribe.page_break/0","doc":"翻页标记，获取第一页时不带，第二页开始需带上上一页返回结果中的page_break","ref":"WeChat.MiniProgram.Live.Subscribe.html#t:page_break/0"},{"type":"module","title":"WeChat.Work","doc":"企业微信\n\n** 注意 ** 未支持企业微信服务商\n\n定义 `Client` 模块\n\n    defmodule YourApp.WeChatAppCodeName do\n      @moduledoc \"CodeName\"\n      use WeChat.Work,\n        corp_id: \"corp_id\",\n        agents: [\n          contacts_agent(secret: \"contacts_secret\"),\n          customer_agent(secret: \"customer_secret\"),\n          kf_agent(secret: \"customer_secret\"),\n          agent(10000, name: :agent_name, secret: \"agent_secret\"),\n          ...\n        ]\n    end\n\n定义参数说明请看 `t:options/0`","ref":"WeChat.Work.html"},{"type":"function","title":"WeChat.Work.build_client/2","doc":"动态构建 client","ref":"WeChat.Work.html#build_client/2"},{"type":"function","title":"WeChat.Work.get_access_token/2","doc":"获取 access_token - [官方文档](https://developer.work.weixin.qq.com/document/path/91039){:target=\"_blank\"}","ref":"WeChat.Work.html#get_access_token/2"},{"type":"function","title":"WeChat.Work.get_jsapi_ticket/3","doc":"获取 jsapi_ticket\n\n- [企业](https://developer.work.weixin.qq.com/document/path/90506#获取企业的jsapi_ticket){:target=\"_blank\"}\n- [应用](https://developer.work.weixin.qq.com/document/path/90506#获取应用的jsapi_ticket){:target=\"_blank\"}","ref":"WeChat.Work.html#get_jsapi_ticket/3"},{"type":"function","title":"WeChat.Work.js_sdk_agent_config/3","doc":"生成agentConfig配置 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94313){:target=\"_blank\"}","ref":"WeChat.Work.html#js_sdk_agent_config/3"},{"type":"function","title":"WeChat.Work.js_sdk_config/3","doc":"生成JS-SDK配置 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90514){:target=\"_blank\"}","ref":"WeChat.Work.html#js_sdk_config/3"},{"type":"function","title":"WeChat.Work.sign_js_sdk/3","doc":"生成JS-SDK配置(by ticket)\n\n- [签名算法](https://developer.work.weixin.qq.com/document/path/90506#签名算法){:target=\"_blank\"}","ref":"WeChat.Work.html#sign_js_sdk/3"},{"type":"function","title":"WeChat.Work.start_agent/3","doc":"动态启动 agent","ref":"WeChat.Work.html#start_agent/3"},{"type":"function","title":"WeChat.Work.start_client/2","doc":"动态启动 client","ref":"WeChat.Work.html#start_client/2"},{"type":"type","title":"WeChat.Work.access_token/0","doc":"access_token 是企业后台去企业微信的后台获取信息时的重要票据 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#access_token)\n\n由 `corpid` 和 `secret` 产生。所有接口在通信时都需要携带此信息用于验证接口的访问权限","ref":"WeChat.Work.html#t:access_token/0"},{"type":"type","title":"WeChat.Work.agent/0","doc":"","ref":"WeChat.Work.html#t:agent/0"},{"type":"type","title":"WeChat.Work.agent_id/0","doc":"每个应用都有唯一的 agentid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#agentid)\n\n在管理后台->“应用与小程序”->“应用”，点进某个应用，即可看到 agentid","ref":"WeChat.Work.html#t:agent_id/0"},{"type":"type","title":"WeChat.Work.agent_name/0","doc":"","ref":"WeChat.Work.html#t:agent_name/0"},{"type":"type","title":"WeChat.Work.agents/0","doc":"","ref":"WeChat.Work.html#t:agents/0"},{"type":"type","title":"WeChat.Work.client/0","doc":"","ref":"WeChat.Work.html#t:client/0"},{"type":"type","title":"WeChat.Work.corp_id/0","doc":"每个企业都拥有唯一的 corpid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#corpid)\n\n获取此信息可在管理后台“我的企业”－“企业信息”下查看“企业ID”（需要有管理员权限）","ref":"WeChat.Work.html#t:corp_id/0"},{"type":"type","title":"WeChat.Work.js_api_ticket/0","doc":"","ref":"WeChat.Work.html#t:js_api_ticket/0"},{"type":"type","title":"WeChat.Work.options/0","doc":"参数","ref":"WeChat.Work.html#t:options/0"},{"type":"type","title":"参数说明 - WeChat.Work.options/0","doc":"- `corp_id`: `t:corp_id/0` - 必填\n- `agents`: 应用列表 - `t:agents/0` - 必填 & 至少一个\n- `server_role`: `t:WeChat.server_role/0`\n- `storage`: `t:WeChat.Storage.Adapter.t/0`\n- `requester`: 请求客户端 - `t:module/0`","ref":"WeChat.Work.html#t:options/0-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"type","title":"默认参数: - WeChat.Work.options/0","doc":"- `server_role`: `:client`\n- `storage`: `WeChat.Storage.File`\n- `requester`: `WeChat.WorkRequester`\n- 其余参数皆为可选","ref":"WeChat.Work.html#t:options/0-%E9%BB%98%E8%AE%A4%E5%8F%82%E6%95%B0"},{"type":"type","title":"WeChat.Work.secret/0","doc":"secret 是企业应用里面用于保障数据安全的“钥匙” -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#secret)\n\n每一个应用都有一个独立的访问密钥，为了保证数据的安全，secret务必不能泄漏。\n目前 `secret` 有：\n\n- 自建应用 `secret`\n  在管理后台->“应用与小程序”->“应用”->“自建”，点进某个应用，即可看到。\n- 基础应用 `secret`\n  某些基础应用（如“审批”“打卡”应用），支持通过API进行操作。在管理后台->“应用与小程序”->“应用->”“基础”，点进某个应用，点开“API”小按钮，即可看到。\n- 通讯录管理 `secret`\n  在“管理工具”-“通讯录同步”里面查看（需开启“API接口同步”）；\n- 外部联系人管理 `secret`\n  在“客户联系”栏，点开“API”小按钮，即可看到。","ref":"WeChat.Work.html#t:secret/0"},{"type":"type","title":"WeChat.Work.url/0","doc":"","ref":"WeChat.Work.html#t:url/0"},{"type":"module","title":"WeChat.Work.Agent","doc":"应用","ref":"WeChat.Work.Agent.html"},{"type":"function","title":"WeChat.Work.Agent.agent2id/2","doc":"","ref":"WeChat.Work.Agent.html#agent2id/2"},{"type":"function","title":"WeChat.Work.Agent.agent/2","doc":"构建应用(agent)","ref":"WeChat.Work.Agent.html#agent/2"},{"type":"function","title":"WeChat.Work.Agent.append_agent/2","doc":"","ref":"WeChat.Work.Agent.html#append_agent/2"},{"type":"function","title":"WeChat.Work.Agent.contacts_agent/1","doc":"构建[通讯录]应用(agent)","ref":"WeChat.Work.Agent.html#contacts_agent/1"},{"type":"function","title":"WeChat.Work.Agent.customer_agent/1","doc":"构建[客户联系]应用(agent)","ref":"WeChat.Work.Agent.html#customer_agent/1"},{"type":"function","title":"WeChat.Work.Agent.fetch_agent!/2","doc":"","ref":"WeChat.Work.Agent.html#fetch_agent!/2"},{"type":"function","title":"WeChat.Work.Agent.fetch_agent_cache_id!/2","doc":"","ref":"WeChat.Work.Agent.html#fetch_agent_cache_id!/2"},{"type":"function","title":"WeChat.Work.Agent.find_agent/2","doc":"","ref":"WeChat.Work.Agent.html#find_agent/2"},{"type":"function","title":"WeChat.Work.Agent.kf_agent/1","doc":"构建[微信客服]应用(agent)","ref":"WeChat.Work.Agent.html#kf_agent/1"},{"type":"function","title":"WeChat.Work.Agent.maybe_init_work_agents/1","doc":"","ref":"WeChat.Work.Agent.html#maybe_init_work_agents/1"},{"type":"function","title":"WeChat.Work.Agent.name2id/2","doc":"","ref":"WeChat.Work.Agent.html#name2id/2"},{"type":"type","title":"WeChat.Work.Agent.agent_id/0","doc":"每个应用都有唯一的 agentid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#agentid)\n\n在管理后台->“应用与小程序”->“应用”，点进某个应用，即可看到 agentid","ref":"WeChat.Work.Agent.html#t:agent_id/0"},{"type":"type","title":"WeChat.Work.Agent.agent_name/0","doc":"","ref":"WeChat.Work.Agent.html#t:agent_name/0"},{"type":"type","title":"WeChat.Work.Agent.options/0","doc":"","ref":"WeChat.Work.Agent.html#t:options/0"},{"type":"type","title":"WeChat.Work.Agent.refresh_key/0","doc":"","ref":"WeChat.Work.Agent.html#t:refresh_key/0"},{"type":"type","title":"WeChat.Work.Agent.refresh_list/0","doc":"","ref":"WeChat.Work.Agent.html#t:refresh_list/0"},{"type":"type","title":"WeChat.Work.Agent.secret/0","doc":"secret 是企业应用里面用于保障数据安全的“钥匙” -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#secret)\n\n每一个应用都有一个独立的访问密钥，为了保证数据的安全，secret务必不能泄漏。\n目前 `secret` 有：\n\n- 自建应用 `secret`\n  在管理后台->“应用与小程序”->“应用”->“自建”，点进某个应用，即可看到。\n- 基础应用 `secret`\n  某些基础应用（如“审批”“打卡”应用），支持通过API进行操作。在管理后台->“应用与小程序”->“应用->”“基础”，点进某个应用，点开“API”小按钮，即可看到。\n- 通讯录管理 `secret`\n  在“管理工具”-“通讯录同步”里面查看（需开启“API接口同步”）；\n- 客户联系管理 `secret`\n  在“客户联系”栏，点开“API”小按钮，即可看到。","ref":"WeChat.Work.Agent.html#t:secret/0"},{"type":"type","title":"WeChat.Work.Agent.t/0","doc":"应用配置","ref":"WeChat.Work.Agent.html#t:t/0"},{"type":"module","title":"WeChat.Work.App","doc":"应用管理","ref":"WeChat.Work.App.html"},{"type":"function","title":"WeChat.Work.App.get/2","doc":"获取指定的应用详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90227#获取指定的应用详情){:target=\"_blank\"}\n\n对于互联企业的应用，如果需要获取应用可见范围内其他互联企业的部门与成员，请调用\n[互联企业-获取应用可见范围接口](https://developer.work.weixin.qq.com/document/path/90227#24275)","ref":"WeChat.Work.App.html#get/2"},{"type":"function","title":"WeChat.Work.App.list/2","doc":"获取access_token对应的应用列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90227#获取access-token对应的应用列表){:target=\"_blank\"}","ref":"WeChat.Work.App.html#list/2"},{"type":"function","title":"WeChat.Work.App.qr_connect_opts/4","doc":"构造内嵌登录二维码 - [官方文档](https://developer.work.weixin.qq.com/document/path/91019#构造内嵌登录二维码){:target=\"_blank\"}","ref":"WeChat.Work.App.html#qr_connect_opts/4"},{"type":"function","title":"WeChat.Work.App.qr_connect_url/5","doc":"构造独立窗口登录二维码 - [官方文档](https://developer.work.weixin.qq.com/document/path/91019#构造独立窗口登录二维码){:target=\"_blank\"}","ref":"WeChat.Work.App.html#qr_connect_url/5"},{"type":"function","title":"WeChat.Work.App.set/3","doc":"设置应用 - [官方文档](https://developer.work.weixin.qq.com/document/path/90228){:target=\"_blank\"}","ref":"WeChat.Work.App.html#set/3"},{"type":"function","title":"WeChat.Work.App.sso_user_info/3","doc":"获取访问用户身份 - [官方文档](https://developer.work.weixin.qq.com/document/path/91437){:target=\"_blank\"}\n\n该接口用于根据code获取成员信息\n\n- 当用户为企业成员时返回：`UserId`\n- 当用户为企业成员时返回：`OpenId`","ref":"WeChat.Work.App.html#sso_user_info/3"},{"type":"module","title":"WeChat.Work.ChatRobot","doc":"群机器人\n\n在终端某个群组添加机器人之后，创建者可以在机器人详情页看的该机器人特有的webhookurl。\n开发者可以按以下说明a向这个地址发起HTTP POST 请求，即可实现给该群组发送消息。\n\n当前自定义机器人支持文本（text）、markdown（markdown）、图片（image）、图文（news）四种消息类型。\n\n机器人的text/markdown类型消息支持在content中使用<@userid>扩展语法来@群成员\n\n消息发送频率限制: 每个机器人发送的消息不能超过20条/分钟。","ref":"WeChat.Work.ChatRobot.html"},{"type":"function","title":"WeChat.Work.ChatRobot.send/3","doc":"发送消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/91770#如何使用群机器人){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#send/3"},{"type":"function","title":"WeChat.Work.ChatRobot.send_file/2","doc":"发送文件消息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91770#文件类型){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#send_file/2"},{"type":"function","title":"WeChat.Work.ChatRobot.send_image/2","doc":"","ref":"WeChat.Work.ChatRobot.html#send_image/2"},{"type":"function","title":"WeChat.Work.ChatRobot.send_image/3","doc":"发送图片消息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91770#图片类型){:target=\"_blank\"}\n\n- `base64`: 图片内容的 `base64` 编码\n- `md5`: 图片内容（base64编码前）的 `md5` 值\n\n**注：图片（base64编码前）最大不能超过2M，支持JPG,PNG格式**","ref":"WeChat.Work.ChatRobot.html#send_image/3"},{"type":"function","title":"WeChat.Work.ChatRobot.send_markdown/2","doc":"发送markdown消息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91770#markdown类型){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#send_markdown/2"},{"type":"function","title":"WeChat.Work.ChatRobot.send_news/2","doc":"发送图文消息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91770#图文类型){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#send_news/2"},{"type":"function","title":"WeChat.Work.ChatRobot.send_template_card/2","doc":"发送模板卡片消息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91770#模板卡片类型){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#send_template_card/2"},{"type":"function","title":"WeChat.Work.ChatRobot.send_text/3","doc":"发送文本消息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91770#文本类型){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#send_text/3"},{"type":"function","title":"WeChat.Work.ChatRobot.upload_file/2","doc":"文件上传接口 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/91770#文件上传接口){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#upload_file/2"},{"type":"function","title":"WeChat.Work.ChatRobot.upload_file/3","doc":"文件上传接口 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/91770#文件上传接口){:target=\"_blank\"}","ref":"WeChat.Work.ChatRobot.html#upload_file/3"},{"type":"type","title":"WeChat.Work.ChatRobot.content/0","doc":"","ref":"WeChat.Work.ChatRobot.html#t:content/0"},{"type":"type","title":"WeChat.Work.ChatRobot.key/0","doc":"调用接口凭证, 机器人webhookurl中的key参数","ref":"WeChat.Work.ChatRobot.html#t:key/0"},{"type":"type","title":"WeChat.Work.ChatRobot.media_id/0","doc":"文件id，通过文件上传接口获取","ref":"WeChat.Work.ChatRobot.html#t:media_id/0"},{"type":"type","title":"WeChat.Work.ChatRobot.msg/0","doc":"","ref":"WeChat.Work.ChatRobot.html#t:msg/0"},{"type":"type","title":"WeChat.Work.ChatRobot.msg_type/0","doc":"消息类型\n\n- `text`: 文本消息\n- `image`: 图片消息\n- `file`: 文件消息\n- `news`: 图文消息\n- `markdown`: markdown消息\n- `template_card`: 模板卡片消息","ref":"WeChat.Work.ChatRobot.html#t:msg_type/0"},{"type":"type","title":"WeChat.Work.ChatRobot.opts/0","doc":"","ref":"WeChat.Work.ChatRobot.html#t:opts/0"},{"type":"type","title":"WeChat.Work.ChatRobot.webhook_url/0","doc":"","ref":"WeChat.Work.ChatRobot.html#t:webhook_url/0"},{"type":"module","title":"WeChat.Work.Customer","doc":"客户联系","ref":"WeChat.Work.Customer.html"},{"type":"function","title":"WeChat.Work.Customer.get_customer_info/4","doc":"获取客户详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92265){:target=\"_blank\"}\n\n企业可通过此接口，根据外部联系人的 userid，拉取客户详情。","ref":"WeChat.Work.Customer.html#get_customer_info/4"},{"type":"function","title":"WeChat.Work.Customer.get_customer_info_by_user/4","doc":"批量获取客户详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93010){:target=\"_blank\"}\n\n企业/第三方可通过此接口获取指定成员添加的客户信息列表。","ref":"WeChat.Work.Customer.html#get_customer_info_by_user/4"},{"type":"function","title":"WeChat.Work.Customer.get_enabled_user_list/2","doc":"获取配置了客户联系功能的成员列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92576){:target=\"_blank\"}\n\n企业和第三方服务商可通过此接口获取配置了客户联系功能的成员列表。","ref":"WeChat.Work.Customer.html#get_enabled_user_list/2"},{"type":"function","title":"WeChat.Work.Customer.get_user_behavior_data/6","doc":"获取「联系客户统计」数据 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92132){:target=\"_blank\"}\n\n企业可通过此接口获取成员联系客户的数据，包括发起申请数、新增客户数、聊天数、发送消息数和删除/拉黑成员的客户数等指标。","ref":"WeChat.Work.Customer.html#get_user_behavior_data/6"},{"type":"function","title":"WeChat.Work.Customer.list_user_customers/3","doc":"获取客户列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92264){:target=\"_blank\"}\n\n企业可通过此接口获取指定成员添加的客户列表。客户是指配置了客户联系功能的成员所添加的外部联系人。没有配置客户联系功能的成员，所添加的外部联系人将不会作为客户返回。","ref":"WeChat.Work.Customer.html#list_user_customers/3"},{"type":"function","title":"WeChat.Work.Customer.remark_customer/5","doc":"修改客户备注信息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92694){:target=\"_blank\"}\n\n企业可通过此接口修改指定用户添加的客户的备注信息。","ref":"WeChat.Work.Customer.html#remark_customer/5"},{"type":"type","title":"WeChat.Work.Customer.external_userid/0","doc":"","ref":"WeChat.Work.Customer.html#t:external_userid/0"},{"type":"type","title":"WeChat.Work.Customer.external_userid_list/0","doc":"","ref":"WeChat.Work.Customer.html#t:external_userid_list/0"},{"type":"module","title":"WeChat.Work.Living","doc":"直播","ref":"WeChat.Work.Living.html"},{"type":"function","title":"WeChat.Work.Living.cancel/3","doc":"取消预约直播\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93638){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#cancel/3"},{"type":"function","title":"WeChat.Work.Living.create/3","doc":"创建预约直播\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93637){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#create/3"},{"type":"function","title":"WeChat.Work.Living.delete_replay/3","doc":"删除直播回放\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93874){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#delete_replay/3"},{"type":"function","title":"WeChat.Work.Living.get_info/3","doc":"获取直播详情\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93635){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#get_info/3"},{"type":"function","title":"WeChat.Work.Living.get_living_code/4","doc":"在微信中观看直播或直播回放-获取微信观看直播凭证\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93641#获取微信观看直播凭证){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#get_living_code/4"},{"type":"function","title":"WeChat.Work.Living.get_living_share_info/3","doc":"获取跳转小程序商城的直播观众信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/94442){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#get_living_share_info/3"},{"type":"function","title":"WeChat.Work.Living.get_watch_stat/4","doc":"获取直播观看明细\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93636){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#get_watch_stat/4"},{"type":"function","title":"WeChat.Work.Living.list_user_living_ids/5","doc":"获取成员直播ID列表\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93634){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#list_user_living_ids/5"},{"type":"function","title":"WeChat.Work.Living.modify/3","doc":"修改预约直播\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93640){:target=\"_blank\"}","ref":"WeChat.Work.Living.html#modify/3"},{"type":"type","title":"WeChat.Work.Living.living_id/0","doc":"直播ID","ref":"WeChat.Work.Living.html#t:living_id/0"},{"type":"type","title":"WeChat.Work.Living.living_id_list/0","doc":"","ref":"WeChat.Work.Living.html#t:living_id_list/0"},{"type":"module","title":"WeChat.Work.Material","doc":"素材管理","ref":"WeChat.Work.Material.html"},{"type":"function","title":"WeChat.Work.Material.get/3","doc":"获取临时素材\n- [官方文档](https://developer.work.weixin.qq.com/document/path/90254){:target=\"_blank\"}","ref":"WeChat.Work.Material.html#get/3"},{"type":"function","title":"WeChat.Work.Material.get_hd_voice/3","doc":"获取高清语音素材\n- [官方文档](https://developer.work.weixin.qq.com/document/path/90255){:target=\"_blank\"}\n\n可以使用本接口获取从JSSDK的uploadVoice接口上传的临时语音素材，格式为speex，16K采样率。\n该音频比上文的临时素材获取接口（格式为amr，8K采样率）更加清晰，适合用作语音识别等对音质要求较高的业务。","ref":"WeChat.Work.Material.html#get_hd_voice/3"},{"type":"function","title":"WeChat.Work.Material.upload/4","doc":"上传临时素材(文件路径) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90253){:target=\"_blank\"}\n\n素材上传得到media_id，该media_id仅三天内有效，\nmedia_id在同一企业内应用之间可以共享。","ref":"WeChat.Work.Material.html#upload/4"},{"type":"function","title":"WeChat.Work.Material.upload/5","doc":"上传临时素材(文件内容) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90253){:target=\"_blank\"}\n\n素材上传得到media_id，该media_id仅三天内有效，\nmedia_id在同一企业内应用之间可以共享。","ref":"WeChat.Work.Material.html#upload/5"},{"type":"function","title":"WeChat.Work.Material.upload_by_url/6","doc":"生成异步上传任务\n- [官方文档](https://developer.work.weixin.qq.com/document/path/96219){:target=\"_blank\"}\n\n为了满足临时素材的大文件诉求（最高支持200M），支持指定文件的CDN链接（必须支持Range分块下载），\n由企微微信后台异步下载和处理，处理完成后回调通知任务完成，再通过接口主动查询任务结果。\n\n跟普通临时素材一样，media_id仅三天内有效，media_id在同一企业内应用之间可以共享。","ref":"WeChat.Work.Material.html#upload_by_url/6"},{"type":"function","title":"WeChat.Work.Material.upload_image/4","doc":"上传图片(文件路径) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90256){:target=\"_blank\"}\n\n上传图片得到图片URL，该URL永久有效\n\n返回的图片URL，仅能用于图文消息正文中的图片展示，或者给客户发送欢迎语等；若用于非企业微信环境下的页面，图片将被屏蔽。\n\n图片文件大小应在 5B ~ 2MB 之间, 每个企业每天最多可上传100张图片","ref":"WeChat.Work.Material.html#upload_image/4"},{"type":"function","title":"WeChat.Work.Material.upload_image/5","doc":"上传图片(文件内容) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90256){:target=\"_blank\"}\n\n上传图片得到图片URL，该URL永久有效\n\n返回的图片URL，仅能用于图文消息正文中的图片展示，或者给客户发送欢迎语等；若用于非企业微信环境下的页面，图片将被屏蔽。\n\n图片文件大小应在 5B ~ 2MB 之间, 每个企业每天最多可上传100张图片","ref":"WeChat.Work.Material.html#upload_image/5"},{"type":"type","title":"WeChat.Work.Material.material_type/0","doc":"素材的类型\n\n  - `image` - 图片\n  - `voice` - 语音\n  - `video` - 视频\n  - `file`  - 文件\n\nSupport Type\n\n  - atom :: [:image, :voice, :video, :file]\n  - String.t :: [\"image\", \"voice\", \"video\", \"file\"]","ref":"WeChat.Work.Material.html#t:material_type/0"},{"type":"type","title":"WeChat.Work.Material.media_id/0","doc":"媒体文件上传后获取的唯一标识","ref":"WeChat.Work.Material.html#t:media_id/0"},{"type":"module","title":"WeChat.Work.Meeting","doc":"会议","ref":"WeChat.Work.Meeting.html"},{"type":"function","title":"WeChat.Work.Meeting.cancel/3","doc":"取消预约会议\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93630){:target=\"_blank\"}","ref":"WeChat.Work.Meeting.html#cancel/3"},{"type":"function","title":"WeChat.Work.Meeting.create/3","doc":"创建预约会议\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93627){:target=\"_blank\"}","ref":"WeChat.Work.Meeting.html#create/3"},{"type":"function","title":"WeChat.Work.Meeting.get_info/3","doc":"获取会议详情\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93629){:target=\"_blank\"}","ref":"WeChat.Work.Meeting.html#get_info/3"},{"type":"function","title":"WeChat.Work.Meeting.list_user_meeting_ids/4","doc":"获取成员会议ID列表\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93628){:target=\"_blank\"}\n\n通过此接口可以获取指定成员指定时间内的所有会议ID","ref":"WeChat.Work.Meeting.html#list_user_meeting_ids/4"},{"type":"function","title":"WeChat.Work.Meeting.update/3","doc":"修改预约会议\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93631){:target=\"_blank\"}","ref":"WeChat.Work.Meeting.html#update/3"},{"type":"type","title":"WeChat.Work.Meeting.meeting_id/0","doc":"会议ID","ref":"WeChat.Work.Meeting.html#t:meeting_id/0"},{"type":"type","title":"WeChat.Work.Meeting.meeting_id_list/0","doc":"","ref":"WeChat.Work.Meeting.html#t:meeting_id_list/0"},{"type":"module","title":"WeChat.Work.Message","doc":"消息推送","ref":"WeChat.Work.Message.html"},{"type":"function","title":"WeChat.Work.Message.recall/3","doc":"撤回应用消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94867){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#recall/3"},{"type":"function","title":"WeChat.Work.Message.send/6","doc":"","ref":"WeChat.Work.Message.html#send/6"},{"type":"function","title":"WeChat.Work.Message.send_file/5","doc":"发送文件消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#文件消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_file/5"},{"type":"function","title":"WeChat.Work.Message.send_image/5","doc":"发送图片消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#图片消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_image/5"},{"type":"function","title":"WeChat.Work.Message.send_markdown/5","doc":"发送markdown消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#markdown消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_markdown/5"},{"type":"function","title":"WeChat.Work.Message.send_message/3","doc":"发送应用消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236){:target=\"_blank\"}\n\n应用支持推送文本、图片、视频、文件、图文等类型。\n\n- 各个消息类型的具体POST格式请阅后续“消息类型”部分。\n- 如果有在管理端对应用设置“在微工作台中始终进入主页”，应用在微信端只能接收到文本消息，并且文本消息的长度限制为20字节，超过20字节会被截断。同时其他消息类型也会转换为文本消息，提示用户到企业微信查看。\n- 支持id转译，将userid/部门id转成对应的用户名/部门名，目前仅文本/文本卡片/图文/图文（mpnews）这四种消息类型的部分字段支持。仅第三方应用需要用到，企业自建应用可以忽略。具体支持的范围和语法，请查看附录id转译说明。\n- 支持重复消息检查，当指定 \"enable_duplicate_check\": 1开启: 表示在一定时间间隔内，同样内容（请求json）的消息，不会重复收到；时间间隔可通过duplicate_check_interval指定，默认1800秒。\n- 从2021年2月4日开始，企业关联添加的「小程序」应用，也可以发送文本、图片、视频、文件、图文等各种类型的消息了。","ref":"WeChat.Work.Message.html#send_message/3"},{"type":"function","title":"WeChat.Work.Message.send_miniprogram_notice/5","doc":"发送小程序通知消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#小程序通知消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_miniprogram_notice/5"},{"type":"function","title":"WeChat.Work.Message.send_mpnews/5","doc":"发送图文消息（mpnews） -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#图文消息（mpnews）){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_mpnews/5"},{"type":"function","title":"WeChat.Work.Message.send_news/5","doc":"发送图文消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#图文消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_news/5"},{"type":"function","title":"WeChat.Work.Message.send_template_card/5","doc":"发送模板卡片消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#模板卡片消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_template_card/5"},{"type":"function","title":"WeChat.Work.Message.send_text/5","doc":"发送文本消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#文本消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_text/5"},{"type":"function","title":"WeChat.Work.Message.send_text_card/8","doc":"发送文本卡片消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#文本卡片消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_text_card/8"},{"type":"function","title":"WeChat.Work.Message.send_video/7","doc":"发送视频消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#视频消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_video/7"},{"type":"function","title":"WeChat.Work.Message.send_voice/5","doc":"发送语音消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90236#语音消息){:target=\"_blank\"}","ref":"WeChat.Work.Message.html#send_voice/5"},{"type":"function","title":"WeChat.Work.Message.to_party/1","doc":"","ref":"WeChat.Work.Message.html#to_party/1"},{"type":"function","title":"WeChat.Work.Message.to_tag/1","doc":"","ref":"WeChat.Work.Message.html#to_tag/1"},{"type":"function","title":"WeChat.Work.Message.to_user/1","doc":"","ref":"WeChat.Work.Message.html#to_user/1"},{"type":"function","title":"WeChat.Work.Message.update_template_card/3","doc":"更新模版卡片消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94888){:target=\"_blank\"}\n\n应用可以发送模板卡片消息，发送之后可再通过接口更新可回调的用户任务卡片消息的替换文案信息\n（仅原卡片为 按钮交互型、投票选择型、多项选择型的卡片可以调用本接口更新）。\n\n请注意，当应用调用发送模版卡片消息后，接口会返回一个 `response_code`，通过 `response_code` 用户可以调用本接口一次。\n后续如果有用户点击任务卡片，回调接口也会带上 `response_code`，开发者通过该 `code` 也可以调用本接口一次，\n注意 `response_code` 的有效期是24小时，超过24小时后将无法使用。","ref":"WeChat.Work.Message.html#update_template_card/3"},{"type":"type","title":"WeChat.Work.Message.content/0","doc":"","ref":"WeChat.Work.Message.html#t:content/0"},{"type":"type","title":"WeChat.Work.Message.msg/0","doc":"","ref":"WeChat.Work.Message.html#t:msg/0"},{"type":"type","title":"WeChat.Work.Message.msg_id/0","doc":"消息ID","ref":"WeChat.Work.Message.html#t:msg_id/0"},{"type":"type","title":"WeChat.Work.Message.msg_type/0","doc":"消息类型\n\n- `text`: 文本消息\n- `image`: 图片消息\n- `voice`: 语音消息\n- `video`: 视频消息\n- `file`: 文件消息\n- `textcard`: 文本卡片消息\n- `news`: 图文消息\n- `mpnews`: 图文消息（mpnews）\n- `markdown`: markdown消息\n- `miniprogram_notice`: 小程序通知消息\n- `template_card`: 模板卡片消息","ref":"WeChat.Work.Message.html#t:msg_type/0"},{"type":"type","title":"WeChat.Work.Message.opts/0","doc":"","ref":"WeChat.Work.Message.html#t:opts/0"},{"type":"type","title":"WeChat.Work.Message.to/0","doc":"","ref":"WeChat.Work.Message.html#t:to/0"},{"type":"module","title":"WeChat.Work.MiniProgram","doc":"小程序","ref":"WeChat.Work.MiniProgram.html"},{"type":"function","title":"WeChat.Work.MiniProgram.code2session/3","doc":"登录 - [官方文档](https://developer.work.weixin.qq.com/document/path/91507){:target=\"_blank\"}\n\n[登录流程](https://developer.work.weixin.qq.com/document/path/92426){:target=\"_blank\"}\n\n临时登录凭证校验接口是一个服务端 HTTPS 接口，开发者服务器使用临时登录凭证code获取 session_key、用户userid以及用户所在企业的corpid等信息。","ref":"WeChat.Work.MiniProgram.html#code2session/3"},{"type":"module","title":"WeChat.Work.App.Chat","doc":"群聊会话","ref":"WeChat.Work.App.Chat.html"},{"type":"function","title":"WeChat.Work.App.Chat.create/4","doc":"创建群聊会话 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90245){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#create/4"},{"type":"function","title":"WeChat.Work.App.Chat.get/3","doc":"获取群聊会话 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90247){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#get/3"},{"type":"function","title":"WeChat.Work.App.Chat.send/4","doc":"推送群聊消息 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90248){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send/4"},{"type":"function","title":"WeChat.Work.App.Chat.send/6","doc":"","ref":"WeChat.Work.App.Chat.html#send/6"},{"type":"function","title":"WeChat.Work.App.Chat.send_file/5","doc":"发送文件消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#文件消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_file/5"},{"type":"function","title":"WeChat.Work.App.Chat.send_image/5","doc":"发送图片消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#图片消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_image/5"},{"type":"function","title":"WeChat.Work.App.Chat.send_markdown/5","doc":"发送markdown消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#markdown消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_markdown/5"},{"type":"function","title":"WeChat.Work.App.Chat.send_mpnews/5","doc":"发送图文消息（mpnews） - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#图文消息（mpnews）){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_mpnews/5"},{"type":"function","title":"WeChat.Work.App.Chat.send_news/5","doc":"发送图文消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#图文消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_news/5"},{"type":"function","title":"WeChat.Work.App.Chat.send_text/5","doc":"发送文本消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#文本消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_text/5"},{"type":"function","title":"WeChat.Work.App.Chat.send_text_card/8","doc":"发送文本卡片消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#文本卡片消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_text_card/8"},{"type":"function","title":"WeChat.Work.App.Chat.send_video/7","doc":"发送视频消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#视频消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_video/7"},{"type":"function","title":"WeChat.Work.App.Chat.send_voice/5","doc":"发送语音消息 - [官方文档](https://developer.work.weixin.qq.com/document/path/90248#语音消息){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#send_voice/5"},{"type":"function","title":"WeChat.Work.App.Chat.update/4","doc":"修改群聊会话 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90246){:target=\"_blank\"}","ref":"WeChat.Work.App.Chat.html#update/4"},{"type":"type","title":"WeChat.Work.App.Chat.chat_id/0","doc":"","ref":"WeChat.Work.App.Chat.html#t:chat_id/0"},{"type":"type","title":"WeChat.Work.App.Chat.opts/0","doc":"","ref":"WeChat.Work.App.Chat.html#t:opts/0"},{"type":"module","title":"WeChat.Work.App.Menu","doc":"应用自定义菜单","ref":"WeChat.Work.App.Menu.html"},{"type":"function","title":"WeChat.Work.App.Menu.create/3","doc":"创建菜单 - [官方文档](https://developer.work.weixin.qq.com/document/path/90231){:target=\"_blank\"}","ref":"WeChat.Work.App.Menu.html#create/3"},{"type":"function","title":"WeChat.Work.App.Menu.delete/2","doc":"删除菜单 - [官方文档](https://developer.work.weixin.qq.com/document/path/90233){:target=\"_blank\"}","ref":"WeChat.Work.App.Menu.html#delete/2"},{"type":"function","title":"WeChat.Work.App.Menu.get/2","doc":"获取菜单 - [官方文档](https://developer.work.weixin.qq.com/document/path/90232){:target=\"_blank\"}","ref":"WeChat.Work.App.Menu.html#get/2"},{"type":"module","title":"WeChat.Work.App.Workbench","doc":"工作台\n\n首先需要通过“设置应用在工作台展示的模版”接口设置应用自定义模版类型。然后再通过“设置应用在用户工作台展示的数据”接口设置用户模版数据。\n\n“设置应用在工作台展示的模版”同时也支持设置一个默认的企业级别的模版数据。在用户数据未设置的情况下，会展示企业级别的默认数据。\n\n若为第三方应用，目前仅支持行业类型为 **学前教育、初中等教育、教育行政单位** 的企业可看到自定义工作台设置入口","ref":"WeChat.Work.App.Workbench.html"},{"type":"function","title":"WeChat.Work.App.Workbench.get_template/2","doc":"获取应用在工作台展示的模版 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92535#获取应用在工作台展示的模版){:target=\"_blank\"}\n\n该接口指定应用自定义模版类型。同时也支持设置企业默认模版数据。若type指定为 “normal” 则为取消自定义模式，改为普通展示模式","ref":"WeChat.Work.App.Workbench.html#get_template/2"},{"type":"function","title":"WeChat.Work.App.Workbench.set_data/6","doc":"设置应用在用户工作台展示的数据 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92535#设置应用在用户工作台展示的数据){:target=\"_blank\"}\n\n**每个用户每个应用接口限制10次/分钟**","ref":"WeChat.Work.App.Workbench.html#set_data/6"},{"type":"function","title":"WeChat.Work.App.Workbench.set_template/5","doc":"设置应用在工作台展示的模版 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92535#设置应用在工作台展示的模版){:target=\"_blank\"}\n\n该接口指定应用自定义模版类型。同时也支持设置企业默认模版数据。若type指定为 “normal” 则为取消自定义模式，改为普通展示模式","ref":"WeChat.Work.App.Workbench.html#set_template/5"},{"type":"type","title":"WeChat.Work.App.Workbench.opts/0","doc":"","ref":"WeChat.Work.App.Workbench.html#t:opts/0"},{"type":"type","title":"WeChat.Work.App.Workbench.type/0","doc":"模版类型\n\n- `normal`: 取消自定义模式，改为普通展示模式\n- `keydata`: 关键数据型\n- `image`: 图片型\n- `list`: 列表型\n- `webview`: webview型","ref":"WeChat.Work.App.Workbench.html#t:type/0"},{"type":"module","title":"WeChat.Work.Contacts.Department","doc":"通讯录管理-部门管理","ref":"WeChat.Work.Contacts.Department.html"},{"type":"function","title":"WeChat.Work.Contacts.Department.create/3","doc":"创建部门 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90205){:target=\"_blank\"}\n\n注意，部门的最大层级为15层；部门总数不能超过3万个；每个部门下的节点不能超过3万个。建议保证创建的部门和对应部门成员是串行化处理。","ref":"WeChat.Work.Contacts.Department.html#create/3"},{"type":"function","title":"WeChat.Work.Contacts.Department.delete/3","doc":"删除部门 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90207){:target=\"_blank\"}\n\n**注：不能删除根部门；不能删除含有子部门、成员的部门**","ref":"WeChat.Work.Contacts.Department.html#delete/3"},{"type":"function","title":"WeChat.Work.Contacts.Department.get/3","doc":"获取单个部门详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/95351){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Department.html#get/3"},{"type":"function","title":"WeChat.Work.Contacts.Department.list/2","doc":"获取部门列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90208){:target=\"_blank\"}\n\n获取指定部门及其下的子部门（以及及子部门的子部门等等，递归）。\n如果不填 `department_id`，默认获取全量组织架构","ref":"WeChat.Work.Contacts.Department.html#list/2"},{"type":"function","title":"WeChat.Work.Contacts.Department.list/3","doc":"","ref":"WeChat.Work.Contacts.Department.html#list/3"},{"type":"function","title":"WeChat.Work.Contacts.Department.list_id/2","doc":"获取子部门ID列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/95350){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Department.html#list_id/2"},{"type":"function","title":"WeChat.Work.Contacts.Department.list_id/3","doc":"","ref":"WeChat.Work.Contacts.Department.html#list_id/3"},{"type":"function","title":"WeChat.Work.Contacts.Department.update/3","doc":"更新部门 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90206){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Department.html#update/3"},{"type":"type","title":"WeChat.Work.Contacts.Department.id/0","doc":"部门ID - [官方文档](https://developer.work.weixin.qq.com/document/path/90665#部门id){:target=\"_blank\"}\n\n在管理后台->“通讯录”->“组织架构”->点击某个部门右边的小圆点可以看到","ref":"WeChat.Work.Contacts.Department.html#t:id/0"},{"type":"type","title":"WeChat.Work.Contacts.Department.id_list/0","doc":"","ref":"WeChat.Work.Contacts.Department.html#t:id_list/0"},{"type":"module","title":"WeChat.Work.Contacts.Tag","doc":"通讯录管理-标签管理","ref":"WeChat.Work.Contacts.Tag.html"},{"type":"function","title":"WeChat.Work.Contacts.Tag.add_user/5","doc":"增加标签成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90214){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Tag.html#add_user/5"},{"type":"function","title":"WeChat.Work.Contacts.Tag.create/4","doc":"创建标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90210){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Tag.html#create/4"},{"type":"function","title":"WeChat.Work.Contacts.Tag.delete/3","doc":"删除标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90212){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Tag.html#delete/3"},{"type":"function","title":"WeChat.Work.Contacts.Tag.delete_user/5","doc":"删除标签成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90215){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Tag.html#delete_user/5"},{"type":"function","title":"WeChat.Work.Contacts.Tag.list/2","doc":"获取标签列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90216){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Tag.html#list/2"},{"type":"function","title":"WeChat.Work.Contacts.Tag.list_user/3","doc":"获取标签成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90213){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Tag.html#list_user/3"},{"type":"function","title":"WeChat.Work.Contacts.Tag.update/4","doc":"更新标签名字 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90211){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.Tag.html#update/4"},{"type":"type","title":"WeChat.Work.Contacts.Tag.tag_id/0","doc":"每个标签都有唯一的标签id -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#tagid){:target=\"_blank\"}\n\n在管理后台->“通讯录”->“标签”，选中某个标签，在右上角会有“标签详情”按钮，点击即可看到","ref":"WeChat.Work.Contacts.Tag.html#t:tag_id/0"},{"type":"type","title":"WeChat.Work.Contacts.Tag.tag_id_list/0","doc":"","ref":"WeChat.Work.Contacts.Tag.html#t:tag_id_list/0"},{"type":"type","title":"WeChat.Work.Contacts.Tag.tag_name/0","doc":"标签名称，长度限制为32个字以内（汉字或英文字母），标签名不可与其他标签重名","ref":"WeChat.Work.Contacts.Tag.html#t:tag_name/0"},{"type":"module","title":"WeChat.Work.Contacts.User","doc":"通讯录管理-成员管理","ref":"WeChat.Work.Contacts.User.html"},{"type":"function","title":"WeChat.Work.Contacts.User.batch_delete/3","doc":"批量删除成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92199){:target=\"_blank\"}\n\n对应管理端的帐号。最多支持200个。若存在无效UserID，直接返回错误","ref":"WeChat.Work.Contacts.User.html#batch_delete/3"},{"type":"function","title":"WeChat.Work.Contacts.User.batch_invite/5","doc":"邀请成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90975){:target=\"_blank\"}\n\n企业可通过接口批量邀请成员使用企业微信，邀请后将通过短信或邮件下发通知。","ref":"WeChat.Work.Contacts.User.html#batch_invite/5"},{"type":"function","title":"WeChat.Work.Contacts.User.create/3","doc":"创建成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92195){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.User.html#create/3"},{"type":"function","title":"WeChat.Work.Contacts.User.delete/3","doc":"删除成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92198){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.User.html#delete/3"},{"type":"function","title":"WeChat.Work.Contacts.User.get/3","doc":"读取成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92196){:target=\"_blank\"}\n\n在通讯录同步助手中此接口可以读取企业通讯录的所有成员信息，而自建应用可以读取该应用设置的可见范围内的成员信息。","ref":"WeChat.Work.Contacts.User.html#get/3"},{"type":"function","title":"WeChat.Work.Contacts.User.get_join_qrcode/3","doc":"获取加入企业二维码 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/91714){:target=\"_blank\"}\n\n支持企业用户获取实时成员加入二维码。","ref":"WeChat.Work.Contacts.User.html#get_join_qrcode/3"},{"type":"function","title":"WeChat.Work.Contacts.User.get_userid/3","doc":"手机号获取 userid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/95402){:target=\"_blank\"}\n\n通过手机号获取其所对应的userid。","ref":"WeChat.Work.Contacts.User.html#get_userid/3"},{"type":"function","title":"WeChat.Work.Contacts.User.get_userid_by_email/4","doc":"邮箱获取 userid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/95895){:target=\"_blank\"}\n\n通过邮箱获取其所对应的userid。","ref":"WeChat.Work.Contacts.User.html#get_userid_by_email/4"},{"type":"function","title":"WeChat.Work.Contacts.User.join_confirm/3","doc":"二次验证 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90203){:target=\"_blank\"}\n\n此接口可以满足安全性要求高的企业进行成员验证。开启二次验证后，当且仅当成员登录时，需跳转至企业自定义的页面进行验证。验证频率可在设置页面选择。\n\n企业在开启二次验证时，必须在管理端填写企业二次验证页面的url。\n\n当成员登录企业微信或关注微工作台（原企业号）进入企业时，会自动跳转到企业的验证页面。在跳转到企业的验证页面时，会带上如下参数：code=CODE。\n\n企业收到code后，使用 “通讯录同步助手” 调用接口 “[根据code获取成员信息](`WeChat.Work.App.sso_user_info/3`)” 获取成员的userid。\n\n如果成员是首次加入企业，企业获取到userid，并验证了成员信息后，调用如下接口即可让成员成功加入企业。","ref":"WeChat.Work.Contacts.User.html#join_confirm/3"},{"type":"function","title":"WeChat.Work.Contacts.User.list_department_users/3","doc":"获取部门成员(简要) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90200){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.User.html#list_department_users/3"},{"type":"function","title":"WeChat.Work.Contacts.User.list_department_users_detail/3","doc":"获取部门成员(详情) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90201){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.User.html#list_department_users_detail/3"},{"type":"function","title":"WeChat.Work.Contacts.User.list_id/4","doc":"获取成员ID列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/96067){:target=\"_blank\"}\n\n获取企业成员的userid与对应的部门ID列表，预计于2022年8月8号发布。若需要获取其他字段，参见「适配建议」。","ref":"WeChat.Work.Contacts.User.html#list_id/4"},{"type":"function","title":"WeChat.Work.Contacts.User.openid2userid/3","doc":"openid转userid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90202){:target=\"_blank\"}\n\n该接口主要应用于使用企业支付之后的结果查询。\n开发者需要知道某个结果事件的 `openid` 对应企业微信内成员的信息时，可以通过调用该接口进行转换查询。","ref":"WeChat.Work.Contacts.User.html#openid2userid/3"},{"type":"function","title":"WeChat.Work.Contacts.User.update/3","doc":"更新成员 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92197){:target=\"_blank\"}","ref":"WeChat.Work.Contacts.User.html#update/3"},{"type":"function","title":"WeChat.Work.Contacts.User.userid2openid/3","doc":"userid转openid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90202){:target=\"_blank\"}\n\n该接口使用场景为企业支付，在使用企业红包和向员工付款时，需要自行将企业微信的 `userid` 转成 `openid`。\n\n注：需要成员使用微信登录企业微信或者关注微工作台（原企业号）才能转成 `openid`;\n如果是外部联系人，请使用外部联系人 `openid` 转换 `openid`","ref":"WeChat.Work.Contacts.User.html#userid2openid/3"},{"type":"type","title":"WeChat.Work.Contacts.User.size_type/0","doc":"qrcode 尺寸类型\n\n- 1: 171 x 171\n- 2: 399 x 399\n- 3: 741 x 741\n- 4: 2052 x 2052","ref":"WeChat.Work.Contacts.User.html#t:size_type/0"},{"type":"type","title":"WeChat.Work.Contacts.User.userid/0","doc":"每个成员都有唯一的 userid -\n[官方文档](https://developer.work.weixin.qq.com/document/path/90665#userid)\n\n即所谓“帐号”。在管理后台->“通讯录”->点进某个成员的详情页，可以看到。","ref":"WeChat.Work.Contacts.User.html#t:userid/0"},{"type":"type","title":"WeChat.Work.Contacts.User.userid_list/0","doc":"","ref":"WeChat.Work.Contacts.User.html#t:userid_list/0"},{"type":"module","title":"WeChat.Work.Customer.ContactWay","doc":"客户联系-联系我","ref":"WeChat.Work.Customer.ContactWay.html"},{"type":"function","title":"WeChat.Work.Customer.ContactWay.add/3","doc":"配置客户联系「联系我」方式 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92228#配置客户联系「联系我」方式){:target=\"_blank\"}\n\n企业可以在管理后台-客户联系-加客户中配置成员的「联系我」的二维码或者小程序按钮，客户通过扫描二维码或点击小程序上的按钮，即可获取成员联系方式，主动联系到成员。\n企业可通过此接口为具有客户联系功能的成员生成专属的「联系我」二维码或者「联系我」按钮。\n如果配置的是「联系我」按钮，需要开发者的小程序接入小程序插件。\n\n注意:\n通过API添加的「联系我」不会在管理端进行展示，每个企业可通过API最多配置50万个「联系我」。\n用户需要妥善存储返回的config_id，config_id丢失可能导致用户无法编辑或删除「联系我」。\n临时会话模式不占用「联系我」数量，但每日最多添加10万个，并且仅支持单人。\n临时会话模式的二维码，添加好友完成后该二维码即刻失效。","ref":"WeChat.Work.Customer.ContactWay.html#add/3"},{"type":"function","title":"WeChat.Work.Customer.ContactWay.close_temp_chat/4","doc":"结束临时会话 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92228#结束临时会话){:target=\"_blank\"}\n\n删除一个已配置的「联系我」二维码或者「联系我」小程序按钮。","ref":"WeChat.Work.Customer.ContactWay.html#close_temp_chat/4"},{"type":"function","title":"WeChat.Work.Customer.ContactWay.delete/3","doc":"删除企业已配置的「联系我」方式 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92228#删除企业已配置的「联系我」方式){:target=\"_blank\"}\n\n删除一个已配置的「联系我」二维码或者「联系我」小程序按钮。","ref":"WeChat.Work.Customer.ContactWay.html#delete/3"},{"type":"function","title":"WeChat.Work.Customer.ContactWay.get/3","doc":"获取企业已配置的「联系我」方式 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92228#获取企业已配置的「联系我」方式){:target=\"_blank\"}\n\n获取企业配置的「联系我」二维码和「联系我」小程序按钮。","ref":"WeChat.Work.Customer.ContactWay.html#get/3"},{"type":"function","title":"WeChat.Work.Customer.ContactWay.update/3","doc":"更新企业已配置的「联系我」方式 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92228#更新企业已配置的「联系我」方式){:target=\"_blank\"}\n\n更新企业配置的「联系我」二维码和「联系我」小程序按钮中的信息，如使用人员和备注等。","ref":"WeChat.Work.Customer.ContactWay.html#update/3"},{"type":"type","title":"WeChat.Work.Customer.ContactWay.config_id/0","doc":"","ref":"WeChat.Work.Customer.ContactWay.html#t:config_id/0"},{"type":"module","title":"WeChat.Work.Customer.GroupChat","doc":"客户群管理","ref":"WeChat.Work.Customer.GroupChat.html"},{"type":"function","title":"WeChat.Work.Customer.GroupChat.get/4","doc":"获取客户群详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92707){:target=\"_blank\"}\n\n通过客户群ID，获取详情。包括群名、群成员列表、群成员入群时间、入群方式。\n（客户群是由具有客户群使用权限的成员创建的外部群）\n\n需注意的是，如果发生群信息变动，会立即收到群变更事件，\n但是部分信息是异步处理，可能需要等一段时间调此接口才能得到最新结果。","ref":"WeChat.Work.Customer.GroupChat.html#get/4"},{"type":"function","title":"WeChat.Work.Customer.GroupChat.list/3","doc":"获取客户群列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92120){:target=\"_blank\"}\n\n该接口用于获取配置过客户群管理的客户群列表。","ref":"WeChat.Work.Customer.GroupChat.html#list/3"},{"type":"function","title":"WeChat.Work.Customer.GroupChat.open_gid2chat_id/3","doc":"客户群opengid转换 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94828){:target=\"_blank\"}\n\n用户在微信里的客户群里打开小程序时，某些场景下可以获取到群的opengid，\n如果该群是企业微信的客户群，则企业或第三方可以调用此接口将一个opengid转换为客户群chat_id","ref":"WeChat.Work.Customer.GroupChat.html#open_gid2chat_id/3"},{"type":"function","title":"WeChat.Work.Customer.GroupChat.resigned_transfer/4","doc":"分配离职成员的客户群 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93242){:target=\"_blank\"}\n\n企业可通过此接口，将已离职成员为群主的群，分配给另一个客服成员。","ref":"WeChat.Work.Customer.GroupChat.html#resigned_transfer/4"},{"type":"function","title":"WeChat.Work.Customer.GroupChat.statistic/3","doc":"获取「群聊数据统计」数据(按群主聚合的方式) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92133#按群主聚合的方式){:target=\"_blank\"}\n\n获取指定日期的统计数据。注意，企业微信仅存储180天的数据。","ref":"WeChat.Work.Customer.GroupChat.html#statistic/3"},{"type":"function","title":"WeChat.Work.Customer.GroupChat.statistic_by_day/3","doc":"获取「群聊数据统计」数据(按自然日聚合的方式) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92133#按自然日聚合的方式){:target=\"_blank\"}\n\n获取指定日期的统计数据。注意，企业微信仅存储180天的数据。","ref":"WeChat.Work.Customer.GroupChat.html#statistic_by_day/3"},{"type":"type","title":"WeChat.Work.Customer.GroupChat.chat_id/0","doc":"客户群ID","ref":"WeChat.Work.Customer.GroupChat.html#t:chat_id/0"},{"type":"type","title":"WeChat.Work.Customer.GroupChat.chat_id_list/0","doc":"","ref":"WeChat.Work.Customer.GroupChat.html#t:chat_id_list/0"},{"type":"type","title":"WeChat.Work.Customer.GroupChat.need_name/0","doc":"是否需要返回群成员的名字 `group_chat.member_list.name`。\n\n- `0` 不返回\n- `1` 返回\n\n默认不返回","ref":"WeChat.Work.Customer.GroupChat.html#t:need_name/0"},{"type":"type","title":"WeChat.Work.Customer.GroupChat.open_gid/0","doc":"","ref":"WeChat.Work.Customer.GroupChat.html#t:open_gid/0"},{"type":"module","title":"WeChat.Work.Customer.GroupMsg","doc":"企业群发\n\n群发助手和客户群群发有以下两种类型\n\n- 企业发表\n  > 管理员或者业务负责人创建内容，成员确认后，即可发送给客户或者客户群\n- 个人发表\n  > 成员自己创建的内容，可直接发送给客户或客户群","ref":"WeChat.Work.Customer.GroupMsg.html"},{"type":"function","title":"WeChat.Work.Customer.GroupMsg.add_template/3","doc":"创建企业群发 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92135){:target=\"_blank\"}\n\n- 企业跟第三方应用可通过此接口添加企业群发消息的任务并通知成员发送给相关客户或客户群。（注：企业微信终端需升级到2.7.5版本及以上）\n- 注意：调用该接口并不会直接发送消息给客户/客户群，需要成员确认后才会执行发送（客服人员的企业微信需要升级到2.7.5及以上版本）\n- 旧接口创建企业群发已经废弃，接口升级后支持发送视频文件，并且支持最多同时发送9个附件。\n- 同一个企业每个自然月内仅可针对一个客户/客户群发送4条消息，超过接收上限的客户将无法再收到群发消息。","ref":"WeChat.Work.Customer.GroupMsg.html#add_template/3"},{"type":"function","title":"WeChat.Work.Customer.GroupMsg.cancel/3","doc":"停止企业群发 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/97611){:target=\"_blank\"}\n\n企业和第三方应用可调用此接口，停止无需成员继续发送的企业群发。","ref":"WeChat.Work.Customer.GroupMsg.html#cancel/3"},{"type":"function","title":"WeChat.Work.Customer.GroupMsg.get_send_result/3","doc":"获取企业群发成员执行结果 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93338#获取企业群发成员执行结果){:target=\"_blank\"}","ref":"WeChat.Work.Customer.GroupMsg.html#get_send_result/3"},{"type":"function","title":"WeChat.Work.Customer.GroupMsg.list/3","doc":"获取群发记录列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93338#获取群发记录列表){:target=\"_blank\"}\n\n企业和第三方应用可通过此接口获取企业与成员的群发记录。","ref":"WeChat.Work.Customer.GroupMsg.html#list/3"},{"type":"function","title":"WeChat.Work.Customer.GroupMsg.list_task/3","doc":"获取群发成员发送任务列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93338#获取群发成员发送任务列表){:target=\"_blank\"}","ref":"WeChat.Work.Customer.GroupMsg.html#list_task/3"},{"type":"function","title":"WeChat.Work.Customer.GroupMsg.remind/3","doc":"提醒成员群发 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/97610){:target=\"_blank\"}\n\n企业和第三方应用可调用此接口，重新触发群发通知，提醒成员完成群发任务，24小时内每个群发最多触发三次提醒。","ref":"WeChat.Work.Customer.GroupMsg.html#remind/3"},{"type":"type","title":"WeChat.Work.Customer.GroupMsg.msg_id/0","doc":"企业群发消息的id，可用于获取群发消息发送结果","ref":"WeChat.Work.Customer.GroupMsg.html#t:msg_id/0"},{"type":"module","title":"WeChat.Work.Customer.Moment","doc":"客户朋友圈","ref":"WeChat.Work.Customer.Moment.html"},{"type":"function","title":"WeChat.Work.Customer.Moment.create_moment_strategy/3","doc":"创建新的规则组 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94890#创建新的规则组){:target=\"_blank\"}\n\n企业可通过此接口创建一个新的客户朋友圈规则组。该接口仅支持串行调用，请勿并发创建规则组。","ref":"WeChat.Work.Customer.Moment.html#create_moment_strategy/3"},{"type":"function","title":"WeChat.Work.Customer.Moment.delete_moment_strategy/3","doc":"删除规则组 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94890#删除规则组){:target=\"_blank\"}\n\n企业可通过此接口删除某个客户朋友圈规则组。","ref":"WeChat.Work.Customer.Moment.html#delete_moment_strategy/3"},{"type":"function","title":"WeChat.Work.Customer.Moment.edit_moment_strategy/3","doc":"编辑规则组及其管理范围 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94890#编辑规则组及其管理范围){:target=\"_blank\"}\n\n企业可通过此接口编辑规则组的基本信息和修改客户朋友圈规则组管理范围。该接口仅支持串行调用，请勿并发修改规则组。","ref":"WeChat.Work.Customer.Moment.html#edit_moment_strategy/3"},{"type":"function","title":"WeChat.Work.Customer.Moment.get_moment_comments/4","doc":"获取客户朋友圈的互动数据 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93333#获取客户朋友圈的互动数据){:target=\"_blank\"}\n\n企业和第三方应用可通过此接口获取客户朋友圈的互动数据。","ref":"WeChat.Work.Customer.Moment.html#get_moment_comments/4"},{"type":"function","title":"WeChat.Work.Customer.Moment.get_moment_customer_list/5","doc":"获取客户朋友圈发表时选择的可见范围 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93333#获取客户朋友圈发表时选择的可见范围){:target=\"_blank\"}\n\n企业和第三方应用可通过该接口获取客户朋友圈创建时，选择的客户可见范围。","ref":"WeChat.Work.Customer.Moment.html#get_moment_customer_list/5"},{"type":"function","title":"WeChat.Work.Customer.Moment.get_moment_list/5","doc":"获取企业全部的发表列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93333#获取企业全部的发表列表){:target=\"_blank\"}\n\n企业和第三方应用可通过该接口获取企业全部的发表内容。","ref":"WeChat.Work.Customer.Moment.html#get_moment_list/5"},{"type":"function","title":"WeChat.Work.Customer.Moment.get_moment_send_result/5","doc":"获取客户朋友圈发表后的可见客户列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93333#获取客户朋友圈发表后的可见客户列表){:target=\"_blank\"}\n\n企业和第三方应用可通过该接口获取客户朋友圈发表后，可在微信朋友圈中查看的客户列表。","ref":"WeChat.Work.Customer.Moment.html#get_moment_send_result/5"},{"type":"function","title":"WeChat.Work.Customer.Moment.get_moment_strategy/3","doc":"获取规则组详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94890#获取规则组详情){:target=\"_blank\"}\n\n企业可以通过此接口获取某个客户朋友圈规则组的详细信息。","ref":"WeChat.Work.Customer.Moment.html#get_moment_strategy/3"},{"type":"function","title":"WeChat.Work.Customer.Moment.get_moment_strategy_range/4","doc":"获取规则组管理范围 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94890#获取规则组管理范围){:target=\"_blank\"}\n\n企业可通过此接口获取某个朋友圈规则组管理的成员和部门列表。","ref":"WeChat.Work.Customer.Moment.html#get_moment_strategy_range/4"},{"type":"function","title":"WeChat.Work.Customer.Moment.get_moment_task/4","doc":"获取客户朋友圈企业发表的列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93333#获取客户朋友圈企业发表的列表){:target=\"_blank\"}\n\n企业和第三方应用可通过该接口获取企业发表的朋友圈成员执行情况。","ref":"WeChat.Work.Customer.Moment.html#get_moment_task/4"},{"type":"function","title":"WeChat.Work.Customer.Moment.list_moment_strategy/3","doc":"获取规则组列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94890#获取规则组列表){:target=\"_blank\"}\n\n企业可通过此接口获取企业配置的所有客户朋友圈规则组id列表。","ref":"WeChat.Work.Customer.Moment.html#list_moment_strategy/3"},{"type":"type","title":"WeChat.Work.Customer.Moment.moment_id/0","doc":"朋友圈ID","ref":"WeChat.Work.Customer.Moment.html#t:moment_id/0"},{"type":"type","title":"WeChat.Work.Customer.Moment.strategy_id/0","doc":"规则组ID","ref":"WeChat.Work.Customer.Moment.html#t:strategy_id/0"},{"type":"module","title":"WeChat.Work.Customer.Strategy","doc":"客户联系规则组管理","ref":"WeChat.Work.Customer.Strategy.html"},{"type":"function","title":"WeChat.Work.Customer.Strategy.create/3","doc":"创建新的规则组 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94883#创建新的规则组){:target=\"_blank\"}\n\n企业可通过此接口创建一个新的客户规则组。该接口仅支持串行调用，请勿并发创建规则组。","ref":"WeChat.Work.Customer.Strategy.html#create/3"},{"type":"function","title":"WeChat.Work.Customer.Strategy.delete/3","doc":"删除规则组 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94883#删除规则组){:target=\"_blank\"}\n\n企业可通过此接口删除某个规则组。","ref":"WeChat.Work.Customer.Strategy.html#delete/3"},{"type":"function","title":"WeChat.Work.Customer.Strategy.edit/3","doc":"编辑规则组及其管理范围 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94883#编辑规则组及其管理范围){:target=\"_blank\"}\n\n企业可通过此接口编辑规则组的基本信息和修改客户规则组管理范围。该接口仅支持串行调用，请勿并发修改规则组。","ref":"WeChat.Work.Customer.Strategy.html#edit/3"},{"type":"function","title":"WeChat.Work.Customer.Strategy.get/3","doc":"获取规则组详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94883#获取规则组详情){:target=\"_blank\"}\n\n企业可以通过此接口获取某个客户规则组的详细信息。","ref":"WeChat.Work.Customer.Strategy.html#get/3"},{"type":"function","title":"WeChat.Work.Customer.Strategy.get_range/5","doc":"获取规则组管理范围 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94883#获取规则组管理范围){:target=\"_blank\"}\n\n企业可通过此接口获取某个客户规则组管理的成员和部门列表。","ref":"WeChat.Work.Customer.Strategy.html#get_range/5"},{"type":"function","title":"WeChat.Work.Customer.Strategy.list/4","doc":"获取规则组列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94883#获取规则组列表){:target=\"_blank\"}\n\n企业可通过此接口获取企业配置的所有客户规则组id列表。","ref":"WeChat.Work.Customer.Strategy.html#list/4"},{"type":"type","title":"WeChat.Work.Customer.Strategy.strategy_id/0","doc":"客户联系规则组ID","ref":"WeChat.Work.Customer.Strategy.html#t:strategy_id/0"},{"type":"module","title":"WeChat.Work.Customer.Tag","doc":"客户标签管理\n\n企业客户标签是针对企业的外部联系人进行标记和分类的标签，由企业统一配置后，企业成员可使用此标签对客户进行标记。","ref":"WeChat.Work.Customer.Tag.html"},{"type":"function","title":"WeChat.Work.Customer.Tag.add_corp_tag/3","doc":"添加企业客户标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92117#添加企业客户标签){:target=\"_blank\"}\n\n企业可通过此接口向客户标签库中添加新的标签组和标签，每个企业最多可配置3000个企业标签。","ref":"WeChat.Work.Customer.Tag.html#add_corp_tag/3"},{"type":"function","title":"WeChat.Work.Customer.Tag.add_strategy_tag/4","doc":"为指定规则组创建企业客户标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94882#为指定规则组创建企业客户标签){:target=\"_blank\"}\n\n企业可通过此接口向规则组中添加新的标签组和标签，每个企业的企业标签和规则组标签合计最多可配置3000个。","ref":"WeChat.Work.Customer.Tag.html#add_strategy_tag/4"},{"type":"function","title":"WeChat.Work.Customer.Tag.del_corp_tag/4","doc":"删除企业客户标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92117#删除企业客户标签){:target=\"_blank\"}\n\n企业可通过此接口获取企业客户标签详情。","ref":"WeChat.Work.Customer.Tag.html#del_corp_tag/4"},{"type":"function","title":"WeChat.Work.Customer.Tag.del_strategy_tag/4","doc":"删除指定规则组下的企业客户标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94882#删除指定规则组下的企业客户标签){:target=\"_blank\"}\n\n企业可通过此接口删除某个规则组下的标签，或删除整个标签组。","ref":"WeChat.Work.Customer.Tag.html#del_strategy_tag/4"},{"type":"function","title":"WeChat.Work.Customer.Tag.edit_corp_tag/4","doc":"编辑企业客户标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92117#编辑企业客户标签){:target=\"_blank\"}\n\n企业可通过此接口获取企业客户标签详情。","ref":"WeChat.Work.Customer.Tag.html#edit_corp_tag/4"},{"type":"function","title":"WeChat.Work.Customer.Tag.edit_strategy_tag/4","doc":"编辑指定规则组下的企业客户标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94882#编辑指定规则组下的企业客户标签){:target=\"_blank\"}\n\n企业可通过此接口编辑指定规则组下的客户标签/标签组的名称或次序值，但不可重新指定标签/标签组所属规则组。","ref":"WeChat.Work.Customer.Tag.html#edit_strategy_tag/4"},{"type":"function","title":"WeChat.Work.Customer.Tag.get_corp_tag_list/2","doc":"获取企业标签库 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92117#获取企业标签库){:target=\"_blank\"}\n\n企业可通过此接口获取企业客户标签详情。","ref":"WeChat.Work.Customer.Tag.html#get_corp_tag_list/2"},{"type":"function","title":"WeChat.Work.Customer.Tag.get_strategy_tag_list/3","doc":"获取指定规则组下的企业客户标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94882#获取指定规则组下的企业客户标签){:target=\"_blank\"}\n\n企业可通过此接口获取某个规则组内的企业客户标签详情。","ref":"WeChat.Work.Customer.Tag.html#get_strategy_tag_list/3"},{"type":"function","title":"WeChat.Work.Customer.Tag.mark_tag/6","doc":"编辑客户企业标签 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92118){:target=\"_blank\"}\n\n企业可通过此接口为指定成员的客户添加上由企业统一配置的标签。","ref":"WeChat.Work.Customer.Tag.html#mark_tag/6"},{"type":"type","title":"WeChat.Work.Customer.Tag.group_id/0","doc":"标签组的id","ref":"WeChat.Work.Customer.Tag.html#t:group_id/0"},{"type":"type","title":"WeChat.Work.Customer.Tag.group_ids/0","doc":"","ref":"WeChat.Work.Customer.Tag.html#t:group_ids/0"},{"type":"type","title":"WeChat.Work.Customer.Tag.id/0","doc":"标签的id 或 标签组的id","ref":"WeChat.Work.Customer.Tag.html#t:id/0"},{"type":"type","title":"WeChat.Work.Customer.Tag.tag_id/0","doc":"标签的id","ref":"WeChat.Work.Customer.Tag.html#t:tag_id/0"},{"type":"type","title":"WeChat.Work.Customer.Tag.tag_ids/0","doc":"","ref":"WeChat.Work.Customer.Tag.html#t:tag_ids/0"},{"type":"module","title":"WeChat.Work.Customer.Transfer","doc":"客户继承","ref":"WeChat.Work.Customer.Transfer.html"},{"type":"function","title":"WeChat.Work.Customer.Transfer.get_unassigned_list/3","doc":"获取待分配的离职成员列表 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92124){:target=\"_blank\"}\n\n企业和第三方可通过此接口，获取所有离职成员的客户列表，并可进一步调用分配离职成员的客户接口将这些客户重新分配给其他企业成员。","ref":"WeChat.Work.Customer.Transfer.html#get_unassigned_list/3"},{"type":"function","title":"WeChat.Work.Customer.Transfer.resigned_transfer_customer/5","doc":"分配离职成员的客户(离职继承) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94081){:target=\"_blank\"}\n\n企业可通过此接口，分配离职成员的客户给其他成员。","ref":"WeChat.Work.Customer.Transfer.html#resigned_transfer_customer/5"},{"type":"function","title":"WeChat.Work.Customer.Transfer.resigned_transfer_group_chat/4","doc":"分配离职成员的客户群 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92127){:target=\"_blank\"}\n\n企业可通过此接口，将已离职成员为群主的群，分配给另一个客服成员。","ref":"WeChat.Work.Customer.Transfer.html#resigned_transfer_group_chat/4"},{"type":"function","title":"WeChat.Work.Customer.Transfer.resigned_transfer_result/5","doc":"查询客户接替状态(离职继承) -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94082){:target=\"_blank\"}\n\n企业和第三方可通过此接口查询离职成员的客户分配情况。","ref":"WeChat.Work.Customer.Transfer.html#resigned_transfer_result/5"},{"type":"function","title":"WeChat.Work.Customer.Transfer.transfer_customer/6","doc":"分配在职成员的客户 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92125){:target=\"_blank\"}\n\n企业可通过此接口，转接在职成员的客户给其他成员。","ref":"WeChat.Work.Customer.Transfer.html#transfer_customer/6"},{"type":"function","title":"WeChat.Work.Customer.Transfer.transfer_group_chat/4","doc":"分配在职成员的客户群 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/95703){:target=\"_blank\"}\n\n企业可通过此接口，将在职成员为群主的群，分配给另一个客服成员。","ref":"WeChat.Work.Customer.Transfer.html#transfer_group_chat/4"},{"type":"function","title":"WeChat.Work.Customer.Transfer.transfer_result/5","doc":"查询客户接替状态 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/94088){:target=\"_blank\"}\n\n企业和第三方可通过此接口查询在职成员的客户转接情况。","ref":"WeChat.Work.Customer.Transfer.html#transfer_result/5"},{"type":"module","title":"WeChat.Work.Customer.Welcome","doc":"客户欢迎语","ref":"WeChat.Work.Customer.Welcome.html"},{"type":"function","title":"WeChat.Work.Customer.Welcome.add_group_template/3","doc":"添加入群欢迎语素材 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92366#添加入群欢迎语素材){:target=\"_blank\"}\n\n企业可通过此API向企业的入群欢迎语素材库中添加素材。每个企业的入群欢迎语素材库中，最多容纳100个素材。","ref":"WeChat.Work.Customer.Welcome.html#add_group_template/3"},{"type":"function","title":"WeChat.Work.Customer.Welcome.delete_group_template/3","doc":"删除入群欢迎语素材 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92366#删除入群欢迎语素材){:target=\"_blank\"}\n\n企业可通过此API删除入群欢迎语素材，且仅能删除调用方自己创建的入群欢迎语素材。","ref":"WeChat.Work.Customer.Welcome.html#delete_group_template/3"},{"type":"function","title":"WeChat.Work.Customer.Welcome.edit_group_template/3","doc":"编辑入群欢迎语素材 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92366#编辑入群欢迎语素材){:target=\"_blank\"}\n\n企业可通过此API编辑入群欢迎语素材库中的素材，且仅能够编辑调用方自己创建的入群欢迎语素材。","ref":"WeChat.Work.Customer.Welcome.html#edit_group_template/3"},{"type":"function","title":"WeChat.Work.Customer.Welcome.get_group_template/3","doc":"获取入群欢迎语素材 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92366#获取入群欢迎语素材){:target=\"_blank\"}\n\n企业可通过此API获取入群欢迎语素材。","ref":"WeChat.Work.Customer.Welcome.html#get_group_template/3"},{"type":"function","title":"WeChat.Work.Customer.Welcome.send_welcome_msg/3","doc":"发送新客户欢迎语 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/92137){:target=\"_blank\"}\n\n- 企业微信在向企业推送添加外部联系人事件时，会额外返回一个welcome_code，企业以此为凭据调用接口，即可通过成员向新添加的客户发送个性化的欢迎语。\n- 为了保证用户体验以及避免滥用，企业仅可在收到相关事件后20秒内调用，且只可调用一次。\n- 如果企业已经在管理端为相关成员配置了可用的欢迎语，则推送添加外部联系人事件时不会返回welcome_code。\n- 每次添加新客户时可能有多个企业自建应用/第三方应用收到带有welcome_code的回调事件，但仅有最先调用的可以发送成功。后续调用将返回41051（externaluser has started chatting）错误，请用户根据实际使用需求，合理设置应用可见范围，避免冲突。\n- 旧接口发送新客户欢迎语已经废弃，接口升级后支持发送视频文件，并且最多支持同时发送9个附件","ref":"WeChat.Work.Customer.Welcome.html#send_welcome_msg/3"},{"type":"type","title":"WeChat.Work.Customer.Welcome.template_id/0","doc":"群欢迎语的素材id","ref":"WeChat.Work.Customer.Welcome.html#t:template_id/0"},{"type":"module","title":"WeChat.Work.KF.Account","doc":"客服账号管理","ref":"WeChat.Work.KF.Account.html"},{"type":"function","title":"WeChat.Work.KF.Account.add/4","doc":"添加客服帐号 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94747){:target=\"_blank\"}\n\n添加客服帐号，并可设置客服名称和头像。","ref":"WeChat.Work.KF.Account.html#add/4"},{"type":"function","title":"WeChat.Work.KF.Account.add_contact_way/4","doc":"获取客服帐号链接 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94751){:target=\"_blank\"}\n\n企业可通过此接口获取带有不同参数的客服链接，不同客服帐号对应不同的客服链接。获取后，企业可将链接嵌入到网页等场景中，微信用户点击链接即可向对应的客服帐号发起咨询。企业可依据参数来识别用户的咨询来源等。","ref":"WeChat.Work.KF.Account.html#add_contact_way/4"},{"type":"function","title":"WeChat.Work.KF.Account.delete/3","doc":"删除客服帐号 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94749){:target=\"_blank\"}\n\n删除已有的客服帐号。","ref":"WeChat.Work.KF.Account.html#delete/3"},{"type":"function","title":"WeChat.Work.KF.Account.list/2","doc":"获取客服帐号列表 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94746){:target=\"_blank\"}\n\n获取客服帐号列表，包括所有的客服帐号的客服ID、名称和头像。","ref":"WeChat.Work.KF.Account.html#list/2"},{"type":"function","title":"WeChat.Work.KF.Account.update/4","doc":"修改客服帐号 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94750){:target=\"_blank\"}\n\n修改已有的客服帐号，可修改客服名称和头像。","ref":"WeChat.Work.KF.Account.html#update/4"},{"type":"type","title":"WeChat.Work.KF.Account.name/0","doc":"客服帐号名称","ref":"WeChat.Work.KF.Account.html#t:name/0"},{"type":"type","title":"WeChat.Work.KF.Account.open_kfid/0","doc":"客服帐号ID","ref":"WeChat.Work.KF.Account.html#t:open_kfid/0"},{"type":"type","title":"WeChat.Work.KF.Account.scene/0","doc":"场景值，字符串类型，由开发者自定义。\n不多于32字节\n字符串取值范围(正则表达式)：[0-9a-zA-Z_-]*","ref":"WeChat.Work.KF.Account.html#t:scene/0"},{"type":"module","title":"WeChat.Work.KF.Customer","doc":"客户","ref":"WeChat.Work.KF.Customer.html"},{"type":"function","title":"WeChat.Work.KF.Customer.get_customer_info/3","doc":"获取客户基本信息 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94769){:target=\"_blank\"}","ref":"WeChat.Work.KF.Customer.html#get_customer_info/3"},{"type":"module","title":"WeChat.Work.KF.Message","doc":"客服消息","ref":"WeChat.Work.KF.Message.html"},{"type":"function","title":"WeChat.Work.KF.Message.send_file/6","doc":"发送文件消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#文件消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_file/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_image/6","doc":"发送图片消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#图片消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_image/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_link/6","doc":"图文链接消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#图文链接消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_link/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_location/6","doc":"地理位置消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#地理位置消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_location/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_menu/6","doc":"菜单消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#菜单消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_menu/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_menu_on_event/5","doc":"发送事件响应消息[菜单消息] -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/95123#菜单消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_menu_on_event/5"},{"type":"function","title":"WeChat.Work.KF.Message.send_message/3","doc":"发送消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#接口定义){:target=\"_blank\"}\n\n当用户在主动发送消息给微信客服时，企业可在48小时内调用该接口发送消息给用户，最多可发送5条消息给客户；若用户继续发送消息，企业可再次下发消息。\n支持发送消息类型：文本、图片、语音、视频、文件、图文、小程序、菜单消息、地理位置。\n目前该接口允许下发消息条数和下发时限如下：\n\n| 用户动作     | 允许下发条数限制 | 下发时限 |\n| ------------ | ---------------- | -------- |\n| 用户发送消息 | 5条              | 48 小时  |","ref":"WeChat.Work.KF.Message.html#send_message/3"},{"type":"function","title":"WeChat.Work.KF.Message.send_message/7","doc":"","ref":"WeChat.Work.KF.Message.html#send_message/7"},{"type":"function","title":"WeChat.Work.KF.Message.send_mini_program/6","doc":"小程序消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#小程序消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_mini_program/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_msg_on_event/6","doc":"发送事件响应消息 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/95123){:target=\"_blank\"}\n\n当特定的事件回调消息包含code字段，可以此code为凭证，调用该接口给用户发送相应事件场景下的消息，如客服欢迎语。\n\n**支持发送消息类型**：文本、菜单消息。","ref":"WeChat.Work.KF.Message.html#send_msg_on_event/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_text/6","doc":"发送文本消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#文本消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_text/6"},{"type":"function","title":"WeChat.Work.KF.Message.send_text_on_event/5","doc":"发送事件响应消息[文本消息] -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/95123#文本消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_text_on_event/5"},{"type":"function","title":"WeChat.Work.KF.Message.send_video/8","doc":"发送视频消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#视频消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_video/8"},{"type":"function","title":"WeChat.Work.KF.Message.send_voice/6","doc":"发送语音消息 - [官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94744#语音消息){:target=\"_blank\"}","ref":"WeChat.Work.KF.Message.html#send_voice/6"},{"type":"function","title":"WeChat.Work.KF.Message.sync_msg/3","doc":"获取消息 -\n[官方文档](https://open.work.weixin.qq.com/kf/doc/92512/93143/94745){:target=\"_blank\"}\n\n客户主动发给微信客服的消息、发送消息接口发送失败事件（如被用户拒收）、客户点击菜单消息的回复消息，可以通过该接口获取具体的消息内容和事件。不支持获取通过接口发送的消息。\n\n**支持的消息类型**：文本、图片、语音、视频、文件、位置、事件。","ref":"WeChat.Work.KF.Message.html#sync_msg/3"},{"type":"type","title":"WeChat.Work.KF.Message.code/0","doc":"事件响应消息对应的code。\n\n通过事件回调下发，仅可使用一次。","ref":"WeChat.Work.KF.Message.html#t:code/0"},{"type":"type","title":"WeChat.Work.KF.Message.content/0","doc":"","ref":"WeChat.Work.KF.Message.html#t:content/0"},{"type":"type","title":"WeChat.Work.KF.Message.msg/0","doc":"","ref":"WeChat.Work.KF.Message.html#t:msg/0"},{"type":"type","title":"WeChat.Work.KF.Message.msg_id/0","doc":"消息ID。如果请求参数指定了msgid，则原样返回，否则系统自动生成并返回。\n不多于32字节\n字符串取值范围(正则表达式)：[0-9a-zA-Z_-]*","ref":"WeChat.Work.KF.Message.html#t:msg_id/0"},{"type":"type","title":"WeChat.Work.KF.Message.msg_type/0","doc":"消息类型\n\n- `text`: 文本消息\n- `image`: 图片消息\n- `voice`: 语音消息\n- `video`: 视频消息\n- `file`: 文件消息\n- `link`: 图文链接消息\n- `miniprogram`: 小程序消息\n- `msgmenu`: 菜单消息\n- `location`: 地理位置消息","ref":"WeChat.Work.KF.Message.html#t:msg_type/0"},{"type":"type","title":"WeChat.Work.KF.Message.on_event_msg_type/0","doc":"事件响应消息类型\n\n目前支持文本与菜单消息\n\n- `text`: 文本消息\n- `msgmenu`: 菜单消息","ref":"WeChat.Work.KF.Message.html#t:on_event_msg_type/0"},{"type":"type","title":"WeChat.Work.KF.Message.opts/0","doc":"","ref":"WeChat.Work.KF.Message.html#t:opts/0"},{"type":"module","title":"WeChat.Work.OA.Approval","doc":"审批\n\n[文档-概述](https://developer.work.weixin.qq.com/document/path/91956)","ref":"WeChat.Work.OA.Approval.html"},{"type":"function","title":"WeChat.Work.OA.Approval.apply_event/3","doc":"提交审批申请\n- [官方文档](https://developer.work.weixin.qq.com/document/path/92632){:target=\"_blank\"}","ref":"WeChat.Work.OA.Approval.html#apply_event/3"},{"type":"function","title":"WeChat.Work.OA.Approval.get_approval_detail/3","doc":"获取审批申请详情\n- [官方文档](https://developer.work.weixin.qq.com/document/path/92634){:target=\"_blank\"}","ref":"WeChat.Work.OA.Approval.html#get_approval_detail/3"},{"type":"function","title":"WeChat.Work.OA.Approval.get_template_detail/3","doc":"获取审批模板详情\n- [官方文档](https://developer.work.weixin.qq.com/document/path/92631){:target=\"_blank\"}","ref":"WeChat.Work.OA.Approval.html#get_template_detail/3"},{"type":"function","title":"WeChat.Work.OA.Approval.list_approvals/7","doc":"批量获取审批单号\n- [官方文档](https://developer.work.weixin.qq.com/document/path/94603){:target=\"_blank\"}","ref":"WeChat.Work.OA.Approval.html#list_approvals/7"},{"type":"type","title":"WeChat.Work.OA.Approval.cursor/0","doc":"分页查询游标，默认为0，后续使用返回的next_cursor进行分页拉取","ref":"WeChat.Work.OA.Approval.html#t:cursor/0"},{"type":"type","title":"WeChat.Work.OA.Approval.filter_key/0","doc":"筛选类型\n\n- `template_id` - 模板类型/模板id；\n- `creator` - 申请人；\n- `department` - 审批单提单者所在部门；\n- `sp_status` - 审批状态;\n- `record_type` - 审批单类型属性，1-请假；2-打卡补卡；3-出差；4-外出；5-加班； 6- 调班；7-会议室预定；8-退款审批；9-红包报销审批\n\n注意\n\n1. 仅“部门”支持同时配置多个筛选条件。\n2. 不同类型的筛选条件之间为“与”的关系，同类型筛选条件之间为“或”的关系\n3. record_type筛选类型仅支持2021/05/31以后新提交的审批单，历史单不支持表单类型属性过滤","ref":"WeChat.Work.OA.Approval.html#t:filter_key/0"},{"type":"type","title":"WeChat.Work.OA.Approval.filter_value/0","doc":"筛选值\n\n对应为：\n\n- `template_id` - 模板id\n- `creator` - 申请人userid\n- `department` - 所在部门id\n- `sp_status` - 审批单状态\n  - `1` - 审批中\n  - `2` - 已通过\n  - `3` - 已驳回\n  - `4` - 已撤销\n  - `6` - 通过后撤销\n  - `7` - 已删除\n  - `10` - 已支付","ref":"WeChat.Work.OA.Approval.html#t:filter_value/0"},{"type":"type","title":"WeChat.Work.OA.Approval.filters/0","doc":"筛选条件，可对批量拉取的审批申请设置约束条件，支持设置多个条件","ref":"WeChat.Work.OA.Approval.html#t:filters/0"},{"type":"type","title":"WeChat.Work.OA.Approval.size/0","doc":"一次请求拉取审批单数量，默认值为100，上限值为100。若accesstoken为自建应用，仅允许获取在应用可见范围内申请人提交的表单，返回的sp_no_list个数可能和size不一致，开发者需用next_cursor判断表单记录是否拉取完","ref":"WeChat.Work.OA.Approval.html#t:size/0"},{"type":"type","title":"WeChat.Work.OA.Approval.sp_no/0","doc":"审批单编号","ref":"WeChat.Work.OA.Approval.html#t:sp_no/0"},{"type":"type","title":"WeChat.Work.OA.Approval.template_id/0","doc":"模板的唯一标识id","ref":"WeChat.Work.OA.Approval.html#t:template_id/0"},{"type":"type","title":"WeChat.Work.OA.Approval.timestamp/0","doc":"","ref":"WeChat.Work.OA.Approval.html#t:timestamp/0"},{"type":"module","title":"WeChat.Work.OA.Calendar","doc":"日历","ref":"WeChat.Work.OA.Calendar.html"},{"type":"function","title":"WeChat.Work.OA.Calendar.add/3","doc":"创建日历 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/93647){:target=\"_blank\"}","ref":"WeChat.Work.OA.Calendar.html#add/3"},{"type":"function","title":"WeChat.Work.OA.Calendar.delete/3","doc":"删除日历\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97718){:target=\"_blank\"}","ref":"WeChat.Work.OA.Calendar.html#delete/3"},{"type":"function","title":"WeChat.Work.OA.Calendar.get/3","doc":"获取日历详情 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/97717){:target=\"_blank\"}","ref":"WeChat.Work.OA.Calendar.html#get/3"},{"type":"function","title":"WeChat.Work.OA.Calendar.update/3","doc":"更新日历 -\n[官方文档](https://developer.work.weixin.qq.com/document/path/97716){:target=\"_blank\"}","ref":"WeChat.Work.OA.Calendar.html#update/3"},{"type":"type","title":"WeChat.Work.OA.Calendar.calendar_id/0","doc":"日历ID","ref":"WeChat.Work.OA.Calendar.html#t:calendar_id/0"},{"type":"type","title":"WeChat.Work.OA.Calendar.calendar_id_list/0","doc":"","ref":"WeChat.Work.OA.Calendar.html#t:calendar_id_list/0"},{"type":"module","title":"WeChat.Work.OA.Checkin","doc":"OA - 打卡","ref":"WeChat.Work.OA.Checkin.html"},{"type":"function","title":"WeChat.Work.OA.Checkin.get_hardware_checkin_data/6","doc":"获取设备打卡数据\n- [官方文档](https://developer.work.weixin.qq.com/document/path/94126){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#get_hardware_checkin_data/6"},{"type":"function","title":"WeChat.Work.OA.Checkin.get_user_option/4","doc":"获取员工打卡规则\n- [官方文档](https://developer.work.weixin.qq.com/document/path/90263){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#get_user_option/4"},{"type":"function","title":"WeChat.Work.OA.Checkin.list_data/6","doc":"获取打卡记录数据\n- [官方文档](https://developer.work.weixin.qq.com/document/path/90262){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#list_data/6"},{"type":"function","title":"WeChat.Work.OA.Checkin.list_day_data/5","doc":"获取打卡日报数据\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93374){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#list_day_data/5"},{"type":"function","title":"WeChat.Work.OA.Checkin.list_month_data/5","doc":"获取打卡月报数据\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93387){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#list_month_data/5"},{"type":"function","title":"WeChat.Work.OA.Checkin.list_options/2","doc":"获取企业所有打卡规则\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93384){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#list_options/2"},{"type":"function","title":"WeChat.Work.OA.Checkin.list_scheduling/5","doc":"获取打卡人员排班信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93380){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#list_scheduling/5"},{"type":"function","title":"WeChat.Work.OA.Checkin.re_checkin/7","doc":"为打卡人员补卡\n- [官方文档](https://developer.work.weixin.qq.com/document/path/95803){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#re_checkin/7"},{"type":"function","title":"WeChat.Work.OA.Checkin.set_scheduling/5","doc":"为打卡人员排班\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93385){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#set_scheduling/5"},{"type":"function","title":"WeChat.Work.OA.Checkin.set_user_face/4","doc":"录入打卡人员人脸信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93378){:target=\"_blank\"}","ref":"WeChat.Work.OA.Checkin.html#set_user_face/4"},{"type":"type","title":"WeChat.Work.OA.Checkin.day/0","doc":"要设置的天日期，取值在1-31之间。联合 `year_month` 组成唯一日期 比如20201205","ref":"WeChat.Work.OA.Checkin.html#t:day/0"},{"type":"type","title":"WeChat.Work.OA.Checkin.filter_type/0","doc":"过滤类型，1表示按打卡时间过滤，2表示按设备上传打卡记录的时间过滤，默认值是1","ref":"WeChat.Work.OA.Checkin.html#t:filter_type/0"},{"type":"type","title":"WeChat.Work.OA.Checkin.group_id/0","doc":"打卡规则的规则ID","ref":"WeChat.Work.OA.Checkin.html#t:group_id/0"},{"type":"type","title":"WeChat.Work.OA.Checkin.schedule_id/0","doc":"对应 `group_id` 规则下的班次id，通过预先拉取规则信息获取，0代表休息","ref":"WeChat.Work.OA.Checkin.html#t:schedule_id/0"},{"type":"type","title":"WeChat.Work.OA.Checkin.timestamp/0","doc":"","ref":"WeChat.Work.OA.Checkin.html#t:timestamp/0"},{"type":"type","title":"WeChat.Work.OA.Checkin.type/0","doc":"打卡类型\n\n- `1`: 上下班打卡\n- `2`: 外出打卡\n- `3`: 全部打卡","ref":"WeChat.Work.OA.Checkin.html#t:type/0"},{"type":"type","title":"WeChat.Work.OA.Checkin.year_month/0","doc":"排班表月份，格式为年月，如202011","ref":"WeChat.Work.OA.Checkin.html#t:year_month/0"},{"type":"module","title":"WeChat.Work.OA.Journal","doc":"汇报\n\n目前，企业微信汇报应用对企业内部提供了以下接口和能力：\n\n- 1、获取汇报记录详情。\n  即获取一段时间内，员工填写的详细汇报内容。\n\n- 2、获取汇报统计详情。\n  即获取一段时间内，某个汇报的统计情况，即已汇报成员统计、未汇报成员统计等。","ref":"WeChat.Work.OA.Journal.html"},{"type":"function","title":"WeChat.Work.OA.Journal.download_we_drive_file/4","doc":"下载微盘文件\n- [官方文档](https://developer.work.weixin.qq.com/document/path/98021){:target=\"_blank\"}","ref":"WeChat.Work.OA.Journal.html#download_we_drive_file/4"},{"type":"function","title":"WeChat.Work.OA.Journal.export_doc/4","doc":"导出汇报文档\n- [官方文档](https://developer.work.weixin.qq.com/document/path/96108){:target=\"_blank\"}","ref":"WeChat.Work.OA.Journal.html#export_doc/4"},{"type":"function","title":"WeChat.Work.OA.Journal.get_record_detail/3","doc":"获取汇报记录详情\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93394){:target=\"_blank\"}","ref":"WeChat.Work.OA.Journal.html#get_record_detail/3"},{"type":"function","title":"WeChat.Work.OA.Journal.list_records/7","doc":"批量获取汇报记录单号\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93393){:target=\"_blank\"}","ref":"WeChat.Work.OA.Journal.html#list_records/7"},{"type":"function","title":"WeChat.Work.OA.Journal.list_stats/5","doc":"获取汇报统计数据\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93395){:target=\"_blank\"}","ref":"WeChat.Work.OA.Journal.html#list_stats/5"},{"type":"type","title":"WeChat.Work.OA.Journal.cursor/0","doc":"游标首次请求传0，非首次请求携带上一次请求返回的next_cursor","ref":"WeChat.Work.OA.Journal.html#t:cursor/0"},{"type":"type","title":"WeChat.Work.OA.Journal.filter_key/0","doc":"筛选类型\n\n不多于256字节\n\n- `creator`: 指定汇报记录提单人\n- `department`: 指定提单人所在部门\n- `template_id`: 指定模板","ref":"WeChat.Work.OA.Journal.html#t:filter_key/0"},{"type":"type","title":"WeChat.Work.OA.Journal.filter_value/0","doc":"筛选值","ref":"WeChat.Work.OA.Journal.html#t:filter_value/0"},{"type":"type","title":"WeChat.Work.OA.Journal.filters/0","doc":"过滤条件","ref":"WeChat.Work.OA.Journal.html#t:filters/0"},{"type":"type","title":"WeChat.Work.OA.Journal.journal_uuid/0","doc":"汇报记录ID","ref":"WeChat.Work.OA.Journal.html#t:journal_uuid/0"},{"type":"type","title":"WeChat.Work.OA.Journal.limit/0","doc":"拉取条数","ref":"WeChat.Work.OA.Journal.html#t:limit/0"},{"type":"type","title":"WeChat.Work.OA.Journal.template_id/0","doc":"汇报表单id","ref":"WeChat.Work.OA.Journal.html#t:template_id/0"},{"type":"type","title":"WeChat.Work.OA.Journal.timestamp/0","doc":"","ref":"WeChat.Work.OA.Journal.html#t:timestamp/0"},{"type":"module","title":"WeChat.Work.OA.MeetingRoom","doc":"会议室","ref":"WeChat.Work.OA.MeetingRoom.html"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.add/3","doc":"会议室管理-添加会议室\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93619#添加会议室){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#add/3"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.book/3","doc":"会议室预定管理-预定会议室\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93620#预定会议室){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#book/3"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.cancel_book/3","doc":"会议室预定管理-取消预定会议室\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93620#取消预定会议室){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#cancel_book/3"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.delete/3","doc":"会议室管理-删除会议室\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93619#删除会议室){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#delete/3"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.edit/3","doc":"会议室管理-编辑会议室\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93619#编辑会议室){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#edit/3"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.get_booking_info_by_meeting_id/4","doc":"会议室预定管理-根据会议ID查询会议室的预定信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93620#根据会议id查询会议室的预定信息){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#get_booking_info_by_meeting_id/4"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.list/3","doc":"会议室管理-查询会议室\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93619#查询会议室){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#list/3"},{"type":"function","title":"WeChat.Work.OA.MeetingRoom.list_booking/3","doc":"会议室预定管理-查询会议室的预定信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93620#查询会议室的预定信息){:target=\"_blank\"}","ref":"WeChat.Work.OA.MeetingRoom.html#list_booking/3"},{"type":"type","title":"WeChat.Work.OA.MeetingRoom.meeting_id/0","doc":"会议的ID","ref":"WeChat.Work.OA.MeetingRoom.html#t:meeting_id/0"},{"type":"type","title":"WeChat.Work.OA.MeetingRoom.meeting_room_id/0","doc":"会议室的ID","ref":"WeChat.Work.OA.MeetingRoom.html#t:meeting_room_id/0"},{"type":"module","title":"WeChat.Work.OA.Pstncc","doc":"紧急通知","ref":"WeChat.Work.OA.Pstncc.html"},{"type":"function","title":"WeChat.Work.OA.Pstncc.call/3","doc":"发起语音电话\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91627){:target=\"_blank\"}","ref":"WeChat.Work.OA.Pstncc.html#call/3"},{"type":"function","title":"WeChat.Work.OA.Pstncc.get_states/4","doc":"获取接听状态\n- [官方文档](https://developer.work.weixin.qq.com/document/path/91628){:target=\"_blank\"}","ref":"WeChat.Work.OA.Pstncc.html#get_states/4"},{"type":"type","title":"WeChat.Work.OA.Pstncc.call_id/0","doc":"发起自动语音来电ID","ref":"WeChat.Work.OA.Pstncc.html#t:call_id/0"},{"type":"module","title":"WeChat.Work.OA.Schedule","doc":"日程","ref":"WeChat.Work.OA.Schedule.html"},{"type":"function","title":"WeChat.Work.OA.Schedule.add/3","doc":"创建日程\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93648){:target=\"_blank\"}","ref":"WeChat.Work.OA.Schedule.html#add/3"},{"type":"function","title":"WeChat.Work.OA.Schedule.add_attendees/4","doc":"新增日程参与者\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97721){:target=\"_blank\"}\n\n该接口用于在日历中更新指定的日程参与者列表","ref":"WeChat.Work.OA.Schedule.html#add_attendees/4"},{"type":"function","title":"WeChat.Work.OA.Schedule.del_attendees/4","doc":"删除日程参与者\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97722){:target=\"_blank\"}\n\n该接口用于在日历中更新指定的日程参与者列表","ref":"WeChat.Work.OA.Schedule.html#del_attendees/4"},{"type":"function","title":"WeChat.Work.OA.Schedule.delete/3","doc":"取消日程\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97725){:target=\"_blank\"}","ref":"WeChat.Work.OA.Schedule.html#delete/3"},{"type":"function","title":"WeChat.Work.OA.Schedule.get/3","doc":"获取日程详情\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97724){:target=\"_blank\"}","ref":"WeChat.Work.OA.Schedule.html#get/3"},{"type":"function","title":"WeChat.Work.OA.Schedule.get_by_calendar/5","doc":"获取日历下的日程列表\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97723){:target=\"_blank\"}","ref":"WeChat.Work.OA.Schedule.html#get_by_calendar/5"},{"type":"function","title":"WeChat.Work.OA.Schedule.update/3","doc":"更新日程\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97720){:target=\"_blank\"}","ref":"WeChat.Work.OA.Schedule.html#update/3"},{"type":"type","title":"WeChat.Work.OA.Schedule.schedule_id/0","doc":"日程ID","ref":"WeChat.Work.OA.Schedule.html#t:schedule_id/0"},{"type":"type","title":"WeChat.Work.OA.Schedule.schedule_id_list/0","doc":"","ref":"WeChat.Work.OA.Schedule.html#t:schedule_id_list/0"},{"type":"module","title":"WeChat.Work.OA.Vacation","doc":"假期管理","ref":"WeChat.Work.OA.Vacation.html"},{"type":"function","title":"WeChat.Work.OA.Vacation.get_user_quota/3","doc":"获取成员假期余额\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93376){:target=\"_blank\"}","ref":"WeChat.Work.OA.Vacation.html#get_user_quota/3"},{"type":"function","title":"WeChat.Work.OA.Vacation.list_configs/2","doc":"获取企业假期管理配置\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93375){:target=\"_blank\"}","ref":"WeChat.Work.OA.Vacation.html#list_configs/2"},{"type":"function","title":"WeChat.Work.OA.Vacation.set_user_quota/7","doc":"修改成员假期余额\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93377){:target=\"_blank\"}","ref":"WeChat.Work.OA.Vacation.html#set_user_quota/7"},{"type":"type","title":"WeChat.Work.OA.Vacation.left_duration/0","doc":"假期余额\n\n单位为秒\n不能大于1000天或24000小时，当假期时间刻度为\n\n- 按小时请假时，必须为360整倍数，即0.1小时整倍数，\n- 按天请假时，必须为8640整倍数，即0.1天整倍数","ref":"WeChat.Work.OA.Vacation.html#t:left_duration/0"},{"type":"type","title":"WeChat.Work.OA.Vacation.remarks/0","doc":"备注\n\n用于显示在假期余额的修改记录当中，可对修改行为作说明，不超过200字符","ref":"WeChat.Work.OA.Vacation.html#t:remarks/0"},{"type":"type","title":"WeChat.Work.OA.Vacation.time_attr/0","doc":"假期时间刻度\n\n- `0`: 按天请假\n- `1`: 按小时请假\n\n主要用于校验，必须等于企业假期管理配置中设置的假期时间刻度类型","ref":"WeChat.Work.OA.Vacation.html#t:time_attr/0"},{"type":"type","title":"WeChat.Work.OA.Vacation.vacation_id/0","doc":"假期ID","ref":"WeChat.Work.OA.Vacation.html#t:vacation_id/0"},{"type":"module","title":"WeChat.Work.WeDrive.FileACL","doc":"微盘-文件权限","ref":"WeChat.Work.WeDrive.FileACL.html"},{"type":"function","title":"WeChat.Work.WeDrive.FileACL.add/5","doc":"新增成员\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93658){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileACL.html#add/5"},{"type":"function","title":"WeChat.Work.WeDrive.FileACL.delete/5","doc":"删除成员\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97888){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileACL.html#delete/5"},{"type":"function","title":"WeChat.Work.WeDrive.FileACL.file_secure_setting/4","doc":"修改文件安全设置\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97892){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileACL.html#file_secure_setting/4"},{"type":"function","title":"WeChat.Work.WeDrive.FileACL.get_file_permission/3","doc":"获取文件权限信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97891){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileACL.html#get_file_permission/3"},{"type":"function","title":"WeChat.Work.WeDrive.FileACL.setting/6","doc":"分享设置\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97889){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileACL.html#setting/6"},{"type":"function","title":"WeChat.Work.WeDrive.FileACL.share/4","doc":"获取分享链接\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97890){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileACL.html#share/4"},{"type":"type","title":"WeChat.Work.WeDrive.FileACL.auth/0","doc":"权限信息","ref":"WeChat.Work.WeDrive.FileACL.html#t:auth/0"},{"type":"type","title":"普通文档 - WeChat.Work.WeDrive.FileACL.auth/0","doc":"`1`: 仅浏览（可下载)\n  `4`: 仅预览（仅专业版企业可设置）","ref":"WeChat.Work.WeDrive.FileACL.html#t:auth/0-%E6%99%AE%E9%80%9A%E6%96%87%E6%A1%A3"},{"type":"type","title":"微文档： - WeChat.Work.WeDrive.FileACL.auth/0","doc":"`1`: 仅浏览（可下载）\n  `2`: 可编辑","ref":"WeChat.Work.WeDrive.FileACL.html#t:auth/0-%E5%BE%AE%E6%96%87%E6%A1%A3"},{"type":"type","title":"WeChat.Work.WeDrive.FileACL.auth_info/0","doc":"","ref":"WeChat.Work.WeDrive.FileACL.html#t:auth_info/0"},{"type":"type","title":"WeChat.Work.WeDrive.FileACL.auth_scope/0","doc":"权限范围\n\n- `1`: 指定人\n- `2`: 企业内\n- `3`: 企业外","ref":"WeChat.Work.WeDrive.FileACL.html#t:auth_scope/0"},{"type":"module","title":"WeChat.Work.WeDrive.FileManagement","doc":"微盘-文件管理","ref":"WeChat.Work.WeDrive.FileManagement.html"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.create/7","doc":"新建文件夹/文档\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97882){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileManagement.html#create/7"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.delete/4","doc":"删除文件\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97885){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileManagement.html#delete/4"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.download/4","doc":"下载文件\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97881){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileManagement.html#download/4"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.info/4","doc":"文件信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97886){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileManagement.html#info/4"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.list/8","doc":"获取文件列表\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93657){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileManagement.html#list/8"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.move/6","doc":"移动文件\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97884){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileManagement.html#move/6"},{"type":"function","title":"参数说明 - WeChat.Work.WeDrive.FileManagement.move/6","doc":"replace: 如果移动到的目标目录与需要移动的文件重名时，是否覆盖。\n\n- `true`: 重名文件覆盖\n- `false`: 重名文件进行冲突重命名处理（移动后文件名格式如xxx(1).txt xxx(1).doc等）","ref":"WeChat.Work.WeDrive.FileManagement.html#move/6-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.rename/5","doc":"重命名文件\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97883){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.FileManagement.html#rename/5"},{"type":"function","title":"WeChat.Work.WeDrive.FileManagement.upload/7","doc":"上传文件\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97880){:target=\"_blank\"}\n\n**注意：只需要填入文件内容的Base64，不需要添加任何如：”data:application/x-javascript;base64” 的数据类型描述信息**","ref":"WeChat.Work.WeDrive.FileManagement.html#upload/7"},{"type":"type","title":"WeChat.Work.WeDrive.FileManagement.file_base64_content/0","doc":"文件内容base64","ref":"WeChat.Work.WeDrive.FileManagement.html#t:file_base64_content/0"},{"type":"type","title":"WeChat.Work.WeDrive.FileManagement.file_id/0","doc":"","ref":"WeChat.Work.WeDrive.FileManagement.html#t:file_id/0"},{"type":"type","title":"WeChat.Work.WeDrive.FileManagement.file_id_list/0","doc":"","ref":"WeChat.Work.WeDrive.FileManagement.html#t:file_id_list/0"},{"type":"type","title":"WeChat.Work.WeDrive.FileManagement.file_name/0","doc":"文件名字","ref":"WeChat.Work.WeDrive.FileManagement.html#t:file_name/0"},{"type":"type","title":"WeChat.Work.WeDrive.FileManagement.file_type/0","doc":"文件类型\n\n- `1`: 文件夹\n- `3`: 微文档(文档)\n- `4`: 微文档(表格)\n- `5`: 微文档(收集表)","ref":"WeChat.Work.WeDrive.FileManagement.html#t:file_type/0"},{"type":"type","title":"WeChat.Work.WeDrive.FileManagement.sort_type/0","doc":"列表排序方式\n\n- `1`: 名字升序\n- `2`: 名字降序\n- `3`: 大小升序\n- `4`: 大小降序\n- `5`: 修改时间升序\n- `6`: 修改时间降序","ref":"WeChat.Work.WeDrive.FileManagement.html#t:sort_type/0"},{"type":"module","title":"WeChat.Work.WeDrive.SpaceACL","doc":"微盘-空间权限","ref":"WeChat.Work.WeDrive.SpaceACL.html"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceACL.add/5","doc":"添加成员/部门\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93656){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceACL.html#add/5"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceACL.delete/5","doc":"移除成员/部门\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97875){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceACL.html#delete/5"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceACL.info/3","doc":"获取空间信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97878){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceACL.html#info/3"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceACL.setting/5","doc":"安全设置\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97876){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceACL.html#setting/5"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceACL.share/4","doc":"获取邀请链接\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97877){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceACL.html#share/4"},{"type":"type","title":"WeChat.Work.WeDrive.SpaceACL.auth_info/0","doc":"","ref":"WeChat.Work.WeDrive.SpaceACL.html#t:auth_info/0"},{"type":"module","title":"WeChat.Work.WeDrive.SpaceManagement","doc":"微盘-空间管理","ref":"WeChat.Work.WeDrive.SpaceManagement.html"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceManagement.create/3","doc":"新建空间\n- [官方文档](https://developer.work.weixin.qq.com/document/path/93655){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceManagement.html#create/3"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceManagement.dismiss/4","doc":"解散空间\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97857){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceManagement.html#dismiss/4"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceManagement.info/4","doc":"获取空间信息\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97858){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceManagement.html#info/4"},{"type":"function","title":"WeChat.Work.WeDrive.SpaceManagement.rename/5","doc":"重命名空间\n- [官方文档](https://developer.work.weixin.qq.com/document/path/97856){:target=\"_blank\"}","ref":"WeChat.Work.WeDrive.SpaceManagement.html#rename/5"},{"type":"type","title":"WeChat.Work.WeDrive.SpaceManagement.space_id/0","doc":"","ref":"WeChat.Work.WeDrive.SpaceManagement.html#t:space_id/0"},{"type":"type","title":"WeChat.Work.WeDrive.SpaceManagement.space_name/0","doc":"","ref":"WeChat.Work.WeDrive.SpaceManagement.html#t:space_name/0"},{"type":"module","title":"WeChat.Pay","doc":"微信支付","ref":"WeChat.Pay.html"},{"type":"module","title":"添加依赖 - WeChat.Pay","doc":"def deps do\n      [\n        {:wechat, \"~> x.x\", hex: :wechat_sdk},\n        {:saxy, \"~> 1.2\"},\n        {:x509, \"~> x.x\"}\n      ]\n    end","ref":"WeChat.Pay.html#module-%E6%B7%BB%E5%8A%A0%E4%BE%9D%E8%B5%96"},{"type":"module","title":"定义支付 Client 模块 - WeChat.Pay","doc":"defmodule YourApp.WeChatAppCodeName do\n      @moduledoc \"CodeName\"\n      use WeChat.Pay,\n        mch_id: \"1900000109\",\n        api_secret_v2_key: \"api_secret_v2_key\",\n        api_secret_key: \"api_secret_v3_key\",\n        client_serial_no: \"client_serial_no\",\n        client_key: {:file, \"apiclient_key.pem\"}\n    end\n\n定义参数说明请看 `t:options/0`","ref":"WeChat.Pay.html#module-%E5%AE%9A%E4%B9%89%E6%94%AF%E4%BB%98-client-%E6%A8%A1%E5%9D%97"},{"type":"module","title":"V2 SSL 配置 - WeChat.Pay","doc":"部分 v2 的接口请求时需要用到证书，如：撤销订单，因此如果有使用到这部分接口，必须添加下面的配置\n\n    config :wechat, YourApp.WeChatAppCodeName,\n      v2_ssl: [\n        certfile: \"apiclient_cert.pem\", # or {:app_dir, App, \"priv/cert/apiclient_cert.pem\"}\n        keyfile: \"apiclient_key.pem\" # or {:app_dir, App, \"priv/cert/apiclient_key.pem\"}\n      ]","ref":"WeChat.Pay.html#module-v2-ssl-%E9%85%8D%E7%BD%AE"},{"type":"module","title":"启动支付 Client 进程 - WeChat.Pay","doc":"defmodule YourApp.Application do\n      def start(_type, _args) do\n        children = [\n          # ...\n          YourApp.WeChatAppCodeName,\n          # or\n          {YourApp.WeChatAppCodeName, start_options}\n        ]\n\n        Supervisor.start_link(children, strategy: :one_for_one, name: YourApp.Supervisor)\n      end\n    end\n\n启动参数说明请看 `t:start_options/0`","ref":"WeChat.Pay.html#module-%E5%90%AF%E5%8A%A8%E6%94%AF%E4%BB%98-client-%E8%BF%9B%E7%A8%8B"},{"type":"module","title":"处理回调消息 - WeChat.Pay","doc":"详情请看 `WeChat.Pay.EventHandler`","ref":"WeChat.Pay.html#module-%E5%A4%84%E7%90%86%E5%9B%9E%E8%B0%83%E6%B6%88%E6%81%AF"},{"type":"function","title":"WeChat.Pay.build_client/2","doc":"动态构建 client","ref":"WeChat.Pay.html#build_client/2"},{"type":"function","title":"WeChat.Pay.get_requester_specs/1","doc":"","ref":"WeChat.Pay.html#get_requester_specs/1"},{"type":"function","title":"WeChat.Pay.init_certs/1","doc":"初始化平台证书","ref":"WeChat.Pay.html#init_certs/1"},{"type":"type","title":"WeChat.Pay.api_secret_key/0","doc":"API 密钥 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/apiv3key.html){:target=\"_blank\"}","ref":"WeChat.Pay.html#t:api_secret_key/0"},{"type":"type","title":"WeChat.Pay.cacerts/0","doc":"平台证书列表 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/wechatpay-certificates.html){:target=\"_blank\"}","ref":"WeChat.Pay.html#t:cacerts/0"},{"type":"type","title":"WeChat.Pay.client/0","doc":"","ref":"WeChat.Pay.html#t:client/0"},{"type":"type","title":"WeChat.Pay.client_key/0","doc":"商户 API 私钥 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/privatekey-and-certificate.html){:target=\"_blank\"}","ref":"WeChat.Pay.html#t:client_key/0"},{"type":"type","title":"WeChat.Pay.client_serial_no/0","doc":"商户API 证书序列号 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/certificate-faqs.html){:target=\"_blank\"}","ref":"WeChat.Pay.html#t:client_serial_no/0"},{"type":"type","title":"WeChat.Pay.mch_id/0","doc":"商户号","ref":"WeChat.Pay.html#t:mch_id/0"},{"type":"type","title":"WeChat.Pay.options/0","doc":"构建参数","ref":"WeChat.Pay.html#t:options/0"},{"type":"type","title":"参数说明 - WeChat.Pay.options/0","doc":"- `mch_id`: 商户ID `t:mch_id/0` - 必填\n- `api_secret_v2_key`: API v2密钥 `t:api_secret_key/0` - 必填\n- `api_secret_key`: API v3密钥 `t:api_secret_key/0` - 必填\n- `client_serial_no`: 客户端证书序列哈 `t:client_serial_no/0` - 必填\n- `client_key`: 客户端私钥 `t:client_key/0` - 必填\n- `storage`: 存储器 `t:WeChat.Storage.Adapter.t/0`\n- `requester`: 请求客户端 - `t:module/0`","ref":"WeChat.Pay.html#t:options/0-%E5%8F%82%E6%95%B0%E8%AF%B4%E6%98%8E"},{"type":"type","title":"默认参数: - WeChat.Pay.options/0","doc":"- `storage`: `WeChat.Storage.PayFile`\n- `requester`: `WeChat.Requester.Pay`","ref":"WeChat.Pay.html#t:options/0-%E9%BB%98%E8%AE%A4%E5%8F%82%E6%95%B0"},{"type":"type","title":"WeChat.Pay.pem_file/0","doc":"","ref":"WeChat.Pay.html#t:pem_file/0"},{"type":"type","title":"WeChat.Pay.platform_serial_no/0","doc":"平台 证书序列号 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/certificate-faqs.html){:target=\"_blank\"}","ref":"WeChat.Pay.html#t:platform_serial_no/0"},{"type":"type","title":"WeChat.Pay.requester_id/0","doc":"","ref":"WeChat.Pay.html#t:requester_id/0"},{"type":"type","title":"WeChat.Pay.requester_opts/0","doc":"","ref":"WeChat.Pay.html#t:requester_opts/0"},{"type":"type","title":"WeChat.Pay.serial_no/0","doc":"证书的序列号","ref":"WeChat.Pay.html#t:serial_no/0"},{"type":"type","title":"WeChat.Pay.start_options/0","doc":"启动参数\n\n- `refresher`: 刷新器 - `t:module/0`, 可选, 默认值: `WeChat.Refresher.Pay`","ref":"WeChat.Pay.html#t:start_options/0"},{"type":"module","title":"WeChat.Pay.Bill","doc":"微信支付-交易账单","ref":"WeChat.Pay.Bill.html"},{"type":"function","title":"WeChat.Pay.Bill.download_bill/2","doc":"下载 交易/资金 账单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/bill-download/download-bill.html){:target=\"_blank\"}\n\n本接口适用于下载交易账单和资金账单。\n\n注意\n\n- 该接口响应的信息请求头中不包含微信接口响应的签名值，因此需要跳过验签的流程。\n- 账单文件的下载地址的有效时间为5min。\n- 建议商户比对实际下载账单文件的哈希值和从接口获取到的哈希值是否一致，以确认下载账单数据的完整性。\n- 微信将在次日9点开始生成前一天的对账单，建议商户在10点后获取。","ref":"WeChat.Pay.Bill.html#download_bill/2"},{"type":"function","title":"WeChat.Pay.Bill.fund_flow_bill/4","doc":"申请资金账单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/bill-download/fund-bill/get-fund-bill.html){:target=\"_blank\"}","ref":"WeChat.Pay.Bill.html#fund_flow_bill/4"},{"type":"function","title":"下载接口说明 - WeChat.Pay.Bill.fund_flow_bill/4","doc":"微信支付按天提供微信支付账户的资金流水账单文件，商户可以通过该接口获取账单文件的下载地址。\n文件内包含该账户资金操作相关的业务单号、收支金额、记账时间等信息，供商户进行核对。\n\n注意：\n\n- 资金账单中的数据反映的是商户微信账户资金变动情况；\n- 当日账单在次日上午9点开始生成，建议商户在上午10点以后获取；\n- 资金账单中涉及金额的字段单位为“元”。","ref":"WeChat.Pay.Bill.html#fund_flow_bill/4-%E4%B8%8B%E8%BD%BD%E6%8E%A5%E5%8F%A3%E8%AF%B4%E6%98%8E"},{"type":"function","title":"文件格式说明 - WeChat.Pay.Bill.fund_flow_bill/4","doc":"账单文件包括明细数据和汇总数据两部分，每一部分都包含一行表头和若干行具体数据。\n明细数据每一行对应一笔资金操作，同时每一个数据前加入了字符 `，以避免数据被 Excel 按科学计数法处理。\n如需汇总金额等数据，可以批量替换掉该字符。","ref":"WeChat.Pay.Bill.html#fund_flow_bill/4-%E6%96%87%E4%BB%B6%E6%A0%BC%E5%BC%8F%E8%AF%B4%E6%98%8E"},{"type":"function","title":"WeChat.Pay.Bill.trade_bill/4","doc":"申请交易账单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/bill-download/trade-bill/get-trade-bill.html){:target=\"_blank\"}\n\n微信支付按天提供交易账单文件，商户可以通过该接口获取账单文件的下载地址。\n文件内包含交易相关的金额、时间、营销等信息，供商户核对订单、退款、银行到账等情况。\n\n注意：\n\n- 微信侧未成功下单的交易不会出现在对账单中。支付成功后撤销的交易会出现在对账单中，跟原支付单订单号一致；\n- 对账单中涉及金额的字段单位为“元”；\n- 对账单接口只能下载三个月以内的账单；\n- 小微商户不单独提供对账单下载，如有需要，可联系发起交易的服务商。","ref":"WeChat.Pay.Bill.html#trade_bill/4"},{"type":"type","title":"WeChat.Pay.Bill.account_type/0","doc":"资金账户类型\n\n不填默认是`\"BASIC\"`, 可选取值：\n\n- `\"BASIC\"`: 基本账户\n- `\"OPERATION\"`: 运营账户\n- `\"FEES\"`: 手续费账户\n- `\"ALL\"`: 所有账户（该枚举值只限电商平台下载二级商户资金流水账单场景使用）","ref":"WeChat.Pay.Bill.html#t:account_type/0"},{"type":"type","title":"WeChat.Pay.Bill.bill_date/0","doc":"账单日期\n\n格式 `yyyy-MM-DD`，仅支持三个月内的账单下载申请。","ref":"WeChat.Pay.Bill.html#t:bill_date/0"},{"type":"type","title":"WeChat.Pay.Bill.bill_type/0","doc":"账单类型\n\n不填则默认是 `\"ALL\"`, 可选取值：\n\n- `\"ALL\"`: 返回当日所有订单信息（不含充值退款订单）\n- `\"SUCCESS\"`: 返回当日成功支付的订单（不含充值退款订单）\n- `\"REFUND\"`: 返回当日退款订单（不含充值退款订单）\n- `\"RECHARGE_REFUND\"`: 返回当日充值退款订单\n- `\"ALL_SPECIAL\"`: 返回个性化账单当日所有订单信息\n- `\"SUC_SPECIAL\"`: 返回个性化账单当日成功支付的订单\n- `\"REF_SPECIAL\"`: 返回个性化账单当日退款订单","ref":"WeChat.Pay.Bill.html#t:bill_type/0"},{"type":"type","title":"WeChat.Pay.Bill.zip?/0","doc":"是否压缩\n\n- `false`: 不压缩的方式返回数据流\n- `true`: GZIP 格式压缩，返回格式为 `.gzip` 的压缩包账单","ref":"WeChat.Pay.Bill.html#t:zip?/0"},{"type":"module","title":"WeChat.Pay.Certificates","doc":"微信支付 - 平台证书\n\n- [平台证书简介](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/wechatpay-certificates.html){:target=\"_blank\"}\n- [平台证书更新指引](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/wechatpay-certificates-rotation.html){:target=\"_blank\"}\n- [证书相关问题](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/certificate-faqs.html){:target=\"_blank\"}","ref":"WeChat.Pay.Certificates.html"},{"type":"function","title":"WeChat.Pay.Certificates.certificates/2","doc":"下载平台证书 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/platform-certificate/api-v3-get-certificates/get.html){:target=\"_blank\"}","ref":"WeChat.Pay.Certificates.html#certificates/2"},{"type":"function","title":"WeChat.Pay.Certificates.decrypt_certificate/2","doc":"证书和回调报文解密 - \n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/certificate-callback-decryption.html){:target=\"_blank\"}","ref":"WeChat.Pay.Certificates.html#decrypt_certificate/2"},{"type":"function","title":"WeChat.Pay.Certificates.get_cert/2","doc":"获取 serial_no 对应的 平台证书","ref":"WeChat.Pay.Certificates.html#get_cert/2"},{"type":"function","title":"WeChat.Pay.Certificates.put_cert/3","doc":"保存平台证书 serial_no => cert 的对应关系","ref":"WeChat.Pay.Certificates.html#put_cert/3"},{"type":"function","title":"WeChat.Pay.Certificates.remove_cert/2","doc":"移除 serial_no 对应的 平台证书","ref":"WeChat.Pay.Certificates.html#remove_cert/2"},{"type":"module","title":"WeChat.Pay.CombineTransactions","doc":"微信支付-合单支付","ref":"WeChat.Pay.CombineTransactions.html"},{"type":"function","title":"WeChat.Pay.CombineTransactions.jsapi/2","doc":"JSAPI下单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/combine-payment/orders/jsapi-prepay.html){:target=\"_blank\"}\n\n使用合单支付接口，用户只输入一次密码，即可完成多个订单的支付。目前最多一次可支持50笔订单进行合单支付。","ref":"WeChat.Pay.CombineTransactions.html#jsapi/2"},{"type":"function","title":"WeChat.Pay.CombineTransactions.jsapi/6","doc":"same as `jsapi/2`","ref":"WeChat.Pay.CombineTransactions.html#jsapi/6"},{"type":"type","title":"WeChat.Pay.CombineTransactions.combine_out_trade_no/0","doc":"合单商户订单号\n\n合单支付总订单号，最短2个字符，最长32个字符，只能是数字、大小写字母，以及_-|* ，且在同一个商户号下唯一","ref":"WeChat.Pay.CombineTransactions.html#t:combine_out_trade_no/0"},{"type":"type","title":"WeChat.Pay.CombineTransactions.sub_order/0","doc":"","ref":"WeChat.Pay.CombineTransactions.html#t:sub_order/0"},{"type":"type","title":"WeChat.Pay.CombineTransactions.sub_orders/0","doc":"","ref":"WeChat.Pay.CombineTransactions.html#t:sub_orders/0"},{"type":"module","title":"WeChat.Pay.Crypto","doc":"用于支付加密相关","ref":"WeChat.Pay.Crypto.html"},{"type":"function","title":"WeChat.Pay.Crypto.decrypt_aes_256_gcm/4","doc":"","ref":"WeChat.Pay.Crypto.html#decrypt_aes_256_gcm/4"},{"type":"function","title":"WeChat.Pay.Crypto.decrypt_secret_data/2","doc":"解密敏感信息 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/sensitive-data-encryption.html){:target=\"_blank\"}","ref":"WeChat.Pay.Crypto.html#decrypt_secret_data/2"},{"type":"function","title":"WeChat.Pay.Crypto.encrypt_secret_data/2","doc":"加密敏感信息 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/sensitive-data-encryption.html){:target=\"_blank\"}","ref":"WeChat.Pay.Crypto.html#encrypt_secret_data/2"},{"type":"function","title":"WeChat.Pay.Crypto.sign/4","doc":"签名 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/signature-generation.html){:target=\"_blank\"}","ref":"WeChat.Pay.Crypto.html#sign/4"},{"type":"function","title":"WeChat.Pay.Crypto.v2_sign/2","doc":"签名(v2) -\n[官方文档](https://pay.weixin.qq.com/wiki/doc/api/micropay.php?chapter=4_3){:target=\"_blank\"}","ref":"WeChat.Pay.Crypto.html#v2_sign/2"},{"type":"function","title":"WeChat.Pay.Crypto.v2_sign/3","doc":"","ref":"WeChat.Pay.Crypto.html#v2_sign/3"},{"type":"function","title":"WeChat.Pay.Crypto.v2_verify/3","doc":"","ref":"WeChat.Pay.Crypto.html#v2_verify/3"},{"type":"function","title":"WeChat.Pay.Crypto.verify/5","doc":"验签 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/signature-verification.html){:target=\"_blank\"}","ref":"WeChat.Pay.Crypto.html#verify/5"},{"type":"module","title":"WeChat.Pay.EventHandler","doc":"微信支付 回调通知处理器\n\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/jsapi-payment/payment-notice.html)\n\n    注意\n\n    对后台通知交互时，如果微信收到应答不是成功或超时，微信认为通知失败，\n    微信会通过一定的策略定期重新发起通知，尽可能提高通知的成功率，但微信不保证通知最终能成功\n\n    同样的通知可能会多次发送给商户系统。商户系统必须能够正确处理重复的通知。\n    推荐的做法是，当商户系统收到通知进行处理时，先检查对应业务数据的状态，\n    并判断该通知是否已经处理。如果未处理，则再进行处理；如果已处理，则直接返回结果成功。\n    在对业务数据进行状态检查和处理之前，要采用数据锁进行并发控制，以避免函数重入造成的数据混乱。\n\n    如果在所有通知频率后没有收到微信侧回调。商户应调用查询订单接口确认订单状态。","ref":"WeChat.Pay.EventHandler.html"},{"type":"module","title":"通知规则 - WeChat.Pay.EventHandler","doc":"用户支付完成后，微信会把相关支付结果和用户信息发送给商户，商户需要接收处理该消息，并返回应答。\n\n对后台通知交互时，如果微信收到商户的应答不符合规范或超时，微信认为通知失败，微信会通过一定的策略定期重新发起通知，尽可能提高通知的成功率，\n但微信不保证通知最终能成功。\n\n通知频率为 `15s`/`15s`/`30s`/`3m`/`10m`/`20m`/`30m`/`30m`/`30m`/`60m`/`3h`/`3h`/`3h`/`6h`/`6h` - 总计 `24h4m`","ref":"WeChat.Pay.EventHandler.html#module-%E9%80%9A%E7%9F%A5%E8%A7%84%E5%88%99"},{"type":"module","title":"Usage - WeChat.Pay.EventHandler","doc":"","ref":"WeChat.Pay.EventHandler.html#module-usage"},{"type":"module","title":"For Plug - WeChat.Pay.EventHandler","doc":"defmodule YourAppWeb.PayEventRouter do\n      use Plug.Router\n\n      plug :match\n      plug :dispatch\n\n      Code.ensure_compiled!(WechatPayDemo.PayClient)\n\n      post \"/api/pay/callback\",\n        to: WeChat.Pay.EventHandler,\n        init_opts: [client: WxPay, event_handler: &YourModule.handle_event/3]\n\n      match _, do: conn\n    end","ref":"WeChat.Pay.EventHandler.html#module-for-plug"},{"type":"module","title":"For Phoenix - WeChat.Pay.EventHandler","doc":"建议是定义一个上方的 `PayEventRouter`, 然后接入到 `endpoint` 中 `plug Plug.Parsers` 的上一行:\n\n    defmodule YourAppWeb.Endpoint do\n      # ...\n      plug Plug.RequestId\n      plug Plug.Telemetry, event_prefix: [:phoenix, :endpoint]\n      plug YourAppWeb.PayEventRouter # <<== add to here, before Plug.Parsers\n\n      plug Plug.Parsers,\n        parsers: [:urlencoded, :multipart, :json],\n        pass: [\"*/*\"],\n        json_decoder: Phoenix.json_library()\n\n      plug Plug.MethodOverride\n      plug Plug.Head\n      plug Plug.Session, @session_options\n      plug YourAppWeb.Router\n      # ...\n    end\n\n** 注意 **, `Plug.Parsers` 会解析 `body`, 请确保此 `plug` 传入的 `body` 为 `binary` 格式, 否则将会导致验签失败\n\n如果确认 `body` 未被解析, 亦可使用下面方式接入到 `router` 里面:\n\n    post \"/wx/pay/event\", WeChat.Pay.EventHandler,\n      client: WxPay,\n      event_handler: &YourModule.handle_event/3\n\nbefore phoenix 1.17:\n\n    forward \"/wx/pay/event\", WeChat.Pay.EventHandler,\n      client: WxPay,\n      event_handler: &YourModule.handle_event/3","ref":"WeChat.Pay.EventHandler.html#module-for-phoenix"},{"type":"module","title":"Options - WeChat.Pay.EventHandler","doc":"- `event_handler`: 必填, [定义](`t:event_handler/0`)\n- `client`: 必填, [定义](`t:WeChat.Pay.client/0`)","ref":"WeChat.Pay.EventHandler.html#module-options"},{"type":"function","title":"WeChat.Pay.EventHandler.handle_event_request/3","doc":"","ref":"WeChat.Pay.EventHandler.html#handle_event_request/3"},{"type":"type","title":"WeChat.Pay.EventHandler.event_handler/0","doc":"事件处理回调函数","ref":"WeChat.Pay.EventHandler.html#t:event_handler/0"},{"type":"type","title":"WeChat.Pay.EventHandler.event_handler_return/0","doc":"事件处理回调返回值\n\n返回值说明：\n- `:ok`: 成功\n- `:error`: 返回错误\n- `{:error, any}`: 返回错误","ref":"WeChat.Pay.EventHandler.html#t:event_handler_return/0"},{"type":"module","title":"WeChat.Pay.Refund","doc":"微信支付-退款","ref":"WeChat.Pay.Refund.html"},{"type":"function","title":"WeChat.Pay.Refund.abnormal_refund/3","doc":"发起异常退款 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/refund/refunds/create-abnormal-refund.html){:target=\"_blank\"}\n\n提交退款申请后，查询退款确认状态为退款异常，可调用此接口发起异常退款处理。支持退款至用户、退款至交易商户银行账户两种处理方式。\n\n注意：\n\n- 退款至用户时，仅支持以下银行的借记卡：招行、交通银行、农行、建行、工商、中行、平安、浦发、中信、光大、民生、兴业、广发、邮储、宁波银行。\n- 请求频率限制：150qps，即每秒钟正常的申请退款请求次数不超过150次","ref":"WeChat.Pay.Refund.html#abnormal_refund/3"},{"type":"function","title":"WeChat.Pay.Refund.query_refund/2","doc":"查询单笔退款(通过商户退款单号) -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/refund/refunds/query-by-out-refund-no.html){:target=\"_blank\"}\n\n提交退款申请后，通过调用该接口查询退款状态。\n退款有一定延时，建议查询退款状态在提交退款申请后1分钟发起，一般来说零钱支付的退款5分钟内到账，银行卡支付的退款1-3个工作日到账。","ref":"WeChat.Pay.Refund.html#query_refund/2"},{"type":"function","title":"WeChat.Pay.Refund.refund/2","doc":"退款申请 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/refund/refunds/create.html){:target=\"_blank\"}\n\n当交易发生之后一段时间内，由于买家或者卖家的原因需要退款时，卖家可以通过退款接口将支付款退还给买家，\n微信支付将在收到退款请求并且验证成功之后，按照退款规则将支付款按原路退到买家帐号上。","ref":"WeChat.Pay.Refund.html#refund/2"},{"type":"function","title":"WeChat.Pay.Refund.refund_by_id/7","doc":"same as `refund/2`","ref":"WeChat.Pay.Refund.html#refund_by_id/7"},{"type":"function","title":"WeChat.Pay.Refund.refund_by_out_trade_no/7","doc":"same as `refund/2`","ref":"WeChat.Pay.Refund.html#refund_by_out_trade_no/7"},{"type":"type","title":"WeChat.Pay.Refund.out_refund_no/0","doc":"商户退款单号\n\n商户系统内部的退款单号，商户系统内部唯一，只能是数字、大小写字母_-|*@ ，同一退款单号多次请求只退一笔","ref":"WeChat.Pay.Refund.html#t:out_refund_no/0"},{"type":"type","title":"WeChat.Pay.Refund.reason/0","doc":"退款原因\n\n若商户传入，会在下发给用户的退款消息中体现退款原因","ref":"WeChat.Pay.Refund.html#t:reason/0"},{"type":"type","title":"WeChat.Pay.Refund.refund_id/0","doc":"微信支付退款号","ref":"WeChat.Pay.Refund.html#t:refund_id/0"},{"type":"module","title":"WeChat.Pay.Sandbox","doc":"支付沙盒(仅适用于v2)\n\n[官方文档](https://pay.weixin.qq.com/wiki/doc/api/jsapi.php?chapter=23_1&index=2)","ref":"WeChat.Pay.Sandbox.html"},{"type":"function","title":"WeChat.Pay.Sandbox.get_sign_key/2","doc":"","ref":"WeChat.Pay.Sandbox.html#get_sign_key/2"},{"type":"module","title":"WeChat.Pay.Transactions","doc":"微信支付 - 交易","ref":"WeChat.Pay.Transactions.html"},{"type":"function","title":"WeChat.Pay.Transactions.app/2","doc":"APP 下单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/in-app-payment/direct-jsons/app-prepay.html){:target=\"_blank\"}\n\n商户系统先调用该接口在微信支付服务后台生成预支付交易单，返回正确的预支付交易会话标识后再按Native、JSAPI、APP等不同场景生成交易串调起支付","ref":"WeChat.Pay.Transactions.html#app/2"},{"type":"function","title":"WeChat.Pay.Transactions.app_request_payment_args/3","doc":"APP 调起支付 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/in-app-payment/app-transfer-payment.html){:target=\"_blank\"}\n\n通过App下单接口获取到发起支付的必要参数prepay_id，可以按照接口定义中的规则，使用微信支付提供的SDK调起App支付","ref":"WeChat.Pay.Transactions.html#app_request_payment_args/3"},{"type":"function","title":"WeChat.Pay.Transactions.close/2","doc":"关闭订单\n\n以下情况需要调用关单接口：\n\n- 商户订单支付失败需要生成新单号重新发起支付，要对原订单号调用关单，避免重复支付\n- 系统下单后，用户支付超时，系统退出不再受理，避免用户继续，请调用关单接口","ref":"WeChat.Pay.Transactions.html#close/2"},{"type":"function","title":"WeChat.Pay.Transactions.h5/2","doc":"H5 下单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/h5-payment/direct-jsons/h5-prepay.html){:target=\"_blank\"}\n\n商户系统先调用该接口在微信支付服务后台生成预支付交易单，返回正确的预支付交易会话标识后再按Native、JSAPI、APP等不同场景生成交易串调起支付","ref":"WeChat.Pay.Transactions.html#h5/2"},{"type":"function","title":"WeChat.Pay.Transactions.jsapi/2","doc":"JSAPI下单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/jsapi-payment/direct-jsons/jsapi-prepay.html){:target=\"_blank\"}\n\n商户系统先调用该接口在微信支付服务后台生成预支付交易单，返回正确的预支付交易会话标识后再按Native、JSAPI、APP等不同场景生成交易串调起支付","ref":"WeChat.Pay.Transactions.html#jsapi/2"},{"type":"function","title":"WeChat.Pay.Transactions.jsapi/7","doc":"same as `jsapi/2`","ref":"WeChat.Pay.Transactions.html#jsapi/7"},{"type":"function","title":"WeChat.Pay.Transactions.native/2","doc":"Native 下单 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/h5-payment/direct-jsons/h5-prepay.html){:target=\"_blank\"}\n\n通过本接口来生成支付链接参数code_url，然后将该参数值生成二维码图片展示给用户。\n用户在使用微信客户端扫描二维码后，可以直接跳转到微信支付页面完成支付操作","ref":"WeChat.Pay.Transactions.html#native/2"},{"type":"function","title":"WeChat.Pay.Transactions.pay_by_scan/2","doc":"付款码支付(v2) -\n[官方文档](https://pay.weixin.qq.com/wiki/doc/api/micropay.php?chapter=9_10){:target=\"_blank\"}\n\n收银员使用扫码设备读取微信用户付款码以后，二维码或条码信息会传送至商户收银台，由商户收银台或者商户后台调用该接口发起支付\n\n[支付流程](https://pay.weixin.qq.com/wiki/doc/api/micropay.php?chapter=5_4){:target=\"_blank\"}","ref":"WeChat.Pay.Transactions.html#pay_by_scan/2"},{"type":"function","title":"WeChat.Pay.Transactions.query_by_id/2","doc":"","ref":"WeChat.Pay.Transactions.html#query_by_id/2"},{"type":"function","title":"WeChat.Pay.Transactions.query_by_out_trade_no/2","doc":"","ref":"WeChat.Pay.Transactions.html#query_by_out_trade_no/2"},{"type":"function","title":"WeChat.Pay.Transactions.request_payment_args/3","doc":"JSAPI调起支付 -\n[官方文档](https://pay.weixin.qq.com/docs/merchant/apis/jsapi-payment/jsapi-transfer-payment.html){:target=\"_blank\"}\n\n通过 JSAPI下单 接口获取到发起支付的必要参数 `t:prepay_id/0`，然后使用微信支付提供的 前端JS方法 调起支付窗口","ref":"WeChat.Pay.Transactions.html#request_payment_args/3"},{"type":"function","title":"WeChat.Pay.Transactions.revoke/2","doc":"撤销订单(v2) -\n[官方文档](https://pay.weixin.qq.com/wiki/doc/api/micropay.php?chapter=9_11){:target=\"_blank\"}\n\n**需要配置证书**\n\n支付交易返回失败或支付系统超时，调用该接口撤销交易\n\n  - 如果此订单用户支付失败，微信支付系统会将此订单关闭；\n  - 如果用户支付成功，微信支付系统会将此订单资金退还给用户。\n\n注意：7天以内的交易单可调用撤销，其他正常支付的单如需实现相同功能请调用申请退款API。提交支付交易后调用【查询订单API】，没有明确的支付结果再调用【撤销订单API】","ref":"WeChat.Pay.Transactions.html#revoke/2"},{"type":"type","title":"WeChat.Pay.Transactions.amount/0","doc":"订单金额，单位为分","ref":"WeChat.Pay.Transactions.html#t:amount/0"},{"type":"type","title":"WeChat.Pay.Transactions.description/0","doc":"商品描述","ref":"WeChat.Pay.Transactions.html#t:description/0"},{"type":"type","title":"WeChat.Pay.Transactions.notify_url/0","doc":"通知地址\n\n异步接收微信支付结果通知的回调地址，通知URL必须为外网可访问的URL，不能携带参数。\n公网域名必须为HTTPS，如果是走专线接入，使用专线NAT IP或者私有回调域名可使用HTTP","ref":"WeChat.Pay.Transactions.html#t:notify_url/0"},{"type":"type","title":"WeChat.Pay.Transactions.out_trade_no/0","doc":"商户订单号\n\n商户系统内部订单号，可以是数字、大小写字母_-*的任意组合，且在同一个商户号下唯一","ref":"WeChat.Pay.Transactions.html#t:out_trade_no/0"},{"type":"type","title":"WeChat.Pay.Transactions.prepay_id/0","doc":"预支付交易会话标识\n\n预支付交易会话标识。用于后续接口调用中使用，该值有效期为2小时","ref":"WeChat.Pay.Transactions.html#t:prepay_id/0"},{"type":"type","title":"WeChat.Pay.Transactions.transaction_id/0","doc":"微信支付订单号","ref":"WeChat.Pay.Transactions.html#t:transaction_id/0"},{"type":"module","title":"WeChat.Pay.Middleware.Authorization","doc":"微信支付 V3 Authorization 签名生成\n\nTesla Middleware\n\n- [如何生成请求签名](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/signature-generation.html){:target=\"_blank\"}\n- [签名相关问题](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/signature-faqs.html){:target=\"_blank\"}","ref":"WeChat.Pay.Middleware.Authorization.html"},{"type":"function","title":"WeChat.Pay.Middleware.Authorization.gen_token/4","doc":"","ref":"WeChat.Pay.Middleware.Authorization.html#gen_token/4"},{"type":"module","title":"WeChat.Pay.Middleware.VerifySignature","doc":"微信支付 V3 验证签名\n\nTesla Middleware\n\n- [如何验证签名](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/signature-verification.html){:target=\"_blank\"}\n- [签名相关问题](https://pay.weixin.qq.com/docs/merchant/development/interface-rules/signature-faqs.html){:target=\"_blank\"}","ref":"WeChat.Pay.Middleware.VerifySignature.html"},{"type":"module","title":"WeChat.Pay.Middleware.XMLBuilder","doc":"微信支付 V2 构建xml & 签名\n\nTesla Middleware\n\n[签名算法](https://pay.weixin.qq.com/wiki/doc/api/micropay.php?chapter=4_3){:target=\"_blank\"}","ref":"WeChat.Pay.Middleware.XMLBuilder.html"},{"type":"module","title":"WeChat.Pay.Middleware.XMLParser","doc":"微信支付 V2 解构xml\n\nTesla Middleware","ref":"WeChat.Pay.Middleware.XMLParser.html"},{"type":"module","title":"WeChat.TokenChecker","doc":"Token 检查器\n\n定期（默认为每 5 分钟检查一次）检查 access_token，如果发现失效，则自动刷新\n\n按以下方式配置，将自动给对应的 client 增加检查\n\n    config :wechat, :check_token_for_clients, [ClientA, ClientB, ClientC]","ref":"WeChat.TokenChecker.html"},{"type":"function","title":"WeChat.TokenChecker.add/3","doc":"","ref":"WeChat.TokenChecker.html#add/3"},{"type":"function","title":"WeChat.TokenChecker.add_client/1","doc":"","ref":"WeChat.TokenChecker.html#add_client/1"},{"type":"function","title":"WeChat.TokenChecker.add_client/2","doc":"","ref":"WeChat.TokenChecker.html#add_client/2"},{"type":"function","title":"WeChat.TokenChecker.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"WeChat.TokenChecker.html#child_spec/1"},{"type":"function","title":"WeChat.TokenChecker.ids/0","doc":"","ref":"WeChat.TokenChecker.html#ids/0"},{"type":"function","title":"WeChat.TokenChecker.maybe_add_client/2","doc":"","ref":"WeChat.TokenChecker.html#maybe_add_client/2"},{"type":"function","title":"WeChat.TokenChecker.remove/1","doc":"","ref":"WeChat.TokenChecker.html#remove/1"},{"type":"function","title":"WeChat.TokenChecker.start_link/1","doc":"","ref":"WeChat.TokenChecker.html#start_link/1"},{"type":"type","title":"WeChat.TokenChecker.check_fun/0","doc":"","ref":"WeChat.TokenChecker.html#t:check_fun/0"},{"type":"type","title":"WeChat.TokenChecker.refresh_fun/0","doc":"","ref":"WeChat.TokenChecker.html#t:refresh_fun/0"},{"type":"module","title":"WeChat.Refresher.Default","doc":"AccessToken 刷新器 - 用于定时刷新 AccessToken\n\n[官方说明](https://developers.weixin.qq.com/doc/offiaccount/Getting_Started/Getting_Started_Guide.html#_1-5-%E9%87%8D%E8%A6%81%E4%BA%8B%E6%83%85%E6%8F%90%E5%89%8D%E4%BA%A4%E4%BB%A3)\n\n本模块为默认的刷新器\n\n需要修改为自定义的刷新器，可以这样配置：\n\n    config :wechat, :refresher, YourRefresher\n\n修改刷新器的配置，支持多种配置方式：","ref":"WeChat.Refresher.Default.html"},{"type":"module","title":"方式1 - WeChat.Refresher.Default","doc":"config :wechat, :refresh_settings, [ClientA, ClientB, ClientC]\n\n以上配置会自动为三个 `Client` 定时刷新 `AccessToken` ，\n默认会在 `AccessToken` 过期前 `30` 分钟刷新，\n`AccessToken` 刷新失败的重试间隔为 `1` 分钟，\n可以通过接口 获取默认的 `AccessToken` 刷新列表：`WeChat.Refresher.DefaultSettings.get_refresh_options_by_client/1`","ref":"WeChat.Refresher.Default.html#module-%E6%96%B9%E5%BC%8F1"},{"type":"module","title":"方式2 - WeChat.Refresher.Default","doc":"config :wechat, :refresh_settings, [{ClientA, client_setting}, ClientB, ClientC]\n    # or\n    config :wechat, :refresh_settings, %{ClientA => client_setting, ClientB => client_setting, ClientC => client_setting}\n\n`client_setting` 配置说明见：`t:client_setting/0`\n\n为了适应 `Storage` 在 `Refresher` 启动之后才启动，可以开启延时启动刷新:\n\n    config :wechat, WeChat.Refresher.Default, wait_for_signal: true\n\n当所有的 `Storage` 都已经完成，可以即可通过 `WeChat.Refresher.Default.start_monitor/0` 方法刷新 `AccessToken`\n\n不配置默认为立即启动刷新","ref":"WeChat.Refresher.Default.html#module-%E6%96%B9%E5%BC%8F2"},{"type":"function","title":"WeChat.Refresher.Default.add/2","doc":"","ref":"WeChat.Refresher.Default.html#add/2"},{"type":"function","title":"WeChat.Refresher.Default.append_work_agent/2","doc":"","ref":"WeChat.Refresher.Default.html#append_work_agent/2"},{"type":"function","title":"WeChat.Refresher.Default.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"WeChat.Refresher.Default.html#child_spec/1"},{"type":"function","title":"WeChat.Refresher.Default.client_options/1","doc":"","ref":"WeChat.Refresher.Default.html#client_options/1"},{"type":"function","title":"WeChat.Refresher.Default.clients/0","doc":"","ref":"WeChat.Refresher.Default.html#clients/0"},{"type":"function","title":"WeChat.Refresher.Default.components/0","doc":"","ref":"WeChat.Refresher.Default.html#components/0"},{"type":"function","title":"WeChat.Refresher.Default.refresh/1","doc":"","ref":"WeChat.Refresher.Default.html#refresh/1"},{"type":"function","title":"WeChat.Refresher.Default.refresh/3","doc":"","ref":"WeChat.Refresher.Default.html#refresh/3"},{"type":"function","title":"WeChat.Refresher.Default.refresh_component/2","doc":"","ref":"WeChat.Refresher.Default.html#refresh_component/2"},{"type":"function","title":"WeChat.Refresher.Default.refresh_key/5","doc":"","ref":"WeChat.Refresher.Default.html#refresh_key/5"},{"type":"function","title":"WeChat.Refresher.Default.remove/1","doc":"","ref":"WeChat.Refresher.Default.html#remove/1"},{"type":"function","title":"WeChat.Refresher.Default.start_link/1","doc":"","ref":"WeChat.Refresher.Default.html#start_link/1"},{"type":"function","title":"WeChat.Refresher.Default.start_monitor/0","doc":"","ref":"WeChat.Refresher.Default.html#start_monitor/0"},{"type":"type","title":"WeChat.Refresher.Default.client_setting/0","doc":"option\n- `:refresh_before_expired`: 在 `AccessToken` 超时前多少秒刷新，单位：秒，可选，\n为保证 `hub` & `hub_client` 刷新正常，请保持两者的时间一致；\n`server_role=hub_client` 时, 默认值：`1800 + 30` 秒；\n其余角色默认值：`1800` 秒\n- `:refresh_retry_interval`: 刷新 `AccessToken` 失败的重试间隔，单位：秒，可选，默认值：`60000` 秒\n- `:refresh_options`: 刷新 `AccessToken` 配置，可选，默认值：`WeChat.Refresher.DefaultSettings.get_refresh_options_by_client/1` 的输出结果","ref":"WeChat.Refresher.Default.html#t:client_setting/0"},{"type":"type","title":"WeChat.Refresher.Default.client_settings/0","doc":"","ref":"WeChat.Refresher.Default.html#t:client_settings/0"},{"type":"type","title":"WeChat.Refresher.Default.refresh_before_expired/0","doc":"在 `AccessToken` 超时前多少秒刷新，单位：秒\n\n如果`server_role` = `hub`, `hub server` 的值请大于 `hub client`","ref":"WeChat.Refresher.Default.html#t:refresh_before_expired/0"},{"type":"type","title":"WeChat.Refresher.Default.refresh_retry_interval/0","doc":"刷新 `AccessToken` 失败的重试间隔，单位：秒","ref":"WeChat.Refresher.Default.html#t:refresh_retry_interval/0"},{"type":"type","title":"WeChat.Refresher.Default.state/0","doc":"","ref":"WeChat.Refresher.Default.html#t:state/0"},{"type":"module","title":"WeChat.Refresher.DefaultSettings","doc":"刷新 `AccessToken` 的方法","ref":"WeChat.Refresher.DefaultSettings.html"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.component_refresh_options/1","doc":"输出[第三方平台]的 `refresh_options`\n\n刷新如下 `AccessToken`：\n- `component_access_token`\n- AuthorizerRefreshOptions (get by client.app_type())","ref":"WeChat.Refresher.DefaultSettings.html#component_refresh_options/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.get_refresh_options_by_client/1","doc":"根据不同的 `client` 的 `app_type` & `by_component?` 输出不同的 `refresh_options`\n\nrules:\n- `by_component?` == `true`: `component_refresh_options/1`\n- `official_account`: `official_account_refresh_options/1`\n- `mini_program`: `mini_program_refresh_options/1`","ref":"WeChat.Refresher.DefaultSettings.html#get_refresh_options_by_client/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.mini_program_refresh_options/1","doc":"输出[小程序]的 `refresh_options`\n\n刷新如下 `AccessToken`：\n- `access_token`","ref":"WeChat.Refresher.DefaultSettings.html#mini_program_refresh_options/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.official_account_refresh_options/1","doc":"输出[公众号]的 `refresh_options`\n\n刷新如下 `AccessToken`：\n- `access_token`\n- `js_api_ticket`\n- `wx_card_ticket`","ref":"WeChat.Refresher.DefaultSettings.html#official_account_refresh_options/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.refresh_access_token/1","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#refresh_access_token/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.refresh_authorizer_access_token/1","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#refresh_authorizer_access_token/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.refresh_component_access_token/1","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#refresh_component_access_token/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.refresh_mini_program_access_token/1","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#refresh_mini_program_access_token/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.refresh_ticket/2","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#refresh_ticket/2"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.refresh_work_access_token/3","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#refresh_work_access_token/3"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.refresh_work_jsapi_ticket/5","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#refresh_work_jsapi_ticket/5"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.work_refresh_options/1","doc":"输出[企业微信]的 `refresh_options`\n\n刷新如下 `AccessToken`：\n- `access_token`","ref":"WeChat.Refresher.DefaultSettings.html#work_refresh_options/1"},{"type":"function","title":"WeChat.Refresher.DefaultSettings.work_refresh_options/2","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#work_refresh_options/2"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.expires_in/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:expires_in/0"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.key_name/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:key_name/0"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.refresh_fun/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:refresh_fun/0"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.refresh_fun_result/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:refresh_fun_result/0"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.refresh_option/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:refresh_option/0"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.refresh_options/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:refresh_options/0"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.token/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:token/0"},{"type":"type","title":"WeChat.Refresher.DefaultSettings.token_list/0","doc":"","ref":"WeChat.Refresher.DefaultSettings.html#t:token_list/0"},{"type":"module","title":"WeChat.Refresher.Pay","doc":"微信支付 - 刷新器\n\n每 12 小时检查 更新证书\n\n[下载平台证书](https://pay.weixin.qq.com/docs/merchant/apis/platform-certificate/api-v3-get-certificates/get.html)","ref":"WeChat.Refresher.Pay.html"},{"type":"function","title":"WeChat.Refresher.Pay.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"WeChat.Refresher.Pay.html#child_spec/1"},{"type":"function","title":"WeChat.Refresher.Pay.start_link/1","doc":"","ref":"WeChat.Refresher.Pay.html#start_link/1"},{"type":"module","title":"WeChat.Requester.OfficialAccount","doc":"默认的请求客户端(公众号&小程序&第三方)\n\n```\nuse Tesla\nadapter: Finch\nBaseUrl: \"https://api.weixin.qq.com\"\n```","ref":"WeChat.Requester.OfficialAccount.html"},{"type":"function","title":"WeChat.Requester.OfficialAccount.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"WeChat.Requester.OfficialAccount.html#get/3"},{"type":"function","title":"WeChat.Requester.OfficialAccount.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"WeChat.Requester.OfficialAccount.html#get!/3"},{"type":"function","title":"WeChat.Requester.OfficialAccount.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"WeChat.Requester.OfficialAccount.html#post/4"},{"type":"function","title":"WeChat.Requester.OfficialAccount.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"WeChat.Requester.OfficialAccount.html#post!/4"},{"type":"function","title":"WeChat.Requester.OfficialAccount.request/2","doc":"Perform a request.","ref":"WeChat.Requester.OfficialAccount.html#request/2"},{"type":"function","title":"Options - WeChat.Requester.OfficialAccount.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"WeChat.Requester.OfficialAccount.html#request/2-options"},{"type":"function","title":"Examples - WeChat.Requester.OfficialAccount.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"WeChat.Requester.OfficialAccount.html#request/2-examples"},{"type":"function","title":"WeChat.Requester.OfficialAccount.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"WeChat.Requester.OfficialAccount.html#request!/2"},{"type":"type","title":"WeChat.Requester.OfficialAccount.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"WeChat.Requester.OfficialAccount.html#t:option/0"},{"type":"module","title":"WeChat.Requester.Pay","doc":"默认的请求客户端(微信支付)","ref":"WeChat.Requester.Pay.html"},{"type":"function","title":"WeChat.Requester.Pay.get/3","doc":"","ref":"WeChat.Requester.Pay.html#get/3"},{"type":"function","title":"WeChat.Requester.Pay.post/4","doc":"","ref":"WeChat.Requester.Pay.html#post/4"},{"type":"function","title":"WeChat.Requester.Pay.v2_post/4","doc":"","ref":"WeChat.Requester.Pay.html#v2_post/4"},{"type":"module","title":"WeChat.Requester.Work","doc":"默认的请求客户端(企业微信)\n\n```\nuse Tesla\nadapter: Finch\nBaseUrl: \"https://qyapi.weixin.qq.com\"\n```","ref":"WeChat.Requester.Work.html"},{"type":"function","title":"WeChat.Requester.Work.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"WeChat.Requester.Work.html#get/3"},{"type":"function","title":"WeChat.Requester.Work.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"WeChat.Requester.Work.html#get!/3"},{"type":"function","title":"WeChat.Requester.Work.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"WeChat.Requester.Work.html#post/4"},{"type":"function","title":"WeChat.Requester.Work.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"WeChat.Requester.Work.html#post!/4"},{"type":"function","title":"WeChat.Requester.Work.request/2","doc":"Perform a request.","ref":"WeChat.Requester.Work.html#request/2"},{"type":"function","title":"Options - WeChat.Requester.Work.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"WeChat.Requester.Work.html#request/2-options"},{"type":"function","title":"Examples - WeChat.Requester.Work.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"WeChat.Requester.Work.html#request/2-examples"},{"type":"function","title":"WeChat.Requester.Work.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"WeChat.Requester.Work.html#request!/2"},{"type":"type","title":"WeChat.Requester.Work.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"WeChat.Requester.Work.html#t:option/0"},{"type":"behaviour","title":"WeChat.Storage.Adapter","doc":"存储器适配器","ref":"WeChat.Storage.Adapter.html"},{"type":"callback","title":"WeChat.Storage.Adapter.restore/2","doc":"","ref":"WeChat.Storage.Adapter.html#c:restore/2"},{"type":"callback","title":"WeChat.Storage.Adapter.store/3","doc":"","ref":"WeChat.Storage.Adapter.html#c:store/3"},{"type":"type","title":"WeChat.Storage.Adapter.store_id/0","doc":"","ref":"WeChat.Storage.Adapter.html#t:store_id/0"},{"type":"type","title":"WeChat.Storage.Adapter.store_key/0","doc":"","ref":"WeChat.Storage.Adapter.html#t:store_key/0"},{"type":"type","title":"WeChat.Storage.Adapter.t/0","doc":"存储器","ref":"WeChat.Storage.Adapter.html#t:t/0"},{"type":"type","title":"WeChat.Storage.Adapter.value/0","doc":"","ref":"WeChat.Storage.Adapter.html#t:value/0"},{"type":"module","title":"WeChat.Storage.Cache","doc":"缓存存储器","ref":"WeChat.Storage.Cache.html"},{"type":"function","title":"WeChat.Storage.Cache.del_cache/1","doc":"","ref":"WeChat.Storage.Cache.html#del_cache/1"},{"type":"function","title":"WeChat.Storage.Cache.del_cache/2","doc":"","ref":"WeChat.Storage.Cache.html#del_cache/2"},{"type":"function","title":"WeChat.Storage.Cache.get_cache/1","doc":"","ref":"WeChat.Storage.Cache.html#get_cache/1"},{"type":"function","title":"WeChat.Storage.Cache.get_cache/2","doc":"","ref":"WeChat.Storage.Cache.html#get_cache/2"},{"type":"function","title":"WeChat.Storage.Cache.init_table/0","doc":"","ref":"WeChat.Storage.Cache.html#init_table/0"},{"type":"function","title":"WeChat.Storage.Cache.put_cache/2","doc":"","ref":"WeChat.Storage.Cache.html#put_cache/2"},{"type":"function","title":"WeChat.Storage.Cache.put_cache/3","doc":"","ref":"WeChat.Storage.Cache.html#put_cache/3"},{"type":"function","title":"WeChat.Storage.Cache.put_caches/1","doc":"","ref":"WeChat.Storage.Cache.html#put_caches/1"},{"type":"function","title":"WeChat.Storage.Cache.search_client/1","doc":"","ref":"WeChat.Storage.Cache.html#search_client/1"},{"type":"function","title":"WeChat.Storage.Cache.search_client_agent/2","doc":"","ref":"WeChat.Storage.Cache.html#search_client_agent/2"},{"type":"function","title":"WeChat.Storage.Cache.set_client/1","doc":"","ref":"WeChat.Storage.Cache.html#set_client/1"},{"type":"function","title":"WeChat.Storage.Cache.set_work_agent/2","doc":"","ref":"WeChat.Storage.Cache.html#set_work_agent/2"},{"type":"type","title":"WeChat.Storage.Cache.cache_id/0","doc":"","ref":"WeChat.Storage.Cache.html#t:cache_id/0"},{"type":"type","title":"WeChat.Storage.Cache.cache_key/0","doc":"","ref":"WeChat.Storage.Cache.html#t:cache_key/0"},{"type":"type","title":"WeChat.Storage.Cache.cache_sub_key/0","doc":"","ref":"WeChat.Storage.Cache.html#t:cache_sub_key/0"},{"type":"type","title":"WeChat.Storage.Cache.cache_value/0","doc":"","ref":"WeChat.Storage.Cache.html#t:cache_value/0"},{"type":"module","title":"WeChat.Storage.File","doc":"文件存储器(default)\n\n将 `AccessToken` 数据存储在 `wechat/priv/wechat_app_tokens.json` 文件下","ref":"WeChat.Storage.File.html"},{"type":"function","title":"WeChat.Storage.File.restore_from_file/3","doc":"","ref":"WeChat.Storage.File.html#restore_from_file/3"},{"type":"module","title":"WeChat.Storage.HttpForHubClient","doc":"通过 Http 获取 Hub 的 token 等，仅用于 hub_client\n\n此模块使用 basic_auth 鉴权，如果需要其他鉴权方式，请参照自行实现\n\n    config :wechat, WeChat.Storage.HttpForHubClient,\n      hub_base_url: \"http://hub.example.com\",\n      username: \"username\",\n      password: \"password\"","ref":"WeChat.Storage.HttpForHubClient.html"},{"type":"module","title":"WeChat.Storage.PayFile","doc":"微信支付 - 文件存储器(default)\n\n数据存储在 `wechat/priv/wechat_pay_cacerts_xxx.json` 文件下","ref":"WeChat.Storage.PayFile.html"},{"type":"extras","title":"License","doc":"# Apache License\nVersion 2.0, January 2004\n\nhttp://www.apache.org/licenses/\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION","ref":"license.html"},{"type":"extras","title":"1. Definitions. - License","doc":"\"License\" shall mean the terms and conditions for use, reproduction, and\ndistribution as defined by Sections 1 through 9 of this document.\n\n\"Licensor\" shall mean the copyright owner or entity authorized by the copyright\nowner that is granting the License.\n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities\nthat control, are controlled by, or are under common control with that entity.\nFor the purposes of this definition, \"control\" means (i) the power, direct or\nindirect, to cause the direction or management of such entity, whether by\ncontract or otherwise, or (ii) ownership of fifty percent (50%) or more of the\noutstanding shares, or (iii) beneficial ownership of such entity.\n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising\npermissions granted by this License.\n\n\"Source\" form shall mean the preferred form for making modifications, including\nbut not limited to software source code, documentation source, and configuration\nfiles.\n\n\"Object\" form shall mean any form resulting from mechanical transformation or\ntranslation of a Source form, including but not limited to compiled object code,\ngenerated documentation, and conversions to other media types.\n\n\"Work\" shall mean the work of authorship, whether in Source or Object form, made\navailable under the License, as indicated by a copyright notice that is included\nin or attached to the work (an example is provided in the Appendix below).\n\n\"Derivative Works\" shall mean any work, whether in Source or Object form, that\nis based on (or derived from) the Work and for which the editorial revisions,\nannotations, elaborations, or other modifications represent, as a whole, an\noriginal work of authorship. For the purposes of this License, Derivative Works\nshall not include works that remain separable from, or merely link (or bind by\nname) to the interfaces of, the Work and Derivative Works thereof.\n\n\"Contribution\" shall mean any work of authorship, including the original version\nof the Work and any modifications or additions to that Work or Derivative Works\nthereof, that is intentionally submitted to Licensor for inclusion in the Work\nby the copyright owner or by an individual or Legal Entity authorized to submit\non behalf of the copyright owner. For the purposes of this definition,\n\"submitted\" means any form of electronic, verbal, or written communication sent\nto the Licensor or its representatives, including but not limited to\ncommunication on electronic mailing lists, source code control systems, and\nissue tracking systems that are managed by, or on behalf of, the Licensor for\nthe purpose of discussing and improving the Work, but excluding communication\nthat is conspicuously marked or otherwise designated in writing by the copyright\nowner as \"Not a Contribution.\"\n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf\nof whom a Contribution has been received by Licensor and subsequently\nincorporated within the Work.","ref":"license.html#1-definitions"},{"type":"extras","title":"2. Grant of Copyright License. - License","doc":"Subject to the terms and conditions of this License, each Contributor hereby\ngrants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\nirrevocable copyright license to reproduce, prepare Derivative Works of,\npublicly display, publicly perform, sublicense, and distribute the Work and such\nDerivative Works in Source or Object form.","ref":"license.html#2-grant-of-copyright-license"},{"type":"extras","title":"3. Grant of Patent License. - License","doc":"Subject to the terms and conditions of this License, each Contributor hereby\ngrants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\nirrevocable (except as stated in this section) patent license to make, have\nmade, use, offer to sell, sell, import, and otherwise transfer the Work, where\nsuch license applies only to those patent claims licensable by such Contributor\nthat are necessarily infringed by their Contribution(s) alone or by combination\nof their Contribution(s) with the Work to which such Contribution(s) was\nsubmitted. If You institute patent litigation against any entity (including a\ncross-claim or counterclaim in a lawsuit) alleging that the Work or a\nContribution incorporated within the Work constitutes direct or contributory\npatent infringement, then any patent licenses granted to You under this License\nfor that Work shall terminate as of the date such litigation is filed.","ref":"license.html#3-grant-of-patent-license"},{"type":"extras","title":"4. Redistribution. - License","doc":"You may reproduce and distribute copies of the Work or Derivative Works thereof\nin any medium, with or without modifications, and in Source or Object form,\nprovided that You meet the following conditions:\n\n1. You must give any other recipients of the Work or Derivative Works a copy of\n   this License; and\n\n2. You must cause any modified files to carry prominent notices stating that\n   You changed the files; and\n\n3. You must retain, in the Source form of any Derivative Works that You\n   distribute, all copyright, patent, trademark, and attribution notices from\n   the Source form of the Work, excluding those notices that do not pertain to\n   any part of the Derivative Works; and\n\n4. If the Work includes a \"NOTICE\" text file as part of its distribution, then\n   any Derivative Works that You distribute must include a readable copy of the\n   attribution notices contained within such NOTICE file, excluding those\n   notices that do not pertain to any part of the Derivative Works, in at least\n   one of the following places: within a NOTICE text file distributed as part\n   of the Derivative Works; within the Source form or documentation, if\n   provided along with the Derivative Works; or, within a display generated by\n   the Derivative Works, if and wherever such third-party notices normally\n   appear. The contents of the NOTICE file are for informational purposes only\n   and do not modify the License. You may add Your own attribution notices\n   within Derivative Works that You distribute, alongside or as an addendum to\n   the NOTICE text from the Work, provided that such additional attribution\n   notices cannot be construed as modifying the License.\n\nYou may add Your own copyright statement to Your modifications and may provide\nadditional or different license terms and conditions for use, reproduction, or\ndistribution of Your modifications, or for any such Derivative Works as a whole,\nprovided Your use, reproduction, and distribution of the Work otherwise complies\nwith the conditions stated in this License.","ref":"license.html#4-redistribution"},{"type":"extras","title":"5. Submission of Contributions. - License","doc":"Unless You explicitly state otherwise, any Contribution intentionally submitted\nfor inclusion in the Work by You to the Licensor shall be under the terms and\nconditions of this License, without any additional terms or conditions.\nNotwithstanding the above, nothing herein shall supersede or modify the terms of\nany separate license agreement you may have executed with Licensor regarding\nsuch Contributions.","ref":"license.html#5-submission-of-contributions"},{"type":"extras","title":"6. Trademarks. - License","doc":"This License does not grant permission to use the trade names, trademarks,\nservice marks, or product names of the Licensor, except as required for\nreasonable and customary use in describing the origin of the Work and\nreproducing the content of the NOTICE file.","ref":"license.html#6-trademarks"},{"type":"extras","title":"7. Disclaimer of Warranty. - License","doc":"Unless required by applicable law or agreed to in writing, Licensor provides the\nWork (and each Contributor provides its Contributions) on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied,\nincluding, without limitation, any warranties or conditions of TITLE, NON-\nINFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are\nsolely responsible for determining the appropriateness of using or\nredistributing the Work and assume any risks associated with Your exercise of\npermissions under this License.","ref":"license.html#7-disclaimer-of-warranty"},{"type":"extras","title":"8. Limitation of Liability. - License","doc":"In no event and under no legal theory, whether in tort (including negligence),\ncontract, or otherwise, unless required by applicable law (such as deliberate\nand grossly negligent acts) or agreed to in writing, shall any Contributor be\nliable to You for damages, including any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License or\nout of the use or inability to use the Work (including but not limited to\ndamages for loss of goodwill, work stoppage, computer failure or malfunction, or\nany and all other commercial damages or losses), even if such Contributor has\nbeen advised of the possibility of such damages.","ref":"license.html#8-limitation-of-liability"},{"type":"extras","title":"9. Accepting Warranty or Additional Liability. - License","doc":"While redistributing the Work or Derivative Works thereof, You may choose to\noffer, and charge a fee for, acceptance of support, warranty, indemnity, or\nother liability obligations and/or rights consistent with this License. However,\nin accepting such obligations, You may act only on Your own behalf and on Your\nsole responsibility, not on behalf of any other Contributor, and only if You\nagree to indemnify, defend, and hold each Contributor harmless for any liability\nincurred by, or claims asserted against, such Contributor by reason of your\naccepting any such warranty or additional liability.\n\nEND OF TERMS AND CONDITIONS","ref":"license.html#9-accepting-warranty-or-additional-liability"},{"type":"extras","title":"Overview","doc":"# WeChat\n\n[![Module Version](https://img.shields.io/hexpm/v/wechat_sdk.svg)](https://hex.pm/packages/wechat_sdk)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/wechat_sdk/)\n[![Total Download](https://img.shields.io/hexpm/dt/wechat_sdk.svg)](https://hex.pm/packages/wechat_sdk)\n[![License](https://img.shields.io/hexpm/l/wechat.svg)](https://github.com/feng19/wechat/blob/master/LICENSE)\n[![Last Updated](https://img.shields.io/github/last-commit/feng19/wechat.svg)](https://github.com/feng19/wechat/commits/master)\n\n**WeChat SDK for Elixir**\n\n- 目前 `Elixir` 中支持最完善的微信SDK\n- 支持: \n  - `WeChat` => [公众号](https://developers.weixin.qq.com/doc/offiaccount/Getting_Started/Overview.html)\n  - `WeChat` => [小程序](https://developers.weixin.qq.com/miniprogram/dev/framework/)\n  - `WeChat` => [第三方应用](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/2.0/getting_started/how_to_read.html)\n  - `WeChat.Work` => [企业微信](https://developer.work.weixin.qq.com/document/path/90556)\n  - `WeChat.Pay` => [微信支付](https://pay.weixin.qq.com/wiki/doc/apiv3/wxpay/pages/index.shtml)","ref":"readme.html"},{"type":"extras","title":"Links - Overview","doc":"- [WeChat SDK 使用指南](https://feng19.com/2022/07/08/wechat_for_elixir_usage/) - [示例项目](https://github.com/feng19/wechat_demo)\n- [WeChat SDK(支付) 使用指南](https://feng19.com/2024/02/05/wechat-pay-for-elixir-usage/) - [示例项目](https://github.com/feng19/wechat_pay_demo)\n- [微信官方文档 - 开发前必读](https://developers.weixin.qq.com/doc/offiaccount/Getting_Started/Getting_Started_Guide.html)\n- [微信官方文档 - 在线文档](https://hex.pm/packages/wechat_sdk)","ref":"readme.html#links"},{"type":"extras","title":"Installation - Overview","doc":"You can use `wechat` in your projects by adding it to your `mix.exs` dependencies:\n\n```elixir\ndef deps do\n  [\n    {:wechat, \"~> 0.14\", hex: :wechat_sdk}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Overview","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"定义公众号 Client 模块 - Overview","doc":"```elixir\ndefmodule YourApp.WeChatAppCodeName do\n  @moduledoc \"CodeName\"\n  use WeChat,\n    appid: \"wx-appid\",\n    appsecret: \"appsecret\"\nend\n```\n\n其他类型定义请看 [WeChat](https://hexdocs.pm/wechat_sdk/WeChat.html#module-定义-client-模块)\n\n定义参数说明请看 [Options](https://hexdocs.pm/wechat_sdk/WeChat.html#t:options/0)","ref":"readme.html#%E5%AE%9A%E4%B9%89%E5%85%AC%E4%BC%97%E5%8F%B7-client-%E6%A8%A1%E5%9D%97"},{"type":"extras","title":"自动刷新 AccessToken - Overview","doc":"在调用接口之前，必须先获取 [`AccessToken`](https://developers.weixin.qq.com/doc/offiaccount/Basic_Information/Get_access_token.html) 才能 调用接口，\n[官方说明](https://developers.weixin.qq.com/doc/offiaccount/Getting_Started/Getting_Started_Guide.html#_1-5-%E9%87%8D%E8%A6%81%E4%BA%8B%E6%83%85%E6%8F%90%E5%89%8D%E4%BA%A4%E4%BB%A3)\n\n通过下面的方式激活 `AccessToken` 自动刷新器:\n\n在 `config.exs` 中设置:\n\n```elixir\nconfig :wechat, :refresh_settings, [YourApp.WeChatAppCodeName, ...]\n```\n\n动态添加:\n\n```elixir\nWeChat.add_to_refresher(YourApp.WeChatAppCodeName)\n```","ref":"readme.html#%E8%87%AA%E5%8A%A8%E5%88%B7%E6%96%B0-accesstoken"},{"type":"extras","title":"调用接口 - Overview","doc":"定义的 `client`，支持以下两种调用形式:\n\n- 调用 `client` 方法:\n\n  `YourApp.WeChatAppCodeName.Material.batch_get_material(:image, 2)`\n\n- 原生调用方法\n\n  `WeChat.Material.batch_get_material(YourApp.WeChatAppCodeName, :image, 2)`\n\n更多详情请见：[WeChat模块](https://hexdocs.pm/wechat_sdk/WeChat.html)","ref":"readme.html#%E8%B0%83%E7%94%A8%E6%8E%A5%E5%8F%A3"},{"type":"extras","title":"网页授权 - Overview","doc":"[官方文档](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html)\n\n把下面的代码放入到 `router`:\n\n```elixir\npipeline :oauth2_checker do\n  plug WeChat.Plug.OAuth2Checker, clients: [YourApp.WeChatAppCodeName, ...]\nend\n\nscope \"/wx/:app\" do\n  pipe_through :oauth2_checker\n  get \"/path\", YourController, :your_action\nend\n```\n\n访问 `/wx/:app/path` 会自动完成网页授权\n\n其中 `:app` 可以是 `code_name` 或者 `appid`","ref":"readme.html#%E7%BD%91%E9%A1%B5%E6%8E%88%E6%9D%83"},{"type":"extras","title":"JS-SDK setup - Overview","doc":"[设置指南](https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#4)\n\n如果网页内用到了 JS-SDK，如：\n\n```javescript\nwx.config({\n  debug: true, // 开启调试模式,调用的所有 api 的返回值会在客户端 alert 出来，若要查看传入的参数，可以在 pc 端打开，参数信息会通过 log 打出，仅在 pc 端时才会打印。\n  appId: '', // 必填，公众号的唯一标识\n  timestamp: , // 必填，生成签名的时间戳\n  nonceStr: '', // 必填，生成签名的随机串\n  signature: '',// 必填，签名\n  jsApiList: [] // 必填，需要使用的 JS 接口列表\n});\n```\n\nSetup 参数有 5 个必填项，其中，`jsApiList` 根据业务需要填写即可，\n其余 4 个参数可以通过接口 [WeChat.WebPage.js_sdk_config/2](https://hexdocs.pm/wechat_sdk/WeChat.WebPage.html#js_sdk_config/2) 生成","ref":"readme.html#js-sdk-setup"},{"type":"extras","title":"微信推送消息 - Overview","doc":"[接入指南](https://developers.weixin.qq.com/doc/offiaccount/Basic_Information/Access_Overview.html)\n\n- 填写服务器配置, 填入 `https://host/wx/event`\n- 定义 `client` 时必须设置: `encoding_aes_key` & `token`\n\n```elixir\nforward \"/wx/event\", WeChat.Plug.EventHandler,\n  client: YourApp.WeChatAppCodeName,\n  event_handler: &HandleModule.handle_event/3\n```\n\n`event_handler` 的值为 3 参数的函数，详细请看: [函数定义](https://hexdocs.pm/wechat_sdk/WeChat.Plug.EventHandler.html#t:event_handler/0)","ref":"readme.html#%E5%BE%AE%E4%BF%A1%E6%8E%A8%E9%80%81%E6%B6%88%E6%81%AF"},{"type":"extras","title":"快速测试 - Overview","doc":"微信提供申请测试号，用于快速测试\n\n- [申请公众号测试号](https://developers.weixin.qq.com/doc/offiaccount/Basic_Information/Requesting_an_API_Test_Account.html)\n- [申请小程序测试号](https://developers.weixin.qq.com/miniprogram/dev/devtools/sandbox.html)","ref":"readme.html#%E5%BF%AB%E9%80%9F%E6%B5%8B%E8%AF%95"},{"type":"extras","title":"Contributing - Overview","doc":"如果有接口未覆盖到，欢迎提交 `PR`，感谢。","ref":"readme.html#contributing"},{"type":"extras","title":"Copyright and License - Overview","doc":"Copyright (c) 2024 feng19\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}